-------------------------------------------------------------------------------

Changes: V4.2.2 -> V4.2.3
	
2001-11-29 14:22  hardaker

   * FAQ, README, sedscript.in, version.h, perl/SNMP/SNMP.pm:

   - (version.h sedscript.in): version tag ( 4.2.3 )
   
2001-11-29 13:25  nba

   * agent/mibgroup/kernel_sunos5.c:

   Solaris 8 renamed the kstat ifspeed attribute to ifSpeed and somewhere
   along the line changed its value from Mbps tp bps
   
2001-11-28 14:43  hardaker

   * NEWS:

   mention improved irix support.
   
2001-11-28 14:31  hardaker

   * s/irix.h:

   last fixes for irix I think
   
2001-11-28 14:30  hardaker

   * agent/mibgroup/mibII/interfaces.c:

   create islands in the stream
   
2001-11-28 14:09  hardaker

   * s/irix.h:

   irix fixes for broken irix headers
   
2001-11-27 17:05  hardaker

   * perl/SNMP/SNMP.pm:

   version stamp (4.2.3.pre1 (opps))
   
2001-11-27 17:05  hardaker

   * agent/mibgroup/versiontag:

   fix for version stamping the perl module.
   
2001-11-27 17:03  hardaker

   * NEWS:

   update for 4.2.3
   
2001-11-27 11:09  hardaker

   * win32/win32.dsw:

   use at own risk patch from Harrie to fix dependancies
   
2001-11-27 06:53  jbpn

   * agent/mibgroup/host/hr_system.c:

     - try harder to get hrSystemMaxProcesses.0 right, drawing on patch
       #485765, submitted by Johannes Schmidt-Fischer, for Linux, and
       also using sysctl() more widely.
   
2001-11-27 06:51  jbpn

   * configure.in, s/linux.h:

     - Look for <linux/tasks.h>, in order to give a better value for
       hrSystemMaxProcesses.0.  From patch #485765, submitted by
       Johannes Schmidt-Fischer.
   
2001-11-27 03:56  jbpn

   * agent/mibgroup/mibII/: kernel_linux.c, kernel_linux.h, tcp.c:

     - give correct values for tcpInErrs.0 and tcpOutRsts.0 under Linux
       if the kernel makes the data available.  From patch #485765,
       submitted by Johannes Schmidt-Fischer.
   
2001-11-26 09:51  jbpn

   * testing/tests/T110agentxget:

     - longer timeout for initial GET (fix spurious test failures)
   
2001-11-21 10:49  hardaker

   * FAQ:

   help update to remove the support database
   
2001-11-21 04:53  jbpn

   * agent/mibgroup/ucd-snmp/disk.c:

     - fix compilation for Ultrix 4.5 (bug # 415197) -- make sure
       vfs.f_bsize exists in var_extensible_disk(), and default it to
       1024.
   
2001-11-20 02:27  jbpn

   * snmplib/snmp_api.h:

     - remove duplicate definition of SNMP_MAX_SEC_NAME_SIZE, noted by
       Karl M. Hegbloom.
   
2001-11-19 05:48  jbpn

   * man/snmpd.conf.5.def:

     - documentation of ignoredisk directive.
   
2001-11-19 05:48  jbpn

   * agent/mibgroup/host/: hr_disk.c, hr_disk.h, hr_partition.c,
   hr_partition.h:

     - patch from Johannes Schmidt-Fischer to add directive "ignoredisk" to
       skip certain devices (and hence avoid the `snmpwalk times out' type
       problems frequently reported).  Also extends search ranges to cope with
       larger numbers of disks etc.
   
2001-11-16 05:31  jbpn

   * apps/snmptest.c:

     - add support for Unsigned32/Gauge32 types
   
2001-11-16 03:21  jbpn

   * agent/mibgroup/mibII/var_route.c:

     - more const-ness in qsort_compare => fewer warnings
   
2001-11-16 02:54  jbpn

   * apps/snmpnetstat/if.c:

     - patch from Harrie Hazewinkel to add prototypes for timerSet() and
       timerPause().
   
2001-11-16 02:52  jbpn

   * agent/snmpd.c:

     - patch from Harrie Hazewinkel to #include <grp.h> if we have it
   
2001-11-16 02:47  jbpn

   * agent/mibgroup/notification/snmpNotifyTable.c:

     - patch from Harrie Hazewinkel to return a value from
       notifyTable_unregister_notifications() to avoid warnings
   
2001-11-16 02:45  jbpn

   * agent/mibgroup/mibII/var_route.c:

     - patch from Harrie Hazewinkel to make signature of qsort_compare
       function match that expected by qsort(3) -- adds const to args.
   
2001-11-16 02:40  jbpn

   * snmplib/mib.c:

     - patch from Harrie Hazewinkel to make definition of print_tree_node
       static to match forward declaration.
   
2001-11-15 10:03  jbpn

   * agent/mibgroup/agentx/protocol.c:

     - stricter test for null OIDs
   
2001-11-15 09:24  jbpn

   * agent/mibgroup/kernel_sunos5.c:

     - fix bad-looking expression which was causing problems described in
       email titled "Defect report on UCD SNMP toolkit (crash in
       kernel_sunos5.c)" sent to net-snmp-users on 2001-07-17.
   
2001-11-15 08:33  jbpn

   * man/snmpd.conf.5.def:

     - document read-only nature of snmpEnableAuthenTraps.0 if value is
       configured via the authtrapenable token
   
2001-11-15 08:28  jbpn

   * agent/: agent_read_config.c, agent_trap.c,
   mibgroup/mibII/snmp_mib.c:

     - make value of snmpEnableAuthenTraps.0 persistent.  Setting via
       a read-only configuration file also makes object notWritable (as
       sysContact.0 et al.).
   
2001-11-15 05:16  jbpn

   * testing/tests/: T111agentxset, T121proxyset:

     - use psyscontact not syscontact to set initial value of sysContact.0
       object since the latter also makes the object read-only.
   
2001-11-15 05:07  jbpn

   * agent/snmpd.c:

     - minor fix to formatting of usage message
   
2001-11-14 17:54  hardaker

   * FAQ, README, sedscript.in, version.h:

   - (version.h sedscript.in): version tag ( 4.2.3.pre1 )
   
2001-11-14 17:42  hardaker

   * snmplib/snmp.h:

   numeric comments in both hex and decimal
   
2001-11-14 17:41  hardaker

   * perl/SNMP/SNMP.xs:

   include INTEGER32 in INTEGER case checking.
   
2001-11-14 17:31  hardaker

   * agent/mibgroup/versiontag:

   version tag perl/SNMP/SNMP.pm with the ucd-snmp version number.
   
2001-11-14 16:30  hardaker

   * man/snmpd.conf.5.def:

   mention snmpconf.
   
2001-11-14 16:06  hardaker

   * configure, configure.in:

   patch from Harrie to fix init function checking in modules
   
2001-11-14 11:58  hardaker

   * agent/: agent_callbacks.h, agent_read_config.c,
   mibgroup/notification/snmpNotifyTable.c:

   - make a new callback for pre-update-config conditions.
   - make the snmpNotifyTable make use of it to remove "readOnly" entries
     which should have been generated via configuration parsing.
     - note that this doesn't remove the generated target entries, which
       is not ideal, but at least duplicate traps aren't sent.
   
2001-11-13 11:13  hardaker

   * agent/mibgroup/kernel_sunos5.c:

   Patch from Jochen Kmietsch to look for eri interfaces.
   
2001-11-13 05:24  jbpn

   * agent/mibgroup/ucd-snmp/vmstat_solaris2.c:

     - patch from Jochen Kmietsch to quieten some noisy logging
   
2001-11-12 23:14  hardaker

   * snmplib/: asn1.c, mib.c:

   MS C++ warning fixes from Harrie Hazewinkel
   
2001-11-11 21:48  nba

   * snmplib/system.c, win32/config.h:

   Restore the old value od TIME_WITH_SYS_TIME
   
2001-11-09 12:21  hardaker

   * FAQ:

   Added a germany based mirror
   
2001-11-09 11:21  hardaker

   * FAQ:

   mention new mirror
   
2001-11-09 11:20  hardaker

   * configure, config.h.in, configure.in:

   applied english/typo/changes noted in bug #471179
   
2001-11-09 09:08  hardaker

   * snmplib/snmp_api.c:

   fix bug 479365: use strncpy in snmp_add_var().
   
2001-11-09 07:53  hardaker

   * win32/config.h:

   fix bug #474488: add extern C wrappers
   
2001-11-09 07:47  hardaker

   * man/snmpd.conf.5.def:

   fix OIDs to include entry node
   
2001-11-08 09:43  hardaker

   * mibs/UCD-SNMP-MIB.txt:

   UNIT specs for the fileTable to say kB explicitly
   
2001-11-08 09:42  hardaker

   * man/snmpd.conf.5.def:

   mention that the fileTable is in kB.
   
2001-11-06 08:26  hardaker

   * local/: mib2c, tkmib:

   add fixes to check for the SNMP and Tk perl modules and print a better
   error message if they're not available telling users how to get them.
   
2001-11-06 08:16  hardaker

   * snmplib/asn1.c:

   fix asn_build_bitstring to check for NULL values (pointed out by Tata Kalyan).
   
2001-11-06 07:57  hardaker

   * snmplib/asn1.c:

   length check fixed for wrapped addition.  Bug pointed out by Tata Kalyan
   
2001-10-30 21:42  hardaker

   * snmplib/: default_store.h, read_config.c, read_config.h:

   patch from Harrie to make paths more configurable from within C code.
   
2001-10-30 07:14  jbpn

   * agent/mibgroup/mibII/interfaces.c:

     - fix bug whereby interface counter is not reset, noted by (amongst
       others) Victor Kirhenshtein in patch #474064.
   
2001-10-26 09:08  hardaker

   * configure, configure.in:

   patch from Harrie to fix agentx/client -> agentx/subagent help message
   
2001-10-26 03:34  jbpn

   * man/snmpd.conf.5.def:

     - document the fact that setting sysLocation.0 (et al.) via a
       syslocation (or equivalent) token makes the object read-only,
       returning a notWritable error response if an attempt is made to
       SET it.
   
2001-10-24 10:08  jbpn

   * agent/mibgroup/mibII/system_mib.c:

     - fix typo noted by Tim Dietz
   
2001-10-24 09:54  jbpn

   * agent/mibgroup/mibII/: system_mib.c, system_mib.h:

     - implement persistence for sysLocation.0, sysContact.0 and sysName.0
   
     - presence of a syslocation token in snmpd.conf makes sysLocation.0
       non-writable (returns notWritable on SET attempts)
   
2001-10-24 05:08  jbpn

   * agent/mibgroup/host/hr_swinst.c:

     - fix small memory leak just introduced
   
2001-10-24 03:33  jbpn

   * acconfig.h, configure.in:

     - autoconf support for detecting pkginfo interface in libadm.  Thanks
       to Stefan Radman (patch #473669).
   
2001-10-24 03:30  jbpn

   * agent/mibgroup/host/hr_swinst.c:

     - use pkginfo interface to determine type of software package more
       specifically if possible.  Slight variation on patch #473669, submitted
       by Stefan Radman.
   
2001-10-17 07:52  dts12

   * FAQ:

   Mention the MRTG tutorial web pages
     (as suggested by Christian Robottom Reis)
   
2001-10-08 10:56  hardaker

   * FAQ, README, sedscript.in, version.h:

   - (version.h sedscript.in): version tag ( 4.2.2 )

-------------------------------------------------------------------------------

Changes: V4.2.1 -> V4.2.2
	
2001-10-08 10:47  hardaker

   * agent/mibgroup/notification/: snmpNotifyFilterProfileTable.c,
   snmpNotifyFilterTable.c, snmpNotifyTable.c:

   Apply patches suggested in bug #469082 to fix illegal row creations
   when rowstatus is set to destroy.
   
2001-10-06 07:49  hardaker

   * FAQ:

   minor tweaks to the download list.
   
2001-10-06 07:42  hardaker

   * README:

   Add David Lawrence's text about contributing patches.
   
2001-10-05 18:09  hardaker

   * FAQ, README, sedscript.in, version.h:

   - (version.h sedscript.in): version tag ( 4.2.2.pre6 )
   
2001-10-05 18:01  hardaker

   * acconfig.h, config.h.in, configure, configure.in,
   snmplib/mt_support.c, snmplib/mt_support.h:

   Change _REENTRANT define to NS_REENTRANT to not conflict with BSD/OS 4.3.
   
2001-10-05 17:39  hardaker

   * agent/mibgroup/mibII/at.h, agent/mibgroup/mibII/icmp.c,
   agent/mibgroup/mibII/interfaces.c, s/irix.h:

   irix specific fixes mentioned in bug #405454
   
2001-10-05 17:22  hardaker

   * agent/mibgroup/mibII/var_route.c:

   fix #440808 possibly overwriting a oid buffer.
   
2001-10-05 16:59  hardaker

   * local/mib2c.vartypes.conf:

   fix unsigned32 return variable usage
   
2001-10-05 16:51  hardaker

   * agent/mibgroup/mibII/at.c:

   move arptab_current and arptab_size definitions up out of ifdef mess.
   
2001-10-05 16:47  hardaker

   * agent/mibgroup/notification/: snmpNotifyFilterProfileTable.c,
   snmpNotifyFilterTable.c, snmpNotifyTable.c:

   don't create rowstatus entries with 'destroy' as initial value.
   
2001-10-05 16:36  hardaker

   * agent/mibgroup/notification/: snmpNotifyFilterProfileTable.c,
   snmpNotifyFilterTable.c, snmpNotifyTable.c:

   fixed UNDO clauses.
   
2001-10-05 08:50  hardaker

   * agent/mibgroup/ucd-snmp/dlmod.c, snmplib/snmp_api.c:

   Patch from Harrie for picky compilers.
   
2001-10-05 08:49  hardaker

   * agent/agent_trap.c:

   better error description for trapsess
   
2001-10-05 08:49  hardaker

   * FAQ:

   Added mirror sites.
   
2001-10-05 07:10  hardaker

   * mibs/: SMUX-MIB.txt, UCD-SNMP-MIB.txt:

   MIB problems pointed out by Marek Malowidziki
   
2001-10-04 17:09  hardaker

   * snmplib/snmp_auth.c:

   Don't write a null past the end of the community string buffer.
   
2001-10-04 07:14  hardaker

   * README, local/snmpconf.dir/snmpd.conf/extending,
   man/snmpd.conf.5.def:

   Patch from T. J. Mather: Documentation of the pass_persist snmpd.conf token.
   
2001-10-04 07:14  hardaker

   * local/pass_persisttest:

   Patch from T. J. Mather: An example (perl) pass_persist script.
   
2001-10-04 02:21  jbpn

   * agent/snmpd.c:

     - disable stderr logging (if requested) before calling init_mib_modules().
       This should fix the problem noted by Nigel Metheringham in bug #418857
       whereby the AgentX master module prints a message to stderr which causes
       a SIGPIPE when the agent is started as a daemon.
   
       Also noted with extensive analysis by Ted Rule in bug #467551.
   
2001-10-03 11:22  hardaker

   * FAQ, README, sedscript.in, version.h:

   - (version.h sedscript.in): version tag ( 4.2.2.pre5 )
   
2001-10-03 11:16  hardaker

   * apps/snmptrapd.c, apps/snmptrapd_log.c, snmplib/mib.c,
   snmplib/tools.c:

   proper const casting in front of Markku's casting patch.
   
2001-10-03 11:10  hardaker

   * apps/snmptrapd.c, apps/snmptrapd_log.c, snmplib/asn1.c,
   snmplib/mib.c, snmplib/tools.c:

   Patch: proper casts for picky compilers from Markku Laukkanen.
   
2001-10-03 09:22  hardaker

   * snmplib/snmp_api.c:

   don't rbuild beyond the end of a buffer (needed buffer + length "- 1").
   
2001-10-03 05:38  jbpn

   * snmplib/keytools.c:

     - change expression at l. 415 from:
   
           *kcstring++ = *kcstring ^ *newkey++;
   
       which has undefined behaviour to:
   
           *kcstring++ ^= *newkey++;
   
       which is okay (since *kcstring is only evaluated once).  Similarly
       at l. 530.  The previous constructs cause warnings with GCC3 and
       some other compilers.  Thanks to Niel Markwick who noted this in
       bug #465969.
   
2001-10-02 18:01  hardaker

   * agent/agent_trap.c:

   Change oid lengths to size_t from int (segfaults on an alpha/linux).
   
2001-10-02 17:46  hardaker

   * agent/mibgroup/ucd-snmp/memory_solaris2.c:

   Add prototype for getTotalSwap().
   
2001-10-02 17:15  hardaker

   * agent/mibgroup/target/: snmpTargetAddrEntry.c,
   snmpTargetParamsEntry.c:

   return NOT_WRITABLE instead of READONLY as pointed out by
   arajesh@india.adventnet.com.
   
2001-10-02 17:03  hardaker

   * win32/config.h:

   Patch from Marc Moeller to define snprintf as _snprintf
   
2001-10-02 17:02  hardaker

   * agent/mibgroup/host/hr_print.c:

   Patch from Marc Moeller to check for HAVE_LPSTAT before calling it.
   
2001-10-02 17:00  hardaker

   * README:

   add Ron.
   
2001-10-02 17:00  hardaker

   * snmplib/system.c:

   get_uptime() implementation for windows from Ron Mevissen.
   
2001-10-01 17:38  hardaker

   * FAQ, README, sedscript.in, version.h:

   - (version.h sedscript.in): version tag ( 4.2.2.pre4 )
   
2001-10-01 17:38  hardaker

   * agent/Makefile.in, agent/mibgroup/Makefile.in, apps/Makefile.in,
   apps/snmpnetstat/Makefile.in, snmplib/Makefile.in,
   testing/Makefile.in:

   make makefileindepend
   
2001-10-01 17:37  hardaker

   * makefileindepend.pl:

   translate .o -> .lo by hand.
   
2001-10-01 17:07  hardaker

   * agent/mibgroup/host/: hr_disk.c, hr_print.c:

   Applied patch #465545 to fix delays in host resources mib when looking
   at devices and printers.
   
2001-10-01 16:45  hardaker

   * ChangeLog, NEWS:

   New stuff in 4.2.2
   
2001-10-01 16:39  hardaker

   * apps/snmpwalk.c, man/snmpwalk.1:

   make snmpwalk default to detecting illegal OID increases.  -Cc turns
   it off instead of on.
   
2001-10-01 10:36  hardaker

   * COPYING:

   editing tweaks by John to count things properly.  Wes looses the
   ability to count beyond the number 2.
   
2001-10-01 10:26  hardaker

   * COPYING:

   ditto.
   
2001-10-01 10:22  hardaker

   * COPYING:

   Various copyright updates.
   
2001-10-01 02:52  jbpn

   * snmplib/scapi.c:

     - add #include "snmp_logging.h" to avoid compilation problems on
       some platforms introduced by new error messages. See:
       <URL:http://sourceforge.net/tracker/index.php?func=detail&aid=465807&group_id=12694&atid=112694>
   
2001-09-29 06:06  nba

   * snmplib/mib.h:

   Add a missing prototype for snmp_realloc_by_type
   
2001-09-29 06:05  nba

   * agent/mibgroup/ucd-snmp/memory_solaris2.h:

   Fix a bad #ifdef parantheses
   
2001-09-26 10:21  hardaker

   * agent/mibgroup/smux/smux.c:

   smux is *not* a proper delegation subagent.
   
2001-09-25 12:46  hardaker

   * FAQ, README, sedscript.in, version.h:

   - (version.h sedscript.in): version tag ( 4.2.2.pre3 )
   
2001-09-25 11:51  hardaker

   * snmplib/: scapi.c, scapi.h:

   Better error messages when encryption support isn't available.
   
2001-09-25 07:59  jbpn

   * apps/snmptrapd_log.c:

     - reinstate another space that would make the test suite fail
   
2001-09-25 07:53  jbpn

   * apps/snmptrapd_log.c:

     - reinstate a missing space
   
2001-09-25 05:43  jbpn

   * apps/: snmptrapd.c, snmptrapd_log.c, snmptrapd_log.h:

     - incorporate rewritten output functions from main branch to avoid
       fixed length buffers
   
2001-09-25 05:41  jbpn

   * snmplib/scapi.c:

     - use relocating buffer version of sprint functions
   
2001-09-25 05:40  jbpn

   * snmplib/: mib.c, mib.h, parse.h:

     - add relocating buffer code from main branch
   
2001-09-25 05:39  jbpn

   * snmplib/: tools.c, tools.h:

     - add snmp_realloc() and snmp_strcat functions which the relocating
       buffer code uses
   
2001-09-21 17:16  hardaker

   * agent/mibgroup/mibII/interfaces.c:

   Patch from Glenn Mansfield to fix interface counting on interfaces
   without ip addresses.
   
2001-09-20 12:47  hardaker

   * agent/mibgroup/util_funcs.c:

   check skip_white() return (as mentioned in patch #462201).
   
2001-09-20 11:30  hardaker

   * snmplib/mib.c:

   fixed a possible buffer overflow bug in sprint_asciistring as pointed
   out by bug #463226.
   
2001-09-20 09:46  hardaker

   * configure, configure.in:

   Don't warn about missing openssl unless explicitly asked (and then error).
   
2001-09-20 09:12  jbpn

   * agent/: snmp_vars.c, mibgroup/mibII/interfaces.c:

     - move headers around to fix compilation on Solaris 2.7; sys/stream.h
       needs to be included before sys/socketvar.h for this platform.
   
2001-09-20 09:09  jbpn

   * agent/mibgroup/ucd-snmp/memory_solaris2.c:

     - remove #include "system.h" which uses the type in_addr_t thereby
       causing problems, and seems to be unnecessary anyway.
   
2001-09-20 06:59  hardaker

   * README:

   Make sure Harrie's name is in the patches README as well as the mainline.
   
2001-09-20 06:58  hardaker

   * snmplib/: default_store.c, mib.c, parse.c, snmp_api.c,
   snmp_client.c, snmp_debug.c, snmpusm.c:

   Patch from Harrie Hazewinkel:
     - proper prototypes for some functions.
   
2001-09-19 17:19  hardaker

   * FAQ, README, sedscript.in, version.h:

   - (version.h sedscript.in): version tag ( 4.2.2.pre2 )
   
2001-09-19 17:01  hardaker

   * FAQ, README, sedscript.in, version.h:

   - (version.h sedscript.in): version tag ( 4.2.2.pre1 )
   
2001-09-19 16:59  hardaker

   * FAQ, README, sedscript.in, version.h:

   - (version.h sedscript.in): version tag ( 4.2.2 )
   
2001-09-18 17:22  hardaker

   * man/snmpcmd.1, snmplib/mib.c, snmplib/snmp_api.c:

   Undo Niels' change to allow command line options to override .conf
   files.  Right goal, wrong branch to do it in as it broke SNMPv3 among
   other things.  The initialization process is rather sensitive to
   ordering.
   
2001-09-18 15:08  nba

   * s/darwin.h:

   Fix an oversight in the Darwin patch
   
2001-09-18 15:08  nba

   * aclocal.m4, configure, configure.in:

   Fix an oversight in the Darwin patches
   
2001-09-17 09:00  nba

   * s/darwin.h:

   The darwin system file, which I forgot when committing the rest of
   the darwin patch.
   
2001-09-17 07:07  hardaker

   * config.h.in:

   autoheader run
   
2001-09-17 04:13  nba

   * apps/snmptrapd.c:

   Fix newlines inside usage string.
   
2001-09-16 14:56  nba

   * agent/: snmpd.c, mibgroup/smux/smux.c:

   Move the smux_listen_sd variable to smux.c. This way it will be in the
   library so the linker wont be upset when you link with the agent library.
   
2001-09-16 14:52  nba

   * agent/mibgroup/ucd-snmp/memory_netbsd1.h,
   agent/mibgroup/ucd-snmp/vmstat_netbsd1.c, s/openbsd.h:

   Patches for OpenBSD 2.9
   
2001-09-16 14:49  nba

   * agent/mibgroup/ucd-snmp/diskio.c:

   diskio support for FreeBSD4. Thanks to Yimin Ge
   
2001-09-16 14:16  nba

   * aclocal.m4, configure, configure.in, agent/agent_read_config.c,
   agent/snmp_vars.c, agent/mibgroup/ucd_snmp.h,
   agent/mibgroup/host/hr_storage.c, agent/mibgroup/host/hr_swrun.c,
   agent/mibgroup/mibII/interfaces.c,
   agent/mibgroup/ucd-snmp/memory_freebsd2.c,
   agent/mibgroup/ucd-snmp/memory_freebsd2.h,
   agent/mibgroup/ucd-snmp/vmstat_freebsd2.c:

   Patches to support Darwin (Mac OS/X)
   Thanks to Tex Clayton <tex@dartware.com>
   
2001-09-16 14:03  nba

   * agent/: agent_index.c, agent_registry.c, mibgroup/mibincl.h,
   mibgroup/util_funcs.c, mibgroup/examples/example.c,
   mibgroup/mibII/icmp.c, mibgroup/mibII/ip.c,
   mibgroup/mibII/ipAddr.c, mibgroup/mibII/sysORTable.c,
   mibgroup/mibII/tcp.c, mibgroup/mibII/tcpTable.c,
   mibgroup/mibII/udp.c, mibgroup/ucd-snmp/proxy.c:

   Header rearrangements to make BSD's happy after the WIN32 patch
   
2001-09-15 06:08  jbpn

   * snmplib/asn1.c:

     - add missing argument to snprintf (errpre corresponding to %s) --
       it was missing from the patch (#452027)
   
2001-09-14 17:29  hardaker

   * perl/SNMP/SNMP.xs:

   - debugging compilation fixes
   
2001-09-14 17:26  hardaker

   * local/tkmib:

   many needed changes from mainline merged into patches branch
   
2001-09-14 15:24  hardaker

   * snmplib/asn1.c:

   Patch #452027 from Marcus Meissner:
     security fix to make sure that long asn lengths can't be used and
     aren't improperly cased to a signed value.
   
2001-09-14 14:23  hardaker

   * configure, configure.in:

   patch #432982 from Hollis: fix --with-libwrap without a path option
   
2001-09-14 13:58  nba

   * agent/mibgroup/: kernel_sunos5.c, mibII/udpTable.c:

   Solaris support for udpTable.
   Thanks to Johannes Schmidt-Fischer <jsf@InterFace-AG.com>
   
2001-09-14 09:53  hardaker

   * snmplib/ucd-snmp-includes.h:

   from patch #423466: add ability to use this file within the source tree
   
2001-09-14 09:48  hardaker

   * win32/config.h.borland:

   Added config.h file for borland compilers (which differs slightly).
     From patch #423466
   
2001-09-14 09:28  dts12

   * agent/mibgroup/mibII/: at.c, icmp.c, interfaces.c, ip.c,
   ipAddr.c, tcp.c, tcpTable.c, udp.c, udpTable.c, var_route.c:

   Mib-2 support for Windows systems.
   *Many* thanks to Latha S, for filling this long-awaited need.
   
2001-09-14 09:07  dts12

   * agent/mibgroup/mibII/: icmp.c, ip.c, ipAddr.c, tcp.c, tcpTable.c,
   udp.c, udpTable.c:

   Move package-provided header includes ('mibincl' and 'util_funcs')
   to after the system includes.  This shouldn't affect most systems,
   but is necessary for the Windows port.
   
2001-09-14 08:28  dts12

   * configure:

   Propogate test for <netinet/ip_icmp.h> through to the bit that does the work.
   
     (Our illustrious leader clearly has no confidence in the competance
      of his minions.  I'd take umbrage, if he wasn't right!)
   
2001-09-14 08:01  dts12

   * config.h.in, configure.in:

   Add test for <netinet/ip_icmp.h>
   
2001-09-14 07:57  dts12

   * agent/mibgroup/mibII/: at.c, icmp.c, interfaces.c, ip.c,
   ipAddr.c, route_write.c, tcp.c, tcpTable.c, udp.c, udpTable.c,
   var_route.c:

   Wrap various #includes with appropriate #if HAVE_XXX_H declarations
   (where this has not already been done).
   
2001-09-11 14:47  nba

   * agent/mibgroup/ucd-snmp/: memory.c, memory.h, memory_freebsd2.c,
   memory_freebsd2.h, memory_netbsd1.c, memory_netbsd1.h,
   memory_solaris2.c, memory_solaris2.h, vmstat.c, vmstat.h,
   vmstat_bsdi4.c, vmstat_bsdi4.h, vmstat_freebsd2.c,
   vmstat_netbsd1.c, vmstat_solaris2.c:

   Make sure that the OID defines are only in one place. No functional change.
   
2001-09-11 14:45  nba

   * agent/mibgroup/ucd-snmp/file.c:

   Header reordering to allow dmalloc to work.
   
2001-09-11 14:31  nba

   * agent/mibgroup/host/hr_partition.c:

   Fix a misplaces ; in a loop.
   Thanks to Mala Ramakrishnan <mala@routescience.com>
   and Johannes Schmidt-Fischer <jsf@InterFace-AG.com>
   
2001-09-10 11:20  hardaker

   * agent/mibgroup/mibII/interfaces.c:

   change interface counting to happen more frequently to detect new cards.
     - see bug #457290
   
2001-09-10 11:11  hardaker

   * man/snmptrapd.8, apps/snmptrapd.c:

   fix -P to usage it prints to stderr (bug #459372)
   
2001-09-10 10:55  hardaker

   * agent/mibgroup/util_funcs.c:

   fix whitespace parsing bug reported it bug #457267.
   
2001-09-10 10:46  hardaker

   * agent/mibgroup/ucd-snmp/vmstat_freebsd2.c:

   apply freebsd specific patch from bug#455924 to fix vmstat's swap report.
   
2001-09-10 10:11  hardaker

   * perl/SNMP/SNMP.xs:

   Use a more portable DBPRT macro.
   
2001-09-10 09:58  hardaker

   * agent/mibgroup/notification/: snmpNotifyFilterProfileTable.c,
   snmpNotifyFilterTable.c, snmpNotifyTable.c:

   Remove redundant RowStatus value checks mentioned in bug#449502
   
2001-09-04 07:21  jbpn

   * agent/snmpd.c:

     - add missing break; after processing -P option, noted by Botond
       Tarnay (see patch #458327)
   
2001-08-31 13:19  nba

   * mibs/: DISMAN-SCRIPT-MIB.txt, Makefile.mib, README.mibs, rfclist,
   smistrip:

   Update to current version of DISMAN-SCRIPT-MIB, and a few cosetic changes
   to smistrip et al.
   
2001-08-31 13:18  nba

   * ltconfig:

   Update to libtool 1.4. This ensures that make install will work for NetBSD
   
2001-08-31 13:17  nba

   * aclocal.m4, configure, ltmain.sh:

   Update to libtool 1.4. This wil ensure that make install work on NetBSD
   
2001-08-28 15:04  nba

   * agent/snmpd.c:

   Fix a bad fix
   
2001-08-28 15:03  nba

   * agent/: agent_read_config.h, snmp_agent.h, snmp_vars.h:

   C++ bracket the installed sgent headers
   
2001-08-28 07:35  nba

   * apps/snmptrapd.c:

   Fix a malformed multi-line string
   
2001-08-28 03:05  jbpn

   * agent/snmp_agent.c:

     - add missing #include <tcpd.h> if using libwrap, noted by Nathan
       Neulinger (patch #453831).
   
2001-08-28 02:38  jbpn

   * agent/snmpd.c:

     - avoid use of pre-processor directives inside printf() call, which
       is a macro in glibc, making this an undefined behaviour
       construct (which GCC 3.0 refuses to compile).  See bug #455804 for
       further details.
   
2001-08-27 22:15  nba

   * man/: snmp_config.5.def, snmpd.conf.5.def, snmptrapd.conf.5.def:

   Fix some places where actual lines started with a period.
   
2001-08-17 15:12  nba

   * man/Makefile.in:

   Fix misspelled man page name (snmperror => snmp_perror)
   
2001-08-17 15:09  nba

   * mibs/: Makefile.mib, mibfetch:

   IANA has moved their mibs into an iana.mib directory.
   Fix RFC number for RMON-MIB.
   Make "make allmaibs" extract mibs to another directory.
   
2001-08-17 15:03  nba

   * config.guess, config.sub:

   Yet another update from ftp.gnu.org
   
2001-08-17 14:09  nba

   * agent/: agent_read_config.c, snmpd.c:

   Add some needed error checking to the uid/gid parsing code.
   Allow symbolic uid/gid from the command line.
   
2001-08-17 14:07  nba

   * FAQ:

   Add a missing argument to the snmptrap examples.
   
2001-08-07 14:55  nba

   * apps/snmptrapd_log.c, snmplib/mib.c:

   Timeticks are unsiged! Thanks to Josh Wilmes <josh-ucd@hitchhiker.org>
   
2001-08-07 14:42  nba

   * man/snmpcmd.1, snmplib/mib.c, snmplib/snmp_api.c:

   Changes to allow command line arguments to override snmp.conf settings.
   
2001-08-07 14:02  nba

   * mibs/: IANAifType-MIB.txt, rfclist:

   Update to current version of IANAifType-MIB.
   Add rfc 3144 INTERFACETOPN-MIB to rfclist.
   
2001-08-07 14:00  nba

   * config.guess, config.sub:

   Update to current version from ftp.gnu.org
   
2001-08-07 13:59  nba

   * apps/snmpset.c, apps/snmptranslate.c, apps/snmptrapd.c,
   man/Makefile.in, man/snmp_api_errstring.3, man/snmp_error.3,
   man/snmp_perror.3, man/snmp_sess_perror.3, man/snmpcmd.1,
   man/snmptrapd.8:

   A bunch of minor fixes to usage messages and manual pages.
   
2001-08-07 13:56  nba

   * apps/snmptest.c:

   Fix parsing of oid values for set
   
2001-08-07 07:09  jbpn

   * agent/snmpd.c:

     - fix for potential buffer overflow in logfile argument handling,
       noted by Anonymous (bug #448243).  Also use a large enough buffer
       to handle filenames of length PATH_MAX (if possible).
   
2001-07-26 01:40  jbpn

   * apps/snmptrapd_log.c:

     - initialise buffers to zero in handle_wrap_fmt, to avoid garbage in
       display of security parameters, as noted by William Frauenhofer
       (bug #437231).
   
2001-07-23 10:53  hardaker

   * agent/mibgroup/util_funcs.c:

   carefully construct tmp file names.
   
2001-07-23 10:53  hardaker

   * config.h.in, configure, configure.in, agent/snmpd.c:

   use setgroups when available.
   
2001-07-11 07:34  hardaker

   * agent/mibgroup/mibII/mta_sendmail.h:

   add NETWORK-SERVICES-MIB to mib require list
   
2001-07-09 11:15  hardaker

   * agent/agent_trap.c:

   fix trapsess parsing so as to:
     - set the default port to 162
     - don't free memory passed to snmp_parse_args() since
       snmp_parse_args is broken and needs to copy memory rather than
       just make use of it.
   
2001-06-27 15:48  nba

   * man/snmpd.conf.5.def:

   Simple fix to trapsess argument list
   
2001-06-25 08:47  hardaker

   * snmplib/mib.c:

   support 'mibs ""'.
   
2001-06-22 13:07  hardaker

   * agent/mibgroup/mibII/interfaces.c:

   Allow interface snmpd.conf tokens to completely override system
   values.  [bug#426975]
   
2001-06-22 11:38  hardaker

   * local/mib2c.conf:

   define ulong_ret
   
2001-06-22 01:44  dts12

   * FAQ, man/snmpd.conf.5.def:

   Include a warning of the experimental nature of AgentX in the man page,
   and update the FAQ to reflect the fuller integration of this support.
   
2001-06-21 15:22  nba

   * apps/snmpdf.c:

   Eliminate long long variables
   
2001-06-21 15:22  nba

   * apps/snmptable.c:

   Warn about deprecated -b -w and -i options.
   
2001-06-21 15:15  nba

   * man/: snmpd.1.def, snmpd.conf.5.def, snmpset.1, snmpwalk.1:

   Update time stamps
   
2001-06-21 15:09  nba

   * man/snmptranslate.1:

   Add -m and -M options to header. Update SEE ALSO to reference snmpcmd
   and RFC 2578-80 in place of 1155
   
2001-06-21 15:01  nba

   * snmplib/parse.c:

   Fix parsing of xx ...::= { yy }
   
2001-06-21 10:25  hardaker

   * agent/mibgroup/examples/example.c:

   typos (IOD -> OID)
   
2001-06-21 10:18  hardaker

   * man/snmpd.conf.5.def:

   - mention "master agentx"
   - fix config file re-reading oid.
   
2001-06-21 10:10  hardaker

   * agent/mibgroup/mibII/system_mib.c:

   make syscontact and syslocation accept "" strings.
   
2001-06-21 09:34  hardaker

   * apps/snmptranslate.c, man/snmptranslate.1:

   - Applied arg documentation patch from David Eisner
   
2001-06-14 23:19  nba

   * man/snmptrapd.8:

   Document -n option
   
2001-06-12 15:14  nba

   * snmplib/default_store.c:

   Properly detect and diagnose bad boolean and integer configuration values
   
2001-06-12 15:12  nba

   * apps/: snmpdelta.c, snmpdf.c, snmpget.c, snmpgetnext.c,
   snmpstatus.c, snmptrap.c, snmpusm.c, snmpvacm.c, snmpwalk.c:

   Properly diagnose bad -C options
   
2001-06-12 07:24  dts12

   * snmplib/read_config.c:

   Fix 'unregister_config_handler' to handle tags other
   than the first in the list.  (Thanks to Paul Serice).
   
2001-06-11 15:44  nba

   * apps/snmpwalk.c, man/snmpwalk.1:

   Add an options (-Cc) to snmpwalk that will validate that the returned objects
   are indeed lexicographically increasing.
   
2001-06-11 15:43  nba

   * apps/snmpset.c, man/snmpset.1, snmplib/snmp_api.c:

   Allow a simpler snmpset notation when MIB data are loaded: Using '=' for
   type type will infer it from the MIB.
   
2001-06-11 15:39  nba

   * snmplib/: mib.c, parse.c:

   Fix some long standing bugs when several MIB files define the same objects
   with different names. Hopefully the results will be consistent now.
   
2001-06-11 12:12  nba

   * apps/snmpdelta.c, snmplib/int64.c:

   Another try at Counter64 problems, thanks to Jason Gloudon <snmp@gloudon.com>
   
2001-06-11 11:52  nba

   * apps/snmptrapd_log.c:

   Fix for a missing 0-byte to terminate community string.
   Thanks to "KUBOTA,Takaya" <takaya@po.ntts.co.jp>.
   
2001-06-06 21:38  nba

   * config.h.in, configure, configure.in,
   agent/mibgroup/host/hr_system.c:

   Use <utmpx.h> if available (to fix counting users for Solaris)
   
2001-06-06 21:33  nba

   * man/snmpd.1.def:

   Mention -s and -P pidfile arguments
   
2001-06-06 21:32  nba

   * agent/mibgroup/smux/smux.c:

   Fix sending of traps without varbinds
   
2001-06-06 21:31  nba

   * agent/mibgroup/util_funcs.c:

   More meaningful arguments to setPerrorstatus (true file names)
   
2001-05-17 12:36  nba

   * snmplib/snmpv3.c:

   Fix a Truly Stupid Bug thanks to Katsuhisa ABE <abekatsu@cysols.com>
   
2001-05-04 09:45  hardaker

   * apps/snmpdf.c:

   Remove duplicate l from %lld printf syntax
   
2001-05-04 07:00  hardaker

   * Makefile.in:

   insall mib_module_config.h
   
2001-05-03 10:15  hardaker

   * snmplib/Makefile.in:

   add snmp-tc.h to install list
   
2001-05-02 07:08  hardaker

   * apps/snmptrapd.c:

   Add -T flag to usage output.
   
2001-05-01 12:53  hardaker

   * agent/mibgroup/mibII/at.c:

   Fix use of a -1 assigned to a u_long as a failure checking case.
   
2001-04-23 17:08  hardaker

   * local/tkmib:

   fix walk problem once and for all.
   
2001-04-17 12:29  nba

   * agent/mibgroup/host/hr_swrun.c:

   Get data for hrSWRunPerfTable for cygwin under NT (or better)
   
2001-04-17 11:33  nba

   * config.guess, config.sub, configure, configure.in:

   Update to a recent version of config.guess/config.sub. Update configure
   to handle the new NetBSD variant that include the object format.
   
2001-04-12 05:12  dts12

   * agent/snmp_agent.c:

   Better fix for bug #414855 from arajesh
   Handles non-repeaters=0 as well, and avoids memory leaks.
   
2001-04-11 06:01  dts12

   * agent/snmp_agent.c:

   Handle GetBulk requests with max-repetitions=0 properly (bug #414855)
   
2001-04-10 09:33  hardaker

   * apps/snmpdf.c:

   fixed segfault when row has holes.
   
2001-04-06 16:20  hardaker

   * man/snmpcmd.1:

   - Added documentotion for -Ot
   
2001-04-06 07:32  hardaker

   * agent/mibgroup/notification/snmpNotifyTable.c:

   traps/informs reversed
   
2001-04-05 09:34  slif

   * agent/mibgroup/ucd-snmp/pass.c:

   remove unused variable from snmp_oid_min_compare.
   
2001-04-05 09:13  slif

   * agent/mibgroup/ucd-snmp/pass.c:

   Fix snmp_oid_compare and reverse encodings to deal with numbers > 2^31.
   
2001-04-05 08:21  slif

   * agent/agent_trap.c:

   use malloc to decrease stack size in snmpd_parse_config_trapsess.
   
2001-04-05 06:14  dts12

   * agent/mibgroup/ucd-snmp/pass_persist.c:

   Extend recent 'pass' changes to 'pass_persist'.  (Thanks, Mike!)
   
2001-04-05 02:27  dts12

   * agent/mibgroup/ucd-snmp/pass.c:

   Handle setting null string values via the 'pass' mechanism. (Support#406728)
   Also handle embedded whitespace in such values.
   
2001-04-04 14:56  hardaker

   * FAQ, README, sedscript.in, version.h:

   - (version.h sedscript.in): version tag ( 4.2.1 )
   
2001-04-04 14:55  hardaker

   * FAQ, README:

   Change wording to say 4.2 line is the last to use the ucd-snmp name.
   
2001-04-04 14:51  hardaker

   * ChangeLog:

   ChangeLog
   
-------------------------------------------------------------------------------

Changes: V4.2 -> V4.2.1

2001-04-04 14:04  hardaker

   * agent/mibgroup/ucd-snmp/loadave.c:

   fix missing variable on solaris 2.6
   
2001-04-04 14:02  hardaker

   * testing/eval_tools.sh:

   use kill -TERM instead of kill -SIGTERM for portability (breaks on solaris).
   
2001-04-04 12:39  slif

   * agent/mibgroup/host/hr_swrun.c:

   Cleanup debug messages, build.
   
2001-04-04 09:18  slif

   * agent/mibgroup/examples/example.c:

   Fix network byte order for IpAddress displayed.
   
2001-04-04 08:50  slif

   * apps/snmptrapd.c:

   quiet exit on SIGTERM/SIGINT, same as snmpd.
   
2001-04-04 08:49  hardaker

   * agent/: auto_nlist.c, auto_nlist.h:

   fix for auto_nlist bogus definitions for machines without nlist.
   
2001-04-04 08:49  hardaker

   * README.snmpv3:

   update to when agent removes "createUser" directives.
   
2001-04-04 08:31  hardaker

   * agent/mibgroup/ucd_snmp.h:

   Applied patch #412080: add freebsd5 to module include list.
   
2001-04-04 08:12  dts12

   * EXAMPLE.conf.def:

   Document how to enable the AgentX facility in the master agent.
   
2001-04-04 07:59  hardaker

   * local/tkmib:

   fix bug #411917: change walk end condition as suggested by submitter.
   
2001-04-04 07:43  dts12

   * snmplib/parse.c:

   Change 'Line' variable name, to assist with Mac port.
   
2001-04-04 07:42  dts12

   * agent/mibgroup/ucd-snmp/proxy.c:

   Fix typo in cast (missing 'struct')
   
2001-04-04 07:37  hardaker

   * snmplib/snmp_api.c:

   Use a larger malloced buffer when decoding a large incoming encrypted message.
   
2001-04-04 07:36  hardaker

   * snmplib/snmp_debug.c:

   Limit size of hex messages to 1/5th buffer size (to be safe).
   
2001-04-04 07:24  jbpn

   * agent/snmpd.c:

    - call external signal handlers before calling snmp_select_info(),
      rather than after calling snmp_select_info() but before select().
      This fixes a potential problem that could arise if a signal handler
      closed a session, which would cause select() to return -1 with
      EBADF, and thus terminate the agent.
   
2001-04-04 06:50  dts12

   * agent/mibgroup/ucd-snmp/disk.c:

   Ensure that checking for 'statvfs' is done consistently
   
2001-04-04 06:48  dts12

   * agent/mibgroup/mibII/system_mib.c:

   ensure that 'exec_command' is used consistently with the availability of execv
   
2001-04-04 06:45  dts12

   * snmplib/: mib.c, snmp_api.c, snmp_logging.c:

   Keep one of the pickier compilers (HP's aCC) happy.
   
2001-04-03 22:07  hardaker

   * snmplib/snmpusm.c:

   Fix maximum encrypted packet length support for reverse encoded packets.
   
2001-04-03 18:07  slif

   * testing/tests/T120proxyget:

   fix rwcommunity
   
2001-04-03 16:44  hardaker

   * local/wesrestart:

   remove old unused script
   
2001-04-03 16:41  hardaker

   * local/snmpconf.dir/snmpd.conf/operation:

   Add snmpconf directive support for the new "master" token.
   
2001-04-03 16:41  hardaker

   * local/snmpconf:

   Fix bug in menus for configuration files containing only "groups".
   
2001-04-03 16:40  hardaker

   * README:

   Change my name -> net-snmp developers.
   
2001-04-03 15:36  hardaker

   * EXAMPLE.conf.def:

   mention snmpconf
   
2001-04-03 15:28  hardaker

   * README:

   url changes mostly.
   
2001-04-03 15:28  hardaker

   * NEWS:

   4.2.1 update (please check).
   
2001-04-03 15:28  hardaker

   * FAQ:

   ftp site update.
   
2001-04-03 14:04  hardaker

   * configure, configure.in:

   Added agentx to default modules to compile in
   
2001-04-03 10:12  hardaker

   * local/mib2c:

   add a comment at the end of the mib2c output explaining that its
   merely a template.
   
2001-04-03 08:27  hardaker

   * AGENT.txt, FAQ, PORTING, README, README.agentx:

   Web page/ftp site updates.  Uses www.net-snmp.org everywhere now.
   
2001-04-03 06:24  slif

   * agent/mibgroup/util_funcs.c:

   Fix signed/unsigned compare.
   
2001-04-03 06:21  dts12

   * agent/mibgroup/mibII/kernel_linux.c:

   Plug file-descriptor leak when using cached data.  (Bug#412000)
   
2001-04-02 23:22  nba

   * apps/snmptest.c:

   Fix an incompletely initialized variable
   
2001-04-02 23:21  nba

   * local/snmpconf:

   The answers for the "load which files" menu are kept secret from the code
   that loads the files .... fixed.
   
2001-04-02 20:02  hardaker

   * local/: Makefile.in, snmpconf.dir/snmptrapd.conf/formatting,
   snmpconf.dir/snmptrapd.conf/traphandle:

   Added snmptrapd configuration file directives to snmpconf.
   
2001-04-02 10:08  jbpn

   * man/snmp_agent_api.3:

    - update documentation of agent_check_and_process to reflect
      current behaviour
   
2001-04-02 09:58  jbpn

   * agent/snmp_agent.c:

    - Fix memory leak in handle_one_var where long varbinds weren't
      correctly free()d.
   
    - Change behaviour of agent_check_and_process so that alarms run
      correctly.
   
2001-04-02 08:51  dts12

   * agent/mibgroup/agentx/master.c:

   Use the 'standard' config handler registration routine,
   and recognise the config setting 'master all'
   
2001-04-02 06:53  nba

   * man/snmpd.conf.5.def:

   Fix some missing quoting on .IP parameters
   
2001-03-30 08:05  hardaker

   * FAQ, README.agentx, agent/mibgroup/agentx/README.agentx:

   moved agentx README to top
   
2001-03-30 07:22  dts12

   * FAQ:

   Typo in AgentX README filename
   
2001-03-30 07:20  dts12

   * agent/: ds_agent.h, snmp_agent.c, snmpd.c,
   mibgroup/agentx/README.agentx, mibgroup/agentx/master.c,
   mibgroup/agentx/master.h:

   Provide 'master' config directive to control whether or not to
   activate extensible subagent support.
     Initially restricted to AgentX support only.
   
2001-03-30 03:46  dts12

   * agent/mibgroup/agentx/README.agentx:

   Update to reflect the increased maturity of the AgentX implementation.
   
2001-03-30 03:34  dts12

   * FAQ:

   Tweaked various entries, and added a few new ones.  General Shield meddling.
   
2001-03-30 01:00  dts12

   * README:

   Add prominent warning regarding ucd-snmp => net-snmp switch.
   
2001-03-30 00:46  dts12

   * snmplib/snmp_api.c:

   Fix interpretation of "pure numeric" peername strings (i.e. listen on the
     specified port on all interfaces) - problem identified by Mala Ramakrishnan.
   
2001-03-30 00:04  nba

   * snmplib/parse.c:

   Replace atoi/atol with strto(u)l which has better out-of-range returns.
   This is not a perfect solution, but it is better ...
   
2001-03-29 21:43  hardaker

   * ISSUES:

   rm ISSUES
   
2001-03-29 14:34  hardaker

   * COPYING:

   minor formatting.
   
2001-03-29 14:33  hardaker

   * COPYING:

   Um, got the year right this time.
   
2001-03-29 14:32  hardaker

   * COPYING:

   update for 2001: added my required NAI BSD copyright.
   
2001-03-29 08:23  slif

   * testing/eval_tools.sh:

   merge change from main branch (return_value=1 statement).
   
2001-03-29 08:21  slif

   * win32/libsnmp_dll/libsnmp.def:

   Add vacm_is_configured.
   
2001-03-28 22:12  nba

   * mibs/: rfclist, rfcmibs.diff:

   Add Printer-MIB to the rfclist with the corresponding patch.
   
2001-03-28 13:06  nba

   * snmplib/snmp_client.c:

   Properly ignore non-response PDU's when doing async transaction.
   
2001-03-28 13:04  nba

   * man/snmpcmd.1, snmplib/mib.c:

   Fix index handling to properly accept indexing with TimeTicks.
   Implement -Ir to disable index checks.
   
2001-03-28 06:20  hardaker

   * FAQ, README, sedscript.in, version.h:

   - (version.h sedscript.in): version tag ( 4.2.1.pre2 )
   
2001-03-27 10:27  hardaker

   * apps/snmptrapd.c:

   Use snmp_log with %s to prevent % expansion in octet strings containing a %s.
   
2001-03-27 05:37  dts12

   * agent/: snmp_agent.c, mibgroup/agentx/master_request.c:

   Handle non-responsive AgentX sub-agents more robustly.
      (Based on suggestions from Harrie Hazewinkel & Paul Rasmussen)
   
2001-03-27 02:35  dts12

   * agent/mibgroup/smux/smux.c:

   Reset count of authorized peers on closedown.  (Thanks to Vlad Tunik)
   
2001-03-26 18:03  hardaker

   * agent/mibgroup/mibII/vacm_vars.c, snmplib/vacm.c, snmplib/vacm.h:

   Fixed vacm to drop v1/v2c packets properly when no com2sec entries are found.
   
2001-03-26 11:06  hardaker

   * local/ipf-mod.pl:

   add usage comment at top
   
2001-03-22 14:34  nba

   * mibs/rfclist:

   New MIB in RFC 3083: DOCS-BPI-MIB
   
2001-03-22 14:27  nba

   * agent/mibgroup/host/hr_filesys.c, s/cygwin.h,
   agent/mibgroup/host/hr_storage.c, agent/mibgroup/host/hr_swrun.c,
   agent/mibgroup/host/hr_utils.c:

   Make most of the host resources mib compile under Cygwin. We can now do
   --with-mib-modules=host --with-out-mib-modules=host/hr_network
   
2001-03-22 12:27  hardaker

   * agent/mibgroup/util_funcs.c:

   fix header_simple_table() for too long requests
   
2001-03-22 08:13  hardaker

   * apps/snmptrapd.c:

   Bad Wes: find all instances of cut-n-paste errors before committing.
   
2001-03-22 08:12  hardaker

   * apps/snmptrapd.c:

   Bad Wes: don't call function without the ()s.  (at least in C).
   
2001-03-22 07:46  dts12

   * agent/agent_trap.c:

   Fix for minor memory leak with trap-related varbind values.
   Thanks to John Villalovos (and the Intel SNMP team)
   
2001-03-21 17:22  driehuis

   * snmplib/mib.c:

   Bugfix for crash at snmp_shutdown time with OS's that check pointer
   validity (e.g., FreeBSD)
   
2001-03-21 08:16  hardaker

   * agent/mibgroup/mibII/interfaces.c:

   join broken snmp_log lines
   
2001-03-21 08:15  hardaker

   * apps/snmptrapd.c:

   fix -F (I think)
   
2001-03-21 07:43  hardaker

   * snmplib/snmp_api.c:

   patch from Harrie to fix variable types (int -> size_t)
   
2001-03-20 08:25  nba

   * agent/mibgroup/mibII/at.c, agent/mibgroup/mibII/at.h,
   agent/mibgroup/mibII/interfaces.c, s/linux.h:

   Fix the atTable and ipNetTopMediaTable for Linux to return the ifIndex
   
2001-03-19 13:14  nba

   * apps/snmpdelta.c, man/snmpdelta.1:

   Major option parsing surgery to cather for the getopt using version of
   snmp_parse_args. Seems to have been forgotten when the rest of the apps
   were updated.
   
2001-03-19 13:13  nba

   * agent/mibgroup/ucd-snmp/disk.c:

   Re-order sys/conf.h and sys/param.h to make FreeBSD-5 happy
   
2001-03-15 13:44  hardaker

   * agent/mibgroup/mibII/ip.c:

   fixed bug #405000: dropped support for IPOUTNOROUTES, since no
   calculation of it seems close to correct.
   
2001-03-15 13:36  hardaker

   * agent/mibgroup/mibII/udp.c:

   fix part 2 of bug 405519 adding fullsock to udpinerrors
   
2001-03-15 13:31  hardaker

   * agent/mibgroup/ucd-snmp/vmstat_solaris2.c:

   fix bug #408388 where memmove is called with too short a length.
   
2001-03-15 11:21  hardaker

   * FAQ, README, sedscript.in, version.h:

   - (version.h sedscript.in): version tag ( 4.2.1.pre1 )
   
2001-03-15 03:34  jbpn

   * testing/eval_tools.sh:

   kill -SIGKILL isn't legal syntax on Solaris or Linux; changed to kill -9
   which is likely safer
   
   don't set return_value to 1 after killing snmpd, which causes spurious
   test failures
   
2001-03-14 14:38  hardaker

   * agent/agent_trap.h:

   Patch from Harrie Hazewinkel: make send_enterprise_trap_vars a public fn.
   
2001-03-14 11:08  hardaker

   * agent/mibgroup/mibII/at.c:

   fix ipnettomedia indexing on solaris.
   
2001-03-14 10:27  slif

   * agent/mibgroup/tunnel/tunnel.c:

   Use config.h, don't use ucd-snmp directory to build in the mibgroup tree.
   
2001-03-14 10:18  slif

   * testing/RUNTESTS:

   quiet "which" output.  never ending saga...
   
2001-03-14 10:08  slif

   * agent/mibgroup/agentx/master_request.c:

   quiet unsigned long compare.
   
2001-03-14 10:00  slif

   * agent/mibgroup/agentx/client.c:

   Get a decl of in_addr_t from netinet/in.h, where necessary.
   
2001-03-14 10:00  slif

   * snmplib/parse.c:

   Avoid warnings of struct timeval decl in system.h by including *time.h*.
   
2001-03-14 09:47  slif

   * agent/snmpd.c, apps/snmpvacm.c, apps/snmpnetstat/winstub.c,
   snmplib/parse.c:

   patch submitted by Harrie Hazewinkel
   
2001-03-14 09:40  slif

   * testing/RUNTESTS:

   don't run tests without needed programs: snmpd, snmpget, snmpgetnext.
   
2001-03-14 08:24  slif

   * configure, configure.in:

   Provide an empty DLLIBS value for non-dlmod uses.
   
2001-03-14 07:36  slif

   * agent/mibgroup/agentx/protocol.c:

   cast u_long to u_char when storing 8-bit values.
   
2001-03-14 07:33  slif

   * agent/mibgroup/ucd-snmp/proxy.c:

   fix unsigned length compares.
   
2001-03-14 05:45  dts12

   * agent/mibgroup/host/hr_swrun.c:

   Fix Linux file descriptor leak (reported by Oliver Fänger)
   
2001-03-13 13:20  hardaker

   * snmplib/default_store.c:

   Patch from Harrie Hazewinkel to check for NULLs in DEBUG msg
   
2001-03-12 14:06  nba

   * agent/mibgroup/agentx/: master_admin.c, subagent.c:

   Fix some minor leaks.
   
2001-03-12 14:05  nba

   * agent/snmpd.c:

   Some minor fixes to argument processing, including terminating snmpd on
   extraneous non-option arguments.
   
2001-03-10 08:13  hardaker

   * agent/mibgroup/mibII/ip.c:

   Bug #404988: don't use ipstat.ips_fragtimout as a number of seconds.
   
2001-03-07 10:26  slif

   * testing/eval_tools.sh:

   
   new DELAY function; start/stop daemons using new STARTPROG/STOPPROG with DELAY;
   log commands issued and final result to SNMP_TMPDIR/invoked;
   suppress "kill" output to help Cygwin users happy.
   
2001-03-07 10:23  slif

   * testing/RUNTESTS:

   
   add -S parameter for DELAY seconds; add trap for interrupt control;
   pass test number and display-header-only to eval_onescript.sh;
   add which test to verbose locating messages (Cygwin uses type, not which).
   
2001-03-07 10:20  slif

   * testing/: TESTCONF.sh, eval_onescript.sh:

   
   
   Incorporate test number into test results dir name.
   Provide default values for test number and display-header-only flag.
   
2001-03-07 10:19  slif

   * testing/Makefile.in:

   
   
   "make clean" removes any test result dirs "/tmp/snmp-test-*".
   
2001-03-07 10:15  slif

   * testing/tests/: T054agentv2ctrap, T056agentv2cmintrap,
   T058agentauthtrap:

   
   Replace sleep with commented out DELAY ; each start/stop action now
   invokes DELAY.
   
2001-03-07 10:14  slif

   * testing/tests/T100agenthup:

   
   Replace sleep with DELAY.
   
2001-03-07 10:13  slif

   * win32/config.h:

   
   
   Change element separator to Win32 ';' in DEFAULT_MIBS
   Declare Win32 has getpid!.
   
2001-03-07 10:10  slif

   * snmplib/snmp_api.c:

   
   
   Win32 include io.h to declare mktemp.
   Expand the comment near mktemp usage to explain why it is needed.
   
2001-03-07 10:09  slif

   * snmplib/snmp_alarm.c:

   
   
   remove unnecessary ifndef WIN32.  ifdef SIGALRM is sufficient.
   
2001-03-07 10:07  slif

   * agent/snmpd.c, apps/snmptrapd.c:

   
   
   Win32 include process.h to declare getpid.
   
2001-03-07 10:06  slif

   * snmplib/snmp_logging.c:

   
   
   Use proper define to qualify include-ing a header.
   
2001-03-07 10:04  slif

   * agent/mib_modules.c, apps/snmpnetstat/if.c, snmplib/system.h:

   
   
   Apply the time goo consistently: move header includes out of system.h.
   
2001-03-06 10:08  hardaker

   * configure, configure.in:

   don't force inclusion of -ldl.
   
2001-03-05 06:30  slif

   * snmplib/snmpv3.c:

   
   
   Follow method usage, don't declare getHwAddress unless used.
   
2001-03-05 06:30  slif

   * snmplib/snmp_api.c:

   
   
   Remove nested variable ep - one already exists.
   
2001-03-05 06:28  slif

   * agent/mibgroup/examples/ucdDemoPublic.c:

   
   
   Comment out example variables that are not used.
   
2001-03-04 17:41  slif

   * README.win32, win32/config.h, win32/mib_module_config.h,
   win32/mib_module_includes.h, win32/mib_module_inits.h,
   win32/libsnmp_dll/libsnmp.def, win32/libucdmibs/libucdmibs.def,
   win32/libucdmibs/libucdmibs.dsp:

   
   
   patch to build more modules, including agentX, on Win32 using MS-VC.
   
2001-03-04 17:27  slif

   * agent/mibgroup/header_complex.c, agent/mibgroup/agentx/client.c,
   agent/mibgroup/agentx/master.c,
   agent/mibgroup/agentx/master_admin.c,
   agent/mibgroup/agentx/master_request.c,
   agent/mibgroup/agentx/protocol.c, agent/mibgroup/agentx/subagent.c,
   agent/mibgroup/notification/snmpNotifyFilterProfileTable.c,
   agent/mibgroup/notification/snmpNotifyFilterTable.c,
   agent/mibgroup/notification/snmpNotifyTable.c,
   agent/mibgroup/target/target.c, agent/mibgroup/ucd-snmp/dlmod.c,
   agent/mibgroup/ucd-snmp/pass_persist.c,
   agent/mibgroup/ucd-snmp/proxy.c, apps/snmptrapd_log.c:

   
   
   patch to build more of the agent using MS-VC on Win32 platform.
   
2001-03-03 14:34  nba

   * mibs/: IANAifType-MIB.txt, MTA-MIB.txt, Makefile.mib,
   README.mibs, TUNNEL-MIB.txt, ianalist, mibfetch, rfclist,
   rfcmibs.diff, smistrip:

   Update to current IANAifType-MIB, plus addition of README and tools to get
   a complete set of IETF MIB files.
   
2001-03-03 07:11  nba

   * agent/mibgroup/agentx/master.h:

   Remove an unused prototype
   
2001-03-03 06:36  nba

   * man/snmptrapd.8, apps/snmptrapd_log.c:

   Add a new %P formatting sequence to user specified log formats. It print
   the security information from the PDU (community, user, context as available)
   Also modify the default trap output to use it.
   
2001-03-03 06:21  nba

   * apps/snmptrapd_log.c:

   Fix specifiers like %.3s
   
2001-03-03 06:10  nba

   * snmplib/parse.c:

   Fix the parser to diagnose oid specs like::= { single }
   Be silent for internal links when moving nodes to the adoption list. This
   should help giving only a single message for missing imports of enterprises.
   
2001-03-02 13:24  slif

   * snmplib/asn1.c, snmplib/mib.c, snmplib/mib.h, snmplib/snmp_api.c,
   snmplib/snmp_parse_args.c, snmplib/snmp_parse_args.h,
   win32/libsnmp_dll/libsnmp.def:

   
   
   cleanup for MS-VC Win32 build
   
2001-03-02 07:36  hardaker

   * README:

   sourcerforge -> sourceforge
   
2001-03-02 07:25  hardaker

   * perl/SNMP/SNMP.xs:

   Patch from Karl Schilke to fix timestamps in synchonous cases
   
2001-03-02 06:31  hardaker

   * snmplib/snmp_api.c:

   Remove unused variable from snmp_oid_compare().
   
2001-03-01 19:49  hardaker

   * snmplib/: asn1.c, snmp_api.c:

   Fix snmp_oid_compare and reverse encodings to deal with numbers > 2^31.
   
2001-02-21 15:31  nba

   * man/: snmp.conf.5.def, snmpcmd.1:

   Fix a couple of typos
   
2001-02-21 15:22  hardaker

   * snmplib/ucd-snmp-includes.h:

   Applied patch #103805 from bcollar: add sys/time.h to ucd-snmp-includes.h
   
2001-02-21 15:15  hardaker

   * snmplib/int64.c:

   fix bug #133416 (u64Subtraction math) as suggested by the submittor
   
2001-02-21 14:38  nba

   * agent/mibgroup/host/hr_filesys.c:

   Try fixing inconsistent indexing on BSD
   
2001-02-19 08:46  slif

   * agent/mibgroup/ucd-snmp/proxy.c:

   
   
   - proxy.c: remove some unused variables.
   
2001-02-16 15:12  hardaker

   * agent/var_struct.h:

   - increase UCD_REGISTRY_OID_MAX_LEN to 128 at Frank's request
   
2001-02-14 18:15  hardaker

   * apps/snmptrapd.c:

   removed unused snmp_alarm.h include
   
2001-02-13 16:21  hardaker

   * snmplib/snmp_api.c:

   fix bug #130740 using suggested close() wrapper around mkstemp()
   
2001-02-09 11:16  hardaker

   * agent/snmpd.c:

   Applied patch #103613: fix memory leak in snmpd port specification -> default_store.
   
2001-02-09 11:14  hardaker

   * agent/mib_modules.c:

   Applied patch #103612: fix memory leak in mib_module init code
   
2001-02-09 11:12  hardaker

   * agent/agent_registry.c:

   Applied patch #103611: fix memory leak for duplicate oid registrations.
   
2001-02-09 11:08  hardaker

   * perl/SNMP/SNMP.xs:

   Applied patch #103604: Add support for V1 traps and int/int32 differences
   
2001-02-09 11:06  hardaker

   * agent/mibgroup/ucd-snmp/: memory_freebsd2.c, proxy.c:

   Applied patch #103702: fix swap reporting on freebsd 4.2
   
2001-02-06 14:26  nba

   * apps/snmpnetstat/Makefile.in:

   Add a dependency for libsnmp
   
2001-02-06 14:25  nba

   * agent/mibgroup/ucd-snmp/vmstat_freebsd2.c:

   Implement raw interrupt and context switch counters
   
2001-02-06 14:24  nba

   * agent/mibgroup/notification/snmpNotifyTable.c:

   Make dmalloc happy by fixing a malloc read overrun
   
2001-02-06 14:16  nba

   * man/snmpcmd.1, snmplib/default_store.h, snmplib/mib.c:

   Backport -OT output to 4-2-patches branch
   
2001-02-06 06:02  hardaker

   * perl/SNMP/SNMP.pm:

   documentation fix
   
2001-01-31 23:02  nba

   * snmplib/snmp_api.c:

   Fix value validation for snmpset/snmptrap
   
2001-01-31 23:00  nba

   * agent/mibgroup/ucd-snmp/proxy.c:

   Fix bad return of a pointer to non-static storage
   
2001-01-31 15:44  hardaker

   * agent/mibgroup/host/hr_print.c:

   Patch from Frank Bartels for freebsd fixes
   
2001-01-30 17:13  hardaker

   * agent/mibgroup/ucd-snmp/disk.c:

   Applied patch #103414: fix disk info for block sizes other than 1024.
   
2001-01-29 13:24  hardaker

   * agent/mibgroup/smux/smux.c:

   fix bug #130410:  set the write_method in var_smux before returning
   NULL to make sure that sets happen on OIDs that don't exist first.
   
2001-01-29 13:15  hardaker

   * local/mib2c:

   fix suggested in bug #129948: check for - arguments at the begginning
   of the command line token (don't match mib-2, eg).
   
2001-01-29 13:13  hardaker

   * snmplib/parse.c:

   fix suggested in bug #129876: check for hint != NULL before freeing.
   
2001-01-26 05:49  nba

   * agent/mibgroup/host/hr_print.c:

   Fix bug on FreeBSD when /etc/printcap is empty
   
2001-01-25 14:38  nba

   * mibs/RMON-MIB.txt:

   Updated to RFC 2819
   
2001-01-24 21:37  nba

   * agent/Makefile.in:

   Install libraries before agent so that libtool can relink.
   
2001-01-20 05:54  nba

   * apps/snmpdelta.c, snmplib/int64.c:

   Two Counter64 glitches detected by Jason Gloudon <snmp@gloudon.com>
   
2001-01-20 05:44  nba

   * agent/snmpd.c:

   Dont set up the select parameters before calling interrupt handlers!
   Thanks to Frank Strauss.
   
2001-01-20 05:42  nba

   * snmplib/snmp_api.c:

   Fix encoding of BITS variable, thanks to Frank Strauss
   
2001-01-20 05:37  nba

   * agent/mibgroup/ucd-snmp/vmstat_solaris2.c:

   Raw IO counters from Jochen Kmietsch
   
2001-01-20 05:36  nba

   * agent/mibgroup/ucd-snmp/vmstat.h, mibs/UCD-SNMP-MIB.txt:

   Prepare for more raw counters
   
2001-01-15 15:14  nba

   * agent/mibgroup/ucd-snmp/proxy.c:

   undo a change that sneaked in by mistake
   
2001-01-15 14:07  nba

   * agent/mibgroup/ucd-snmp/proxy.c,
   agent/mibgroup/ucd-snmp/vmstat.h,
   agent/mibgroup/ucd-snmp/vmstat_bsdi4.c,
   agent/mibgroup/ucd-snmp/vmstat_bsdi4.h,
   agent/mibgroup/ucd-snmp/vmstat_freebsd2.c,
   agent/mibgroup/ucd-snmp/vmstat_freebsd2.h,
   agent/mibgroup/ucd-snmp/vmstat_netbsd1.c,
   agent/mibgroup/ucd-snmp/vmstat_netbsd1.h,
   agent/mibgroup/ucd-snmp/vmstat_solaris2.c, mibs/UCD-SNMP-MIB.txt,
   agent/mibgroup/ucd-snmp/vmstat_solaris2.h:

   Extend the systemStats.cpuRaw section to include more raw counters for various
   operating systems.  Basic testing performed for Solaris and FreeBSD. Code
   guesstimate for NetBSD and BSDi.
   
2001-01-12 08:00  hardaker

   * snmplib/snmp_api.c:

   - bit_string fixes
   - make snmp_add_var call snmp_parse_oid() instead of read_objid().
   
2001-01-12 07:57  hardaker

   * snmplib/asn1.c:

   comment out really odd (and broken) check from asn_bitstring_check???
   
2001-01-12 07:52  hardaker

   * local/: mib2c.storage.conf, mib2c.vartypes.conf:

   - misc bug fixes.
   - new data types (uint32, unsigned, bits).
   
2001-01-10 21:55  nba

   * snmplib/snmp_api.c:

   Fix calling of init_callbacks even if init_snmp called with NULL parameter
   
2001-01-10 21:53  nba

   * snmplib/snmp_api.c:

   Fix badly applied previous patch
   
2001-01-10 21:52  nba

   * apps/snmpvacm.c:

   Fix usage message (-e is now -Ce)
   
2001-01-10 21:51  nba

   * agent/mibgroup/mibII/var_route.c:

   Fix a bad ipRouteProtocol return
   
2001-01-10 21:50  nba

   * agent/mibgroup/host/hr_swrun.c:

   Fix problem when running --without-root-access for FreeBSD. Thanks to
   Bert Driehuis.
   
2001-01-10 21:48  nba

   * agent/mibgroup/kernel_sunos5.c:

   Use the ifspeed attribute from driver when available
   
2001-01-09 06:29  hardaker

   * agent/mibgroup/mibII/interfaces.c:

   Applying patch found in bug #127299:
     - switch ifAdmin and ifOperStatus meanings to match kernel parameters better.
   
2001-01-09 06:21  hardaker

   * win32/snmpnetstat/snmpnetstat.dsp:

   added getopt.c to list
   
2001-01-08 08:19  hardaker

   * agent/mibgroup/host/hr_swrun.c:

   Patch from Anders Ellefsrud
     - fix hr_swrun when programs have exited so we don't truncate
       getnext queries.
   
2001-01-08 08:14  hardaker

   * snmplib/snmp_api.c:

   Patch from Frank Strauss:
     - fix BITS encoding length when mib knowledge is available.
   
2001-01-04 23:18  nba

   * apps/: snmpset.c, snmptrap.c:

   Try fixing problems with snmpset of negative values
   
2001-01-04 23:15  nba

   * agent/mibgroup/ucd-snmp/vmstat_bsdi4.c:

   Add the raw cpu couters for BSDi. Courtesy Bert Driehuis.
   
2001-01-04 23:12  nba

   * agent/mibgroup/host/hr_swrun.c,
   agent/mibgroup/ucd-snmp/loadave.c, snmplib/callback.c:

   Save some unused variables
   
2001-01-04 23:09  nba

   * acconfig.h, config.h.in, agent/agent_trap.c, agent/mib_modules.c,
   agent/mibgroup/agentx/client.c, agent/mibgroup/agentx/master.c,
   agent/mibgroup/agentx/master_admin.c,
   agent/mibgroup/agentx/master_admin.h,
   agent/mibgroup/agentx/master_request.c,
   agent/mibgroup/agentx/protocol.c, agent/mibgroup/agentx/subagent.c:

   Add missing dmalloc support for some files
   
2001-01-04 23:04  nba

   * Makefile.in:

   Ensure sort order for config.h.in
   
2001-01-04 10:24  hardaker

   * configure, configure.in:

   fix semi-colon problem.  Patch #103101.
   
2001-01-03 07:01  hardaker

   * agent/mibgroup/host/hr_swrun.c:

   /proc/%d/cmdline may be an empty file for some processes.  Return "" if so.
   
2001-01-02 09:47  hardaker

   * snmplib/snmp_logging.c:

   add a "%s" formatting string to the syslog() call (redhat bug #18153).
   
2000-12-29 13:38  hardaker

   * agent/mibgroup/mibII/interfaces.c:

   Patch from Ted Rule:
     - better checking for formatting of the /proc/net/dev file to avoid
       linux core dumps when the kernel mis-behaves.
   
2000-12-27 16:47  hardaker

   * testing/tests/: T053agentv1trap, T054agentv2ctrap,
   T055agentv1mintrap, T056agentv2cmintrap, T113agentxtrap:

   - trap API testing suite enhanced to test more cases.
   
2000-12-27 16:45  hardaker

   * agent/agent_callbacks.h, agent/agent_trap.c, agent/agent_trap.h,
   agent/mibgroup/notification/snmpNotifyTable.c,
   agent/mibgroup/notification/snmpNotifyTable.h, snmplib/callback.c,
   snmplib/callback.h:

   - Make the notification mib work more via callbacks and remove ifdefs in
     agent_trap.c
   - Make the agent_trap.c file check for callback registrations and
     handle it internally using the old trapsink support if no callback
     is found.
   - This fixes the problem when init_mib_modules() isn't called in subagents.
   
2000-12-27 16:42  hardaker

   * agent/mibgroup/examples/example.c:

   make the example traps be sent using a enterprise specific trap of 99
   rather than 3.  We need to define it in the mib still.
   
2000-12-27 15:26  hardaker

   * snmplib/asn1.c:

   fix broken compiler precedence as reported in support #110473.
   
2000-12-22 08:54  hardaker

   * snmplib/asn1.c:

   fix counter64 reverse encodings.
   
2000-12-22 06:58  hardaker

   * snmplib/vacm.c:

   fix view processing to watch for length prefix.  The length prefix
   really really shouldn't be stored directly in the oid.  Niels?
   
2000-12-21 14:43  nba

   * apps/snmpnetstat/main.c:

   - main.c: fix problem with positional community argument to snmpnetstat
   
2000-12-21 14:37  nba

   * snmplib/mib.c:

   - mib.c: make sure init_mib_internals is called before doing anything
   	serious in init_mib
   
2000-12-21 08:22  hardaker

   * snmplib/snmp_api.c:

   Patch from Frank Strauss to fix support for BITS
   
-------------------------------------------------------------------------------

Changes: V4.1.2 -> V4.2

2000-12-04 15:30  hardaker

	- (NEWS, README): updates.
	
2000-12-04 14:48  marz

	ensure mibload.t uses correct MIBDIR for testing
	
2000-12-04 11:05  hardaker

	- (AGENT.txt, FAQ, README): convert url's to www.netsnmp.org.
	
2000-12-04 08:45  hardaker

	- (NEWS): agentx note changes.
	
2000-12-03 07:29  nba

	- snmptrapd_log.c: fox missing leading zeroes for %.2d like formats.
		Add an alternate format for up-time displays.
	
2000-12-02 18:22  marz

	found the uninitialized data bug...must have been in there dormant for a while, other test fixes - good to go!
	
2000-12-01 16:36  hardaker

	- (agent/snmpd.c): reference sourceforge.
	
2000-12-01 16:35  hardaker

	- (AGENT.txt): reference sourceforge.
	
2000-12-01 16:34  hardaker

	- (TODO): reference net-snmp-coders.
	
2000-12-01 16:34  hardaker

	- (README): update.
	
2000-12-01 16:33  hardaker

	- (bug-report, agent/mibgroup/versiontag): remove the bug report script.
	
2000-12-01 16:31  hardaker

	- (PORTING): reference sourceforge.
	
2000-12-01 16:23  hardaker

	- (man/snmptrapd.conf.5.def): mention the fact that snmpv3 traps are
	  the same as snmpv2 traps.
	
2000-12-01 16:23  hardaker

	- (NEWS): update.
	
2000-12-01 15:31  hardaker

	- (README): update.
	
2000-12-01 15:16  hardaker

	- (snmpd.conf.5.def): update for proxy support.
	
2000-12-01 14:36  hardaker

	- (FAQ): update a few things.
	
2000-12-01 14:28  nba

	- mib.c: diagnose wrong quoting in indices
	
2000-12-01 14:23  nba

	- parse.c: add RFC-1213 as an aliase for RFC1213-MIB (used in many mibs)
	
2000-12-01 14:19  nba

	- smux.c: reformat some debug messages for readability
	
2000-12-01 14:17  nba

	- interfaces.c: fix ifType values for Linux
	
2000-12-01 14:14  nba

	- subagent.c: supply a missing return value
	
2000-12-01 10:04  hardaker

	- (snmpconf): quote things with spaces in them.
	
2000-12-01 09:49  hardaker

	- (snmpconf.1): quick man page for snmpconf.
	
2000-12-01 09:15  hardaker

	- (local/snmpconf.dir/snmpd.conf/monitor): cleanups.
	
2000-12-01 09:14  hardaker

	- (snmplib/parse.c): change no-parent log message into a warning.
	
2000-12-01 09:11  hardaker

	- (agent/mibgroup/agentx/README.agentx): update from Dave.
	
2000-12-01 09:10  hardaker

	- (FAQ): update from Dave.
	
2000-12-01 07:59  hardaker

	- (agent/agent_trap.c): Patch from Dave Shield:
	  - support v2->v1 trap conversion.
	
2000-12-01 07:56  hardaker

	- (configure, configure.in): typo.
	
2000-12-01 07:42  marz

	additional fixes to support targetted builds of perl/SNMP using -NET-SNMP-PATH (and white space removal as my emacs kindly does that for me?)
	
2000-11-30 14:06  nba

	- getopt.h, snmp_parse_args.h: extern "C" bracketing
	
2000-11-30 14:04  nba

	- snmpd.conf.5.def: fix formatting of smuxpeer token
	
2000-11-30 10:31  hardaker

	- (FAQ): Update from Dave.
	
2000-11-30 10:18  hardaker

	- (master_request.c): Patch from Dave Shield to fix bad sets for agentx.
	
2000-11-30 09:19  hardaker

	- (ov/README): minor corrections, probably still incorrect.
	
2000-11-30 09:18  hardaker

	- (local/Makefile.in, snmpconf, acl, basic_setup, monitor, operation,
	  system, trapsinks):
	  - grouping support.
	  - sort-of-quiet output support.
	  - operation mode support (setting user, group, ports...)
	
2000-11-30 09:13  hardaker

	- (snmplib/read_config.c): save a warning header at the top of the
	  persistent data file.
	
2000-11-30 09:11  hardaker

	- (agent/mibgroup/tunnel/tunnel.c): Cleanup patch from Frank Strauss.
	
2000-11-30 09:10  hardaker

	- (agent/snmpd.c): set DS_AGENT_NO_ROOT_ACCESS in -H help output.
	
2000-11-30 09:08  hardaker

	- (configure, configure.in): mention the TUNNEL-MIB support.
	
2000-11-29 18:21  slif

	Update e-mail address for Slifcak
	
2000-11-29 11:34  marz

	fixed order of function checking so that vsnprintf is not found in libdb (BSD db) by mistake
	
2000-11-29 05:18  marz

	partial submit to get perl/SNMP tests to pass and update the docs somewhat - still getting cores in notify.t. had to change create_user_from_session to update an existing user incase 2 sessions are started with the same user
	
2000-11-28 18:00  marz

	partial submit to get perl/SNMP tests to pass and update the docs somewhat - still getting cores in notify.t. had to change create_user_from_session to update an existing user incase 2 sessions are started with the same user
	
2000-11-27 14:37  hardaker

	- (local/snmpconf.dir/snmpd.conf/basic_setup): basic setup series of questions.
	
2000-11-27 14:36  hardaker

	- (local/snmpconf.dir/snmpd.conf/acl): typos.
	
2000-11-27 14:36  hardaker

	- (local/snmpconf):
	  - add support for "groups" of items.
	  - don't use IO::Dir, as its not in the standard perl module distributions.
	
2000-11-27 14:34  hardaker

	- (agent/mibgroup/ucd-snmp/dlmod.h): remove unneeded variable reference.
	
2000-11-27 14:33  hardaker

	- (agent/snmp_agent.c): Patch from John Naylon:
	  - fix auto-set support for the agent (and plug a memory leak).
	
2000-11-27 13:42  nba

	- snmp.conf.5.def: document tokens extendedIndex and noRangeCheck
	
2000-11-27 13:41  nba

	- parse.c: fix a C++ style comment
	
2000-11-24 15:14  nba

	- memory_freebsd2.c, vmstat_netbsd1.c: minor fixes for NetBSD 1.5, OPenBSD 2.6
	
2000-11-22 13:48  hardaker

	- (mibgroup/ucd-snmp/dlmod.c): Patch from Sean Harding:
	  - don't export an internal variable.
	
2000-11-21 15:17  nba

	- mib.c: fix parsing of oid like 99.13.\"guf\"8
	
2000-11-19 13:03  nba

	- SNMP.xs, mib2c.vartypes.conf: The recent specialisation of the Integer
		types in the parser created problems for the perl module and in turn
		for mib2c. Sorry for not catching this before pre2 :-(
	
2000-11-19 12:58  nba

	- fixes to ./configure --with-defaults --enable-mini-agent; make install
		and run the tools under cygwin. Haven't tried the agent yet :-)
	
2000-11-18 07:14  hardaker

	- (version.h bug-report sedscript.in): version tag ( 4.2.pre2 )
	
2000-11-18 07:12  hardaker

	- (T049snmpv3inform): v3 inform test added.
	
2000-11-17 11:01  nba

	- mib.c, snmp_api.c: better error messages for bad snmpset calls and bad
		indices. Also fix a bug with quoted indices.
	
2000-11-17 10:32  hardaker

	- (tests/T050snmpv3trap): test for snmpv3 traps.
	
2000-11-17 10:30  hardaker

	- (snmptrapd.c): fix cases where the format strings are specified.
	
2000-11-17 10:26  nba

	- IANAifType-MIB.txt: update from IANA
	
2000-11-17 08:32  hardaker

	- (master_request.c): Patch from Dave Shield:
	  - fix memory leaks.
	  - fix agentx problems with bad sets.
	
2000-11-16 17:55  hardaker

	- (snmplib/snmpv3.c): added a space in a debugging output statement.
	
2000-11-16 17:54  hardaker

	- (snmplib/read_config.c): simple debugging statement added.
	
2000-11-16 17:54  hardaker

	- (snmplib/snmp_api.c): set DS_LIB_APPTYPE if it hasn't been set yet.
	
2000-11-16 17:52  hardaker

	- (testing/eval_tools.sh): add CONFIGTRAPD.
	
2000-11-16 17:50  hardaker

	- (snmplib/mib.c, testing/tests/T112agentxsetfail,
	  testing/tests/T122proxysetfail):
	  - support -Ir for "dont check range/type values" (letter r subject to debate).
	
2000-11-16 17:25  hardaker

	- (callback.c): better debugging output to display a callback count when done.
	
2000-11-16 16:52  hardaker

	- (T113agentxtrap): A new test to test trap support from agentx subagents.
	
2000-11-16 16:50  hardaker

	- (T058agentauthtrap): sleep some and only perform one get request.
	
2000-11-16 16:49  hardaker

	- (T054agentv2ctrap): sleep a bit and only send one snmp set request.
	
2000-11-16 15:47  nba

	- getopt.c: quell compiler warnings
	
2000-11-16 15:31  nba

	- parse.[ch], mib.c, snmp_api.c: rename TYPE_UINTEGER32 back to TYPE_UINTEGER
	
2000-11-16 15:16  nba

	- snmptrapd.c, snmptrapd.conf: new config directives format1 and format2 to
		set log formats for TRAP1 and TRAP2 pdus.
	
2000-11-16 13:50  nba

	- snmp_api.c: add functionality to check value types in addition to ranges
		for snmpset and snmptrap.
	
2000-11-16 13:47  nba

	- parse.c: Fix DEFVAL parsing for  OBJECT IDENTIFIER or BITS values
		(i.e. DEFVAL { { 0 0 } } etc)
	
2000-11-16 11:39  hardaker

	- (T058agentauthtrap): add a greater timeout to the get request.
	
2000-11-16 11:35  hardaker

	- (example.c):
	  - send a v2c trap using its own data, not the system_mib's.
	  - more debugging statements.
	
2000-11-16 11:34  hardaker

	- (T053agentv1trap, T054agentv2ctrap, T058agentauthtrap):
	  - new tests for traps sent by the agent.
	
2000-11-16 09:56  hardaker

	- (target.c): Don't delete READONLY trap sessions.
	
2000-11-15 16:37  hardaker

	- (testing/tests/T052snmpv2cinform): test inform sending/receiving.
	
2000-11-15 16:37  hardaker

	- (apps/snmptrap.c, man/snmptrap.1): support -Ci for sending informs.
	
2000-11-15 15:48  hardaker

	- (snmptrapd_log.c): use SNMP_MAXBUF instead of a local length definition.
	
2000-11-15 14:18  nba

	- Makefile.in: fix make'ing in remote directory
	
2000-11-15 14:11  nba

	- main.c: update to use getopt for argument parsing.
	
2000-11-15 14:10  nba

	- snmp_agent.c: fix a confusing indentation.
	
2000-11-15 14:09  nba

	- agent_trap.c: make sure community is \0-terminated in targetParamsTable
	
2000-11-15 14:03  nba

	- snmptrapd_log: fix a buffer that is way too short for a trap with just a
		single parameter. Fix a bad limit test in str_append.
	
2000-11-15 14:00  nba

	- snmptranslate.c: fix a stupid perror for snmp_perror
	
2000-11-15 13:58  nba

	- parse.[ch], mib.c: enhance the parser to distinguish INTEGER, Integer32,
		Unsigned32, UInteger32.
	
2000-11-15 13:55  nba

	snmp_api.c: remove an unused variable
	
2000-11-15 07:49  hardaker

	- (snmp_vars.c, subagent.c): Patch from Lawrence Greenfield:
	  - Don't make init_agent()/subagent_pre_init() exit but return an
	    error condition instead.
	
2000-11-12 08:08  hardaker

	- (ucdDemoPublic.c): add NULL to end of demo string and check for len=0.
	
2000-11-12 04:45  nba

	snmp_api.c: Make sure the noRangeCheck token is a boolean
	
2000-11-12 04:41  nba

	- mib.c: give the tree-top a name to protect error message when looking up .foo
	
2000-11-12 04:36  nba

	- snmptranslate.c: use config_perror for a better error message
	
2000-11-12 04:34  nba

	- proxy.c: remove some unused variables.
	
2000-11-12 04:33  nba

	-agent_traps.c: Move a conditionally used variable
	
2000-11-12 04:32  nba

	Fix a bogus #ifdef
	
2000-11-10 09:18  hardaker

	- (configure, configure.in): apply patch #102224 from jbpn for cross-compiling.
	
2000-11-10 08:56  hardaker

	- (testing/TESTCONF.sh, testing/eval_tools.sh, testing/tests/T051snmpv2ctrap):
	 - first pass at a testing script to test trap functionality.
	   - which even uncovered a bug.
	
2000-11-10 08:55  hardaker

	- (apps/snmptrapd.c):
	  - fork if file logging or syslogging, but not printing.
	  - don't close open file descriptors.  There shouldn't be any.
	
2000-11-10 08:53  hardaker

	- (apps/snmptrapd_log.c): properly null terminate log strings.
	
2000-11-09 16:40  hardaker

	- (configure.in): attempt to implement a --with-rsaref flag.
	
2000-11-09 15:32  hardaker

	- (README, perl/SNMP/README): mention Karl.
	
2000-11-09 15:31  hardaker

	- (NEWS, perl/SNMP/README): mention Karl.
	
2000-11-09 14:56  hardaker

	- (examples/bulkwalk.pl, t/bulkwalk.t): patch from Karl Schilke:
	  - support bulk requests.
	
2000-11-09 14:53  hardaker

	- (MANIFEST, README, SNMP.pm, SNMP.xs): patch from Karl Schilke:
	  - support bulk requests.
	
2000-11-08 23:33  hardaker

	- (read_config.c): fix -H output.
	
2000-11-08 23:02  hardaker

	- (snmp_agent.c): make agent_check_and_process() call run_alarms().
	
2000-11-08 22:45  hardaker

	- (diskio.c): fix OID.
	
2000-11-08 17:06  hardaker

	- (SNMP.pm, SNMP.xs): patch from Mark Cavage for default value support.
	
2000-11-08 17:03  hardaker

	- (mib.c, parse.c, parse.h): minimal DEFVAL parsing support.
	
2000-11-08 16:20  hardaker

	- (config.h.in, configure): check for librsaref, etc, if needed.
	
2000-11-07 15:15  hardaker

	- (config.h.in, configure, configure.in, agent/agent_read_config.c,
	  agent/snmpd.c):
	  - uid/gid changes.
	
2000-11-07 15:10  hardaker

	- (SNMP.xs): fix TYPE_NOTIF -> TYPE_NOTIFTYPE.
	
2000-11-07 11:30  hardaker

	- (SNMP/SNMP.pm, SNMP/SNMP.xs): Patch from Joe Clarke:
	  - implement best-guess (-Ib) parsing.
	  - access to trap varbinds.
	  - range access.
	
2000-11-07 11:00  hardaker

	- (.cvsignore): ignore build created files.
	
2000-11-07 10:58  hardaker

	- (README, SNMP.pm, SNMP.xs): patch from Karl Schilke:
	  - implement a finish() call.
	
2000-11-07 10:54  hardaker

	- (SNMP/SNMP.xs): patch from Karl Schilke:
	  - multiple callback patch for perl/SNMP/SNMP.xs.
	
2000-11-07 10:48  hardaker

	- (read_config.c): log an error message if the optional config file DNE.
	
2000-11-07 10:41  hardaker

	- (SNMP.pm): fix iid parsing with respect to mib nodes with a - in it.
	
2000-11-07 10:29  hardaker

	- (if_fields.h, interfaces.c, ipMedia.c, ipRoute.c, tcp.c, tcpTable.c,
	  udp.c, udpTable.c): Patch from Bert Driehuis:
	  - mibJJ fixes [FreeBSD/other BSD's].
	
2000-11-07 10:13  hardaker

	- (agent/agent_read_config.c, agent/ds_agent.h, agent/snmpd.c,
	  man/snmpd.1.def, man/snmpd.conf.5.def): Patch from Harrie Hazewinkel:
	  - implement uid/gid changes after startup for the agent.
	
2000-11-07 08:33  hardaker

	- (target.c): a better sanity check for session deletion.
	
2000-11-07 07:24  hardaker

	- (target.c): Patch from Dave to sanity check param->updateTime.
	
2000-11-06 11:00  hardaker

	- (md5.c): check to see that MDsign() data lies on a 32 byte boundry.
	  - its possible some compilers will choke on this hack.
	  - fixes bug #12175.
	
2000-11-03 17:54  hardaker

	- (mib2c): sort OIDs properly.
	
2000-11-03 16:44  hardaker

	- (example.c): Patch from Harrie Hazewinkel:
	  - fix mib registrations for duplicate OIDs being used for the trap examples.
	
2000-11-03 15:31  hardaker

	- (snmpd.c): second patch from dougwarz in bug #117273 to fix smux problems.
	  - Um, applied correctly this time (I hope).
	
2000-11-03 15:29  hardaker

	- (snmpd.c): second patch from dougwarz in bug #117273 to fix smux problems.
	
2000-11-02 22:19  nba

	Clean up some unused variables etc.
	
2000-11-02 22:16  nba

	- Makefile.in: fix some $(srcdir) references when running outside source
	
2000-11-02 22:15  nba

	- snmptrapd.c: fix the format string for format_trap
	
2000-11-02 22:14  nba

	- Makefile.in: remove some duplicates from file lists
	
2000-11-02 22:12  nba

	Document the -OX output option
	
2000-11-02 22:11  nba

	Document the sysservices token
	
2000-11-02 16:17  hardaker

	- (agent/mibgroup/ucd_snmp.h): add ucd-snmp/proxy.
	
2000-11-02 16:16  hardaker

	- (agent/mibgroup/versiontag): change cvs archive site and package name.
	
2000-11-02 13:23  hardaker

	- (smux.c): Patch 102239 from dougwarz to fix a previously bad smux.c patch.
	
2000-11-01 16:36  hardaker

	- (version.h bug-report sedscript.in): version tag ( 4.2.pre1 )
	
2000-11-01 16:14  hardaker

	- (T120proxyget, T121proxyset, T122proxysetfail): proxy test suite.
	
2000-11-01 16:08  hardaker

	- (agent/mibgroup/ucd-snmp/proxy.c, agent/mibgroup/ucd-snmp/proxy.h):
	  - minimal SET support for the proxy code.
	
2000-11-01 10:22  hardaker

	- (T112agentxsetfail): test for agentx sets that should fail properly.
	
2000-10-31 14:30  nba

	- tcpTable.c: remove an unnescessary #include
	
2000-10-31 14:28  nba

	- smux.c: fix wrong variable length
	
2000-10-31 14:25  nba

	- protocol.c: fix some suspicious looking code
	
2000-10-31 14:21  nba

	- man/snmpd.conf: fix a typo
	
2000-10-31 12:41  nba

	- mib.c: add -OX output format, for just another way of printing indices
	
2000-10-31 12:27  nba

	- interface.c: add "interface" config for unguessable interface type/speed
	
2000-10-31 12:25  nba

	- apps/*: make sure we report any errindex/errcode in the response
	
2000-10-31 12:04  nba

	- protocol.c: clean up unused variables.
	
2000-10-31 10:13  hardaker

	- (smux.c): patch #1 from bug #117273 applied to fix smux socket problems.
	
2000-10-31 09:24  hardaker

	- (SNMP.xs): print counter64's as unsigned.
	
2000-10-31 07:54  hardaker

	- (agent_trap.c, agent_trap.h, subagent.c, snmpNotifyTable.c,
	  snmpNotifyTable.h): Patch from Dave:
	  - fix notifications from agentx subagents.
	
2000-10-30 22:03  hardaker

	- (smux.c): fix bug #119786: make smux reuse socket address.
	
2000-10-30 21:42  hardaker

	- (eval_tools.sh, tests/T110agentxget, tests/T111agentxset):
	  - fix bug #382
	  - fix agentx non-root tests to use -x /tmp/blah/agentx_socket.
	
2000-10-30 13:45  hardaker

	- (snmpd.1.def): fix a typo pointed out by Chris Pepper.
	
2000-10-30 11:46  hardaker

	- (tests/T111agentxset): test script for AgentX set support.
	
2000-10-30 11:43  hardaker

	- (tests/T110agentxget): header changed to include the word GET.
	
2000-10-30 11:13  nba

	- ucd-snmp/vmstat_*, memory_freebsd2.c, dlmod.c: Make ssRawCpu objects Counters,
		and add support for *BSD (including OpenBSD)
	
2000-10-30 11:07  nba

	- Clean up unused variables.
	
2000-10-30 11:04  hardaker

	- (testing/tests/T101agentx, testing/tests/T110agentxget):
	  - renamed the agentx test script.
	
2000-10-30 11:03  hardaker

	- (testing/eval_tools.sh): don't add -c CONFIGFILE if it doesn't exist.
	
2000-10-30 10:39  hardaker

	- (agent/snmpd.c): error when parsing -X for non-agentx builds.
	
2000-10-27 11:29  hardaker

	- (apps/snmptrapd.c): add -o flag to log to a particular file.
	
2000-10-27 10:41  hardaker

	- (snmplib/snmp_api.c): use mkstemp if available.
	
2000-10-27 10:40  hardaker

	- (config.h.in, configure, configure.in): Search for mkstemp().
	
2000-10-27 10:08  hardaker

	- (FAQ): update linux kernel list to include 2.2.
	
2000-10-26 17:51  hardaker

	- (eval_tools.sh): make SKIPIFNOT check the mib module list too.
	
2000-10-26 17:48  hardaker

	- (tests/T101agentx): AgentX subagent test for simple get retrieval.
	
2000-10-25 17:44  hardaker

	- (snmpd.c): Add -X option to snmpd to run as a subagent.
	
2000-10-25 17:06  hardaker

	- (read_config.c): fix for cases whene debugging is always off.
	
2000-10-17 15:30  hardaker

	- (config.h.in): autoheader run
	
2000-10-16 03:13  daves

	- (agentx/master.c): Specify the length of the (pseudo-)answer to a request.
		This allows it to be cached correctly for multi-pass SET handling.
	
2000-10-16 03:11  daves

	- (agentx/subagent.c): Don't overwrite saved mode information
		This should help with (some of) the SET handling problems.
	
2000-10-16 01:56  daves

	- (agentx/master_request.c): Don't free callback data structure.
		This holds information that needs to persist across multi-pass requests.
		I realise that this introduces a memory leak, but this isn't the
		correct place to handle this.
	
2000-10-12 14:52  hardaker

	- (snmpd.c): add -I to the help output.
	
2000-10-12 14:24  hardaker

	- (agent/dlmods/*): remove obsolete versions
	
2000-10-12 14:08  hardaker

	- (configure): update.
	
2000-10-12 14:01  hardaker

	- (acconfig.h, config.h.in, configure.in): Patch from Matt Braithwaite:
	  - udp configuration changes to check for misc structure definitions.
	
2000-10-12 13:48  hardaker

	- (TUNNEL-MIB.txt): TUNNEL-MIB definition.
	
2000-10-12 13:48  hardaker

	- (tunnel.h): config_add_mib(TUNNEL-MIB).
	
2000-10-12 13:47  hardaker

	- (tunnel.h, tunnel.c, tunnel.h): Patch from Frank Strauss:
	  - implement the TUNNEL-MIB.
	
2000-10-10 14:33  mslifcak

	Fix unlink_tree for "top level" tree nodes.
	
2000-10-10 11:02  hardaker

	- (Makefile.in): reverse library link ordering again...
	
2000-10-10 09:03  mslifcak

	Remove relative path to include system.h.
	
2000-10-10 06:53  mslifcak

	Remove unneeded decl of vsnprintf without stdarg/varargs decl of va_list.
	
2000-10-10 05:15  mslifcak

	Apply patch for DEC Alpha EV6, supplied by Shumon Huque<shuque@isc.upenn.edu>
	
2000-10-09 17:06  mslifcak

	patch to fix leading zero error introduced by changes for shutdown_mib.
	
2000-10-09 15:51  hardaker

	- (dlmod.c): minor debugging output additions.
	
2000-10-09 15:51  hardaker

	- (Makefile.in): move auto_nlist to libucdmibs.
	
2000-10-09 11:43  hardaker

	- (FAQ, README): add new mirror.
	
2000-10-09 10:26  mslifcak

	Move config- and store-related cleanup from shutdown_mib to snmp_shutdown.
	
2000-10-09 02:36  daves

	- (mibII/interfaces.c): Qualify an individual interface type test symbol
		(Qn: should any/all of the others be qualified as well?)
	
2000-10-06 08:56  mslifcak

	Support for shutdown_mib - clearing the MIB trees and configured registrations.
	
2000-10-06 05:33  mslifcak

	Plug memory leak for ucd-supplied setenv on Win32 platform.
	
2000-10-06 04:58  mslifcak

	Remove unused variables.
	
2000-10-05 23:45  nba

	- mib.c: fix silly bug in new oid parser, when leaving the tree and going
		into sub-ids we know nothing about
	
2000-10-05 16:03  hardaker

	- (Makefile.in): Patch from Harrie Hazewinkel:
	  - fix library dependency order.
	
2000-10-04 17:59  hardaker

	- (Makefile.in): install "extending" snmpconf file.
	
2000-10-04 17:58  hardaker

	- (extending): add snmpconf support for extending the agent (pass, exec, ...)
	
2000-10-04 17:58  hardaker

	- (monitor): misc updates and add "file" watching.
	
2000-10-04 17:57  hardaker

	- (acl): don't specify line specifications for default snmpconf usage.
	
2000-10-04 14:50  nba

	- FAQ: fix a confusion between "omit" and "include"
	
2000-10-04 13:25  hardaker

	- (pass_persist.c): opaques in pass_persist.
	
2000-10-04 10:35  hardaker

	- (pass.c): support opaque return types.
	
2000-10-04 07:15  mslifcak

	Fix parsing problem for -Pc option; reported by Christian Mautner.
	
2000-10-04 07:02  mslifcak

	qualify new i/f types.
	
2000-10-04 06:52  mslifcak

	qualify symbols for new i/f types.
	
2000-10-04 06:51  mslifcak

	Terminate list to compile (add a comma).
	
2000-10-04 00:18  nba

	- snmptable.c: index columnt (-Ci) width not properly computed when using
		GETBULK
	
2000-10-03 18:19  hardaker

	- (agent_registry.c, agent_registry.h, snmpd.c): Patch from John Naylon:
	  - add a passback argument to register_readfd() callbacks.
	
2000-10-03 18:17  hardaker

	- (Makefile.in): Patch from Harrie Hazewinkel:
	  - move auto_nlist.o/lo to libucdagent since some mib-modules need it.
	
2000-10-03 18:07  hardaker

	- (smux.c): Patch from Jochen Friedrich:
	  - fix getnext requests to subagents.
	
2000-10-03 17:26  hardaker

	- (mibJJ/interfaces.c): Patch from Frank Strauss:
	  - better iftype guessing.
	
2000-10-03 17:24  hardaker

	- (interfaces.c): Patch from Frank Strauss:
	  - better iftype guessing.
	
2000-10-03 16:52  hardaker

	- (smux.c): Patch from Doug Warzecha:
	  - fix oid parsing in traps.
	
2000-10-03 16:23  hardaker

	- (example.c, example.h): example of coding a v2 trap from someone who
	  I have very sadly forgotten.  I've been looking for that message for
	  a while to properly attribute this patch.  Sigh.
	
2000-10-03 16:21  hardaker

	- (snmp_agent.c): Patch from Douglas Warzecha:
	  - snmpd returns wrong error index on SNMPv1 request (BUG#375).
	
2000-10-03 09:12  mslifcak

	Fix null deref of ss->community, reported by Jim Pickering.
	
2000-10-03 08:03  mslifcak

	Casting to fix problems building with aCC
	Thanks to Markku Laukkanen <pky@moremagic.com>
	
2000-10-03 05:59  mslifcak

	Remove chdir to undo fix for (BUG#298)
	
2000-10-02 21:41  nba

	- mib.c: Escape " and \ in text strings.
	
2000-10-02 21:39  nba

	- snmp_logging.c: #include <netinet/in.h>
	
2000-10-02 21:38  nba

	- Makefile.in: fix a missing $(srcdir) during make install of mib2c
		configuration files
	
2000-10-02 21:37  nba

	- snmpset.c: Do a exit(2) for failure in setting the variable.
	
2000-10-02 21:36  nba

	- hr_swrun.c: add a safeguard for very long argument lists.
	
2000-10-02 21:34  nba

	- hr_disk.c: Add a name pattern that matches x86 IDE disks for Solaris.
	
2000-10-02 21:33  nba

	- kernel_sunos5.c: make the buffer for SIOCGIFCONF dynamic.
	
2000-10-02 11:41  hardaker

	- (Makefile.in): install snmpusm.h.
	
2000-10-02 10:48  hardaker

	- (snmpconf):
	  - new options for installing created files.
	  - more comments in the code.
	  - allow reading a .conf directly to writing for auto-commenting .conf files.
	  - misc.
	
2000-10-02 10:47  hardaker

	- (agent/mibgroup/Makefile.in, agent/Makefile.in): make depend-less.
	
2000-10-02 09:35  hardaker

	- (snmp_agent.c): protect against 0 byte statP mallocs.
	
2000-10-02 09:14  hardaker

	- (interfaces.c): Patch from Ted Rule:
	  - fix interfaces.c for variable length number formatting in /proc/net/dev.
	
2000-10-01 16:40  mslifcak

	Per Niels recommendation, chdir to PERSISTENT_DIRECTORY (re: bug #298)
	
2000-09-30 08:57  mslifcak

	Fix DEBUGMSGTL not found error for builds without dlmod support.
	Thanks to simon@zid.tuwein.ac.at
	
2000-09-30 08:50  mslifcak

	Fix some kernel symbols - thanks to simon@zid.tuwien.ac.at
	
2000-09-29 14:35  hardaker

	- (*/Makefile.in): make depend + .o -> .lo fixes.
	
2000-09-29 14:27  hardaker

	- (makefileindepend.pl): skip empty depend lines.
	
2000-09-29 14:09  hardaker

	- (snmpconf): drop duplicate lines from read in snmpd.conf files.
	
2000-09-29 13:46  hardaker

	- (snmpconf): sort unknown directives by filetype (whoops).
	
2000-09-29 13:42  hardaker

	- (monitor): minor wording adjustments.
	
2000-09-29 13:42  hardaker

	- (snmpconf): print more information/comments to the screen.
	
2000-09-29 11:31  hardaker

	- (var_struct.h): increase registration name length to 32 from 16 (Bug #172)
	
2000-09-29 11:12  hardaker

	- (snmp_api.c): incorrect val length passed to parse_unsigned_int (Bug #339).
	
2000-09-29 11:01  hardaker

	- (snmp_api.c): fix Bug#353 for hostnames that look like "5w".
	  - don't interprete them as an ip-port.
	
2000-09-29 10:39  hardaker

	- (snmp_alarm.c): Patch from jbpn@cambridgebroadband.com:
	  - There is a peculiarity in the snmp_alarm_unregister function in
	    snmplib/snmp_alarm.c which can cause a segmentation fault. (Bug #367)
	
2000-09-29 10:34  hardaker

	- (snmpTargetParamsEntry.c): Patch from John Naylon:
	  - fix use of NULL timestamp pointer in new row creation (Bug #346)
	
2000-09-28 14:38  nba

	- mib_api.3: add a few functions to the header
	
2000-09-28 14:14  nba

	- snmptrap.c: remove an extraneous snmp_free_pdu
	
2000-09-28 14:13  nba

	- man/: add man entries for many library functions (pointing to snmp_api.3)
	
2000-09-28 11:09  mslifcak

	remove second copy of sys/socket.h
	
2000-09-28 11:08  mslifcak

	For building on Ultrix V4.x
	
2000-09-27 12:59  hardaker

	- (dlmod.h): add the UCD-DLMOD-MIB to the default load list.
	
2000-09-27 12:55  hardaker

	- (config.h.in, configure, configure.in, ucd_snmp.h, dlmod.c):
	  - include ucd-snmp/dlmod by default.
	  - build code only if dlopen is found.
	
2000-09-27 08:31  hardaker

	- (auto_nlist.c): Patch from Harrie Hazewinkel:
	  - don't print kernel based warning messages when -r, etc, is specified.
	
2000-09-26 16:07  hardaker

	- (displaytable.pm): minor bug fixes.
	
2000-09-26 14:21  hardaker

	- (displaytable.pm, manager.pm):
	  - displatable supports -mark/-onmarked.
	  - user's oncall schedule is modifiable via the web.
	
2000-09-26 13:17  mslifcak

	For Win32 API: Declare strtoul, vsnprintf; Enable reverse BER encoding.
	
2000-09-26 13:15  mslifcak

	Include system.h (vsnprintf decl)
	
2000-09-26 13:14  mslifcak

	Fix unsigned comparison.
	
2000-09-26 13:14  mslifcak

	Fix unsigned comparisons.
	
2000-09-26 13:13  mslifcak

	Fix signed comparison; Remove unused var.
	
2000-09-26 13:12  mslifcak

	Include getopt.h (optarg decl); Remove unused var.
	
2000-09-26 13:11  mslifcak

	Match Initialise_Table args 3,4 declarations with definitions.
	
2000-09-26 12:58  hardaker

	- (interfaces.c): make the adminstatus RONLY.
	
2000-09-26 10:21  hardaker

	- (mib2c): chomp($1) is illegal.
	
2000-09-26 03:04  mslifcak

	Explicitly build path to CACHEFILE, as not all C compilers support "##".
	
2000-09-25 17:49  hardaker

	- (displaytable.pm): Wes actually documented something?  you must be kidding!
	
2000-09-25 16:56  mslifcak

	chdir just before sending coldstart trap, to allow for paths to be
	resolved.
	
2000-09-25 15:08  hardaker

	- (displaytable.pm): minor graphing changes
	
2000-09-25 09:35  mslifcak

	case insensitive token search (use strcasecmp).
	
2000-09-22 06:03  nba

	 -mibs/: MIB updates
	
2000-09-22 05:55  nba

	- mibs/: MIB updates
	
2000-09-22 05:52  nba

	- snmp_api.c: support setting of BITS variables
	
2000-09-22 05:50  nba

	- snmpstatus.c: show error object
	
2000-09-22 04:29  nba

	- snmpusm.c: issue error message with object
	
2000-09-22 04:28  nba

	- system.h: provide prototypes for strtol, strtoul, snprintf, vsnprintf
	
2000-09-22 04:27  nba

	- vacm_vars.c: protect against overrun of strings
	
2000-09-21 16:17  nba

	- apps/: display failed object when one is identified by pdu->errindex
	
2000-09-21 15:59  hardaker

	- (Makefile.in, snmpdf.1): document the snmpdf command.
	
2000-09-21 15:50  nba

	- snmptable: use GETBULK to collect data when protocol allows it. Add
		-CB options to fall back to GETNEXT.
	
2000-09-21 15:38  nba

	- mib.c: rewrite index handling in object ids, to allow symbolic enums.
		Add Daves suggested -Ov output. Also enhace -Td output to
		destinguish OBJECT-TYPE from TRAP-TYPE, MODULE-IDENTITY etc.
	
2000-09-21 15:31  hardaker

	- (snmpdf.c): use the UCD-SNMP-MIB's dskTable if the
	  HOST-RESOURCES-MIB is empty or if -Cu is specified on the command line.
	
2000-09-21 15:28  nba

	- parse.c: add ability to collect VARIABLES/OBJECTS for TRAP-TYPE
		and NOTIFICATION-TYPE. Ignore files that does not have DEFINITIONS
		as their second token. Enhance -Td output accordingly.
	
2000-09-21 15:22  nba

	- snmplib: add snprintf, strtol, strtoul for systems that don't have them
	
2000-09-21 15:10  hardaker

	- (mib.h): add fake struct definition for enums
	
2000-09-21 14:16  nba

	file strtoul.c was initially added on branch V4-1-1-patches.
	
2000-09-21 14:16  nba

	file strtol.c was initially added on branch V4-1-1-patches.
	
2000-09-21 14:16  nba

	file snprintf.c was initially added on branch V4-1-1-patches.
	
2000-09-21 06:16  hardaker

	- (mib.c, mib.h): make sprint* non-static (bug #132).
	
2000-09-21 00:25  hardaker

	- (snmp_alarm.c): Patch from John Naylon:
	  - fix bug #360 where a client might remove a alarm registration
	    during a call to the alarm function and invalidate the pointer
	    being used by the calling function.
	
2000-09-21 00:22  hardaker

	- (configure, configure.in): --disable-shared by default in cvs checkouts.
	
2000-09-20 17:31  hardaker

	- (snmpconf): space indent tokens if # prepended.
	
2000-09-20 17:30  hardaker

	- (snmpTargetAddrEntry.c, snmpTargetParamsEntry.c): null internal help lines.
	
2000-09-20 17:29  hardaker

	- (Makefile.in, monitor): disk, proc, and load checks.
	
2000-09-20 17:28  hardaker

	- (authopts): fix valid answers for auth and priv types.
	
2000-09-20 17:27  hardaker

	- (vacm_vars.c, usmUser.c, snmpv3.c): NULL out help messages for .conf
	  tokens that are either internal or no longer the standard way of
	  doing things.
	
2000-09-20 17:26  hardaker

	- (configure, configure.in): export SNMPCONFPATH to Makefiles
	
2000-09-20 17:25  hardaker

	- (EXAMPLE.conf.def): minor correction of table name.  More errors exist.
	
2000-09-20 16:46  hardaker

	- (Makefile.in, debugging, mibs, output): more snmp.conf snmpconf config files.
	
2000-09-20 15:17  hardaker

	- (Makefile.in, authopts): snmp.conf support for basic authentication options.
	
2000-09-20 14:55  hardaker

	- (snmpconf):
	 - don't force reading of /usr/local/share/snmpd.conf.
	 - don't print unknown directive comment headers if there aren't any.
	
2000-09-20 14:45  hardaker

	- (snmpconf): space things out on the screen a bit better.
	
2000-09-20 14:44  hardaker

	- (trapsinks): add port number option to trapsink directives.
	
2000-09-20 14:35  hardaker

	- (Makefile.in, snmpconf): install snmpconf and its various support files.
	
2000-09-20 14:20  hardaker

	- (snmp_api.c, snmp_api.h): do reverse v3 header encoding with a static buffer.
	
2000-09-20 11:37  hardaker

	- (snmpconf): misc updates and improvements.
	
2000-09-20 08:54  hardaker

	- (snmp_api.c): Fix dynamic array  problem pointed out by Jochen Kmietsch.
	
2000-09-20 02:05  daves

	- (agentx/protocol.c): Don't include context strings on PDUs that shouldn't have them
		(Thanks to Pedro Pereira for identifying this)
	
2000-09-19 17:07  hardaker

	- (acl, system, trapsinks): initial snmpconf description files.
	
2000-09-19 17:06  hardaker

	- (snmpconf): read older configuration files in and merge with new results.
	
2000-09-19 14:40  hardaker

	- (snmp_api.c): print pdu type on debugging dump output.
	
2000-09-19 14:15  hardaker

	- (asn1.c, snmp.c): reverse encoding support for specialized opaque
	  datatypes (float, double, etc).
	
2000-09-19 14:15  hardaker

	- (aclocal.m4): document macros a bit more for submission to the
	  autoconf macro library.
	
2000-09-19 08:30  mslifcak

	Fix bug #295 reported by John Whitney johnw@aiinet.com
	
2000-09-18 14:59  hardaker

	- (snmp_vars.h, snmpd.h): Patch from Harrie Hazewinkel:
	  - move getStatPtr definition to proper .h file.
	
2000-09-18 14:55  mslifcak

	Fix bug #347 reported by das_deniz@yahoo.com: make sbin install dir
	
2000-09-14 09:05  hardaker

	- (agent_read_config.c, snmpd.conf.5.def): Patch from Harrie Hazewinkel:
	  - add a port specification snmpd.conf token.
	
2000-09-14 08:52  hardaker

	- (agent_trap.c): ignore output of gethostbyname for trap session adding.
	
2000-09-13 15:06  hardaker

	- (snmpconf): new utility to generate .conf files by prompting the
	  user with questions.
	
2000-09-08 13:07  hardaker

	- (proxy.c): Patch from Scott Lipcon:
	  - fix proxy support for null length strings.
	
2000-09-07 10:12  hardaker

	- (config.h.in, configure, configure.in):
	 - fix openssl checks.
	 - run autoheader.
	
2000-09-05 13:35  mslifcak

	Minor touchups to build on Win32 platform.
	
2000-09-05 13:34  mslifcak

	Welcome the newest ucd-snmp applications to the Win32 builds.
	
2000-09-04 15:19  nba

	- read_config.c: restart errorcount when reloading config
	
2000-09-04 15:12  nba

	- snmpnetstat.1: align man page with program
	
2000-09-04 15:10  nba

	- ipAddr.c: remove a bad ntohl for OpenBSD
	
2000-09-04 15:09  nba

	- mibincl.h, {tc,ud}p{,Table}.c: ensure just one include of socket.h
		to make unprotected include file in Ultrix happy
	
2000-09-04 15:05  nba

	- configure.in: make --without-libwrap work
	
2000-09-01 15:14  hardaker

	- (vmstat_solaris2.c, vmstat_solaris2.h): Patch from Jochen Kmietsch:
	  - updated code.
	
2000-09-01 11:54  hardaker

	- (snmptrapd.c): Scott Lipcon noted that snmptrapd doesn't support -T.
	
2000-08-30 13:28  nba

	- parse.c: fix loop in syntax error in DEFVAL clause. Also fix reading
		of .index file with filenames containing blanks.
	
2000-08-28 13:43  marz

	minor syntax glitch in POD docs
	
2000-08-24 01:55  daves

	- (apps/snmptable.c): Fix bug with displaying header-less indexed tables
		(Thanks to Ernie Miller)
	
2000-08-19 11:29  mslifcak

	Apply patch from <Christoph.Mammitzsch@tu-clausthal.de>
	to fix sign in asn_rbuild_unsigned_int .
	
2000-08-18 04:18  mslifcak

	restore previous version; openbsd, solaris, linux build ok.
	
2000-08-18 03:44  mslifcak

	remove unused printf argument passed to snmp_log.
	
2000-08-18 03:20  mslifcak

	fix bug 253 with patch supplied by Jeffrey Honig <jch@bsdi.com>
	
2000-08-18 02:52  mslifcak

	fix bug 318 - test 9 and 10 explicitly create the test user.
	
2000-08-17 13:42  mslifcak

	The battle to trim newlines correctly continues...reduce length by one.
	
2000-08-16 15:04  hardaker

	- (snmp_api.c, snmpusm.c): fix various encryption/decryption problems.
	
2000-08-16 15:03  hardaker

	- (scapi.c): fix padding size in encryption.
	
2000-08-16 14:48  hardaker

	- (scapi.c): set plaintext length at the end of sc_decrypt.
	
2000-08-15 05:08  mslifcak

	Fix bug 284 with a short explanation about snmp.conf.
	
2000-08-15 03:00  mslifcak

	Fix bug 283 - umask 022, make install. Thanks to csaba.toth@szk.bke.hu
	
2000-08-15 00:09  nba

	- snmptest.c: overhaul input_variable, kill newline
	
2000-08-14 22:05  nba

	- aclocal.m4, configure.in: fixes for configure --silent
	
2000-08-14 17:27  hardaker

	- (Makefile.top, configure, configure.in):
	  - --enable-silent-libtool to make Niels smile.
	
2000-08-14 17:17  hardaker

	- (snmpv3.c, snmpv3.h): implement a new (default) engineID type based
	  on a random number, and a timestamp.
	  - I think it won't invalidate existing installations (heh).
	
2000-08-14 16:47  hardaker

	- (read_config.c):
	  - if -Dread_config, then print even no-help tokens and a * for PREMIB ones.
	
2000-08-14 14:51  nba

	- (many): portability fixes for OpenBSD 2.6, FreeBSD 4.1, Ultrix 4.5
	
2000-08-14 11:33  hardaker

	- (keytools.c): Patch from Yigal Hochberg:
	  - remove unused context variables.
	
2000-08-14 11:29  hardaker

	- (scapi.c): Patch from Yigal Hochberg:
	  - remove duplicate keylength check.
	
2000-08-11 13:09  hardaker

	- (snmp_api.c): optimize reverse encoding of varbindlists.
	
2000-08-11 08:55  hardaker

	- (README.mib2c): Patch from Jan Alfred Sandven:
	  - typos.
	
2000-08-11 06:05  nba

	- apps/*: snmpapp -V should not give the usage message too.
	
2000-08-11 00:44  nba

	- snmptrapd.8: fix typo. Thanks to G. Allen Morris III <gam3@acm.org>
	
2000-08-10 23:23  nba

	- parse.c: predefine ObjectSyntax, ApplicationSyntax, SimpleSyntax and
		ObjectName
	
2000-08-10 16:20  hardaker

	- (Makefile.in, mib2c):
	  - make mib2c look in $(snmplibdir) for .conf files.
	  - install mib2c and .conf files.
	
2000-08-10 14:33  hardaker

	- (default_store.h, snmp_api.c): dynamically decide to reverse/forward encode.
	
2000-08-10 14:31  hardaker

	- (extensible.c): fix CR termination.
	
2000-08-10 14:25  hardaker

	- (acconfig.h, config.h.in): define reverse encoding on by default.
	
2000-08-10 13:02  mslifcak

	fix bug 252 for configure and sys/socket.h on BSD/OS 4.2
	
2000-08-10 09:07  hardaker

	- (asn1.c, asn1.h, snmp.c, snmp.h, snmp_api.c, snmp_api.h, snmpusm.c,
	  snmpusm.h, snmpv3.c):
	  - implement reverse encoded messages.
	    - TODO: clean up, run-time determination of weather to use it or not.
	
2000-08-09 15:40  mslifcak

	Fix bug 331 with patch in part provided by John Naylon <jbpn@cambridgebroadband.com>
	
2000-08-09 15:27  mslifcak

	no // comment, in deference to non-ANSI-C compilers.
	
2000-08-09 07:21  nba

	- hr_swrun.c: fix the RunPath for swapped out Linux process
	
2000-08-09 07:21  nba

	- hr_print.c: fix a debug token
	
2000-08-09 04:44  nba

	- main.c: fix parsing of -v
	
2000-08-09 01:13  daves

	- (mibJJ/ipRoute.h): Omit route_write for now
	
2000-08-09 00:58  daves

	- (mibJJ/*): Experimental re-write of mibII
		(Pilot error when trying to commit the changes earlier - sorry!)
	
2000-08-08 10:06  hardaker

	- (extensible.c): strip newlines.
	
2000-08-08 08:51  hardaker

	- (snmp_parse_args.c): Patch from Scott Lipcon: start optind at 1 not 0.
	  -
	
2000-08-08 06:36  mslifcak

	Fix bug #295 (free *secStateRef before allocating another one).
	
2000-08-08 06:05  mslifcak

	fix bug #298 reported and patch supplied by Conrad Link <clink@ml.com>
	
2000-08-08 04:59  nba

	- snmp_api.c: fix a busy loop when alarm queue is active without any
		outstanding requests
	
2000-08-08 04:47  nba

	- snmpset.1: cannot set counters
	
2000-08-08 04:42  mslifcak

	Fixed (BUG#332) using patch submitted by John Naylon <jbpn@cambridgebroadband.com>
	Also consolidated comments about the four send PDU functions.
	
2000-08-07 06:59  mslifcak

	Fix leak in reportable errors found by John Naylon <jbpn@cambridgebroadband.com>
	
2000-08-07 05:48  nba

	file add_module_replacement.3 was initially added on branch V4-1-1-patches.
	
2000-08-07 05:48  nba

	file read_objid.3 was initially added on branch V4-1-1-patches.
	
2000-08-07 02:49  nba

	file snmp_set_save_descriptions.3 was initially added on branch V4-1-1-patches.
	
2000-08-07 02:49  nba

	file snmp_set_mib_warnings.3 was initially added on branch V4-1-1-patches.
	
2000-08-07 02:49  nba

	file read_module_node.3 was initially added on branch V4-1-1-patches.
	
2000-08-07 02:49  nba

	file read_module.3 was initially added on branch V4-1-1-patches.
	
2000-08-07 02:49  nba

	file read_all_mibs.3 was initially added on branch V4-1-1-patches.
	
2000-08-07 02:49  nba

	file read_mib.3 was initially added on branch V4-1-1-patches.
	
2000-08-07 02:49  nba

	file print_variable.3 was initially added on branch V4-1-1-patches.
	
2000-08-07 02:49  nba

	file print_value.3 was initially added on branch V4-1-1-patches.
	
2000-08-07 02:49  nba

	file print_objid.3 was initially added on branch V4-1-1-patches.
	
2000-08-07 02:49  nba

	file print_description.3 was initially added on branch V4-1-1-patches.
	
2000-08-07 02:49  nba

	file print_mib.3 was initially added on branch V4-1-1-patches.
	
2000-08-07 02:49  nba

	file init_mib_internals.3 was initially added on branch V4-1-1-patches.
	
2000-08-07 02:49  nba

	file init_mib.3 was initially added on branch V4-1-1-patches.
	
2000-08-07 02:49  nba

	file get_module_node.3 was initially added on branch V4-1-1-patches.
	
2000-08-07 02:49  nba

	file add_mibdir.3 was initially added on branch V4-1-1-patches.
	
2000-08-04 17:13  hardaker

	- (configure, configure.in): add in the notification group by default.
	
2000-08-04 17:08  hardaker

	- (notification.h): notification mib wrapper.
	
2000-08-04 17:06  hardaker

	- (snmp_parse_args.c):
	 - initialize optind before calling getopt.
	 - debugging output.
	
2000-08-04 16:56  hardaker

	- (proxy.c): properly set the first (unused) argument to snmp_parse_args().
	
2000-08-04 16:53  hardaker

	- (agent_trap.c, snmpNotifyTable.h, snmpTargetAddrEntry.c,
	  snmpTargetAddrEntry.h, snmpTargetParamsEntry.c,
	  snmpTargetParamsEntry.h, target.c):
	  - if using the snmpNotificationTable, insert non-v1 trap sinks into it.
	
2000-08-04 05:26  daves

	- (mibgroup/mibJJ.h mibgroup/mibJJ/*): Experimental re-write of mibII
	
2000-08-04 05:21  daves

	- (mibgroup/util_funcs.[ch]): New 'cached table' routines
	
2000-08-03 08:37  mslifcak

	Fix bug #325 identified by John Naylon <jbpn@cambridgebroadband.com>
	
2000-08-03 01:24  nba

	file IP-FORWARD-MIB.txt was initially added on branch V4-1-1-patches.
	
2000-08-03 01:24  nba

	file INET-ADDRESS-MIB.txt was initially added on branch V4-1-1-patches.
	
2000-08-03 01:24  nba

	file IF-INVERTED-STACK-MIB.txt was initially added on branch V4-1-1-patches.
	
2000-08-03 01:24  nba

	file HCNUM-TC.txt was initially added on branch V4-1-1-patches.
	
2000-08-02 07:06  mslifcak

	Silent running grep results.
	
2000-08-02 06:10  mslifcak

	Fix BUG #291 : allow "255.255.255.255" for text input to ASN_IPADDRESS
	
2000-08-02 05:20  mslifcak

	Fix (BUG#323) : free PDU when snmp_send fails.
	
2000-08-02 05:06  mslifcak

	Add -p option once to snmpd args.
	Find MIBDIRS in source tree.
	Fix condition to set PATH.
	
2000-08-01 23:30  nba

	- ip.c: One more #if solaris
	
2000-08-01 23:19  nba

	- ip.c: A bad #if ... the proper define to test for Solaris is solaris2
	
2000-08-01 16:40  hardaker

	- (snmp_parse_args.c): remove unused usage() typedef.
	
2000-08-01 16:40  hardaker

	- (proxy.c, proxy.h): -Wall warning fixes.
	
2000-08-01 16:39  hardaker

	- (FAQ): mention newer versions of Solaris.
	
2000-08-01 16:37  hardaker

	- (TESTCONF.sh, TESTCONF.sh.in): revert to non-configed TESTCONF.
	
2000-08-01 16:31  hardaker

	- (Makefile.top): make un-quiet.
	
2000-08-01 10:23  hardaker

	- (snmp-ucd.sh): fix bug #297 (don't kill grep and init script invocations).
	
2000-08-01 04:45  mslifcak

	Fix bug found by Yigal Hochberg <hochberg@dmhsoftware.com>
	
2000-08-01 03:30  daves

	- (agent/snmp_vars.c): Fix building of complete OID
		(work with the name originally registered,
		 not any subsequent division boundaries)
	
2000-07-31 20:09  mslifcak

	Remove duplicate fopen from shell_command.
	
2000-07-31 18:58  mslifcak

	(TESTCONF.sh.in) - set MIBDIRS to sibling of the testing directory.
	(RUNTESTS) - allow binaries to be in the "-D bindir" directory.
	
2000-07-31 15:25  mslifcak

	Dont adjust PATH if SNMP_PATH is set.
	Dont add port spec to SNMP_FLAGS if one is already specified.
	
2000-07-31 13:49  mslifcak

	Remove test directories for skipped tests.
	Keep test directories for failed tests.
	Keep test directories for passed tests when "RUNTESTS -s" is specified.
	Search config.h at the root of the build tree.
	
2000-07-31 11:32  mslifcak

	Merge from automake-1.4: Add for Rhapsody, OpenStep, Cray-T3, SX-4, SX-5
	
2000-07-31 11:31  mslifcak

	Merge from automake-1.4: Add for Rhapsody, OpenStep
	
2000-07-30 17:38  hardaker

	- (snmpNotifyTable.c, snmpNotifyTable.h, target.c, target.h):
	  - implement untested filtering function callback for target searches.
	  - delete unused function.
	  - misc warning fixes.
	
2000-07-30 17:07  hardaker

	- (snmpNotifyFilterProfileTable.c, snmpNotifyFilterProfileTable.h,
	  snmpNotifyFilterTable.c, snmpNotifyFilterTable.h):
	  - more notification table implementations for filtering.
	    - Framework complete, functionality is not.
	
2000-07-30 17:05  hardaker

	- (header_complex.c, header_complex.h):
	  - handle implied objects.
	  - implement header_complex_get() for simple data retrievals.
	
2000-07-28 06:15  mslifcak

	Cleanup include headers to fix bug #307. Thanks to sandven@research.att.com.
	
2000-07-27 15:19  hardaker

	- (configure, configure.in): Patch from Vinay Mohta:
	  - access_hosts() requires an argument so fake one.
	
2000-07-27 15:00  hardaker

	- (interfaces.c): Patch from Mattias Barthel:
	  - fix for interfaces without an attached IP address.
	
2000-07-27 14:55  hardaker

	- (vmstat_solaris2.c, vmstat_solaris2.h): Patch from Jochen Kmietsch:
	  - support raw values.
	
2000-07-27 08:25  hardaker

	- (snmpusm.c): print errors to stderr.
	
2000-07-27 06:20  nba

	- parse.c: Fix a missing initization when one MIB holds MODULE-COMPLIANCE
		for another
	
2000-07-27 01:35  nba

	- snmp_api.c: Fix pdu->community being overwritten with session->community
		Thanks to Dana P. Cook <dcook@cabletron.com>
	
2000-07-26 22:28  mslifcak

	Update for win32 build: remove unused variables and unpublished method.
	
2000-07-26 08:53  hardaker

	- (mib2c.storage.conf): misc changes and improvements.
	
2000-07-26 08:53  hardaker

	- (tkmib): Patch from Bert Driehuis:
	  - translateObj hack.
	
2000-07-26 08:49  hardaker

	- (tkmib): Patch from Bert Driehuis:
	  - remove beginning newline in description clauses.
	
2000-07-21 14:00  hardaker

	- (setupdb, snmptosql): only delete history rows once every hour or so.
	  - too CPU intensive for large tables.
	
2000-07-21 12:59  hardaker

	- (setupdb, snmptosql): record and display sysUpTime and others.
	
2000-07-21 12:57  hardaker

	- (manager.pm): graphing works again.
	
2000-07-21 12:57  hardaker

	- (displaytable.pm): comments, legends, and max/min work again.
	
2000-07-17 11:00  hardaker

	- (vmstat_solaris2.h): config_require kernel_sunos5.
	
2000-07-12 09:29  hardaker

	- (snmpv3.c): copy key length as well as the key when using the same
	  privacy key as the auth key.
	
2000-07-11 13:34  marz

	added ranges field to SNMP::MIB hash
	
2000-07-11 10:05  hardaker

	- (mib.c): Patch from Robert Story:
	  - make null PREFIX variable possible so non-dot-leading oids are accepted.
	
2000-07-11 09:22  hardaker

	- (snmp_agent.c, snmptrapd.c, snmp_api.c, snmp_api.h, snmpusm.c, snmpusm.h):
	  - make the session pointers indicate weather or not they are
	    "authoritative", meaning weather they should be learning engineIDs
	    or reporting on them.
	  - pass the received-packet session pointer into snmpv3_parse and
	    usm_proccess_in_msg() to use this flag.
	  - set isAuthoratative = true in the agent, and unknown in the snmptrapd.
	
2000-07-11 08:32  hardaker

	- (snmpv3.c): make the createUser token accept an engineid (-e ARG) to use.
	
2000-07-07 01:37  daves

	- (mibII/interfaces.c): Recognise Token Ring interfaces under Linux
	
2000-07-06 17:19  hardaker

	- (read_config.c): print generic strings when saving persistent data
	  where possible.  (IE, check for printable characters before printing hex).
	
2000-07-06 17:05  hardaker

	- (TESTCONF.sh, TESTCONF.sh.in): moved TESTCONF.sh to TESTCONF.sh.in
	  and have the MIBS path variable built by configure since it knows
	  where the root level source directory is.
	
2000-07-06 17:04  hardaker

	- (configure, configure.in, header_complex.c, snmpNotifyTable.c,
	  asn1.h, snmp_api.c):
	  - implement IMPLIED index handling.
	  - make the created USM entries set the storageType and RowStatus
	    appropriately.
	
2000-07-06 17:02  hardaker

	- (snmp_api.h): better comments on a couple of function definitions.
	
2000-07-05 07:50  mslifcak

	fix (BUG#290) gracefully handle some PDUs that have no variables.
	
2000-07-05 06:46  mslifcak

	[no log message]
	
2000-07-04 10:21  hardaker

	- (snmp_vars.c, snmptrapd.c, snmp_api.c, snmp_api.h, snmpusm.c, snmpusm.h):
	  - remove last remnants of the "initial" user.
	  - make engineid reports from the usm happen based on the report flag
	    in the message flag.
	    - Note: this is a big issue with the SNMPv3 protocol specs.  The
	      specifications note that you send a report if you are
	      "authoritative", but don't describe how to know if you are
	      authoritative or not.  For situations like proxies and
	      notification receivers, where you are sometimes authoritative
	      and other times you're not, this is problematic.  The SNMPv3
	      ASIs do not pass in enough information to determine this and the
	      WG has proclaimed that the ASIs are not meant to be used as an
	      API, but the initial work done by NAI and TISLabs attempted to
	      implement the USM such that it would be a "reference" release
	      and hence we followed the specifications to the letter and used
	      the ASIs as APIs just to see if we could.  We could previously
	      only because we were always either authoritative or
	      non-authoritative.  Since beginning to work on proxy and the
	      notification mib, this is no longer possible.  For the record, I
	      am hereby changing the initial reference release in such a
	      manner as it no longer conforms exactly to the SNMPv3 ASIs.  So
	      as not to confuse anyone, this is an entirely theoretical issue
	      with respect to the SNMPv3 specification and is perfectly legal
	      to do.  Though I could easily go on, I'll step off my soap box now.
	
2000-07-03 10:10  hardaker

	- (agent_callbacks.h, agent_trap.c, agent_trap.h, snmpNotifyTable.c,
	  snmpTargetAddrEntry.c, snmpTargetAddrEntry.h,
	  snmpTargetParamsEntry.c, snmpTargetParamsEntry.h, target.c):
	  - Add a new callback for sending traps.
	    - Make the notification mib use it.
	  - make the target mib generate more persistent sessions.
	  - Make the notification mib always ask the target mib for a session
	    list, which is now cached directly by the target mib.
	
2000-07-03 08:38  mslifcak

	fix (BUG#262) - (some) statements that cannot be reached.
	
2000-07-03 07:55  mslifcak

	fix (BUG#287)
	
2000-07-03 06:11  mslifcak

	fix bug # 289
	
2000-06-30 04:45  mslifcak

	simplify memory allocation in read_config_read_{octet_string, objid}
	
2000-06-30 00:47  nba

	- read_config.c: Fix a missing initialization for keywords without help
	
2000-06-28 23:37  nba

	- IF-MIB.txt: upgrade to RFC 2863
	
2000-06-28 00:58  nba

	- interfaces.c, configure: Irix 6.5 has ifi_baudrate.ifs_value
	
2000-06-27 01:34  nba

	- main.c: better option parsing.
	
2000-06-27 01:34  nba

	- snmpv3.c: do case insensitive matching of option values.
	
2000-06-27 00:33  nba

	- snmptranslate.1: document that -w is also for -Td
	
2000-06-27 00:30  nba

	- various man page nit-picking
	
2000-06-27 00:28  nba

	- snmptable.c: fixes and usage message for -Ch and -CH
	
2000-06-26 23:43  nba

	- Makefile.in, *MIB.txt: update to current RFC version
	
2000-06-26 23:42  nba

	- Makefile.mib, mibfetch, smistrip: tools to extract MIBs from RFC
		documents.
	
2000-06-26 23:40  nba

	- parse.c, mib.[ch], snmptranslate.c: add parsing of CHOICE and checks for
		OBJECT-GROUP and AGENT-CAPABILITIES. This allows us to parse
		complete MIB extracts from RFC documents.
	
2000-06-26 23:38  nba

	- Makefile.top: make libtool silent, so we can see those warnings
	
2000-06-26 23:37  nba

	- snmpTargetAddrEntry.c: do a cast to kill a warning
	
2000-06-26 23:32  nba

	- agent_trap.c: Fix a leak when request is blocked by VACM and no trap
		is sent.
	
2000-06-26 11:56  mslifcak

	fix (BUG#233)
	
2000-06-23 06:42  mslifcak

	replace malloc/memset 0 with calloc.
	
2000-06-23 01:08  daves

	- (mibII/kernel_linux.[ch], mibII/ip.c): Added support for ipRoutingDiscards
		(Thanks to Bryan Blackman)
	
2000-06-22 17:09  mslifcak

	remove extra include errormib.h
	
2000-06-22 16:50  mslifcak

	Fix bug #276 - close most file descriptors before exec'ing command.
	
2000-06-22 15:59  mslifcak

	fgets: use sizeof(buf) in lieu of compiler constant STRMAX.
	
2000-06-22 15:53  mslifcak

	Use fewer large static buffers.  pass_persist uses bigger buffers now.
	
2000-06-21 14:59  hardaker

	- (manager.pm, snmptosql): record and report sysUpTime.
	
2000-06-21 14:31  hardaker

	- (snmptosql): minor sql caching speed optimizations.
	
2000-06-21 13:33  hardaker

	- (snmptosql): Ack.  Don't delete stuff from the history table that frequently.
	
2000-06-21 12:51  hardaker

	- (snmptosql): better error description support.
	
2000-06-21 12:46  hardaker

	- (manager.pm, snmptosql): collect sysDescr, sysObjectId, & versionTag.
	
2000-06-21 12:46  hardaker

	- (displaytable.pm): add -selectorder.
	
2000-06-21 12:25  hardaker

	- (snmpNotifyTable.c): Uh, only if not deleted.
	
2000-06-21 12:23  hardaker

	- (snmpNotifyTable.c): change createAndGo/createAndWait states to active/NIS.
	
2000-06-20 20:01  mslifcak

	Declare top_builddir to avoid annoying /libtool not found message.
	
2000-06-20 17:30  mslifcak

	Dont assume ANSI C-preprocessor (replace "##" concatenation with sprintf).
	
2000-06-20 15:37  mslifcak

	Win32 MS-VC++ build fixups.
	
2000-06-20 15:37  mslifcak

	Encapsulate local variable "x" to the scope where needed.
	
2000-06-20 15:36  mslifcak

	Remove unused var "newvar".
	
2000-06-20 15:36  mslifcak

	Use int vs ulong for array indexing variables to avoid signed/unsigned mismatch.
	
2000-06-20 15:34  mslifcak

	Remove unused vars struct tm, time_t.
	
2000-06-20 15:34  mslifcak

	Remove unused var "initlist".
	
2000-06-20 15:33  mslifcak

	Declare strncasecmp in system.h ; Remove unused var "status".
	
2000-06-20 15:31  mslifcak

	Remove unused vars.
	
2000-06-20 15:30  mslifcak

	Declare optarg in getopt.h.
	
2000-06-20 14:00  hardaker

	- (mib2c.storage.conf): misc minor changes.
	
2000-06-20 13:59  hardaker

	- (.cvsignore, snmpNotifyTable.c, snmpNotifyTable.h):
	  - SNMP-NOTIFICATION-MIB's snmpNotifyTable implemented:
	    - uses the SNMP-TARGET-MIB to get its addresses from.
	    - uses header_complex to handle the data.
	    - much todo:
	      - dynamic target/notification mib updating without kill -HUP needed.
	        - this will be a real pain.
	      - fix v3 related traps still (same usm bug I've been meaning to fix).
	      - the rest of the SNMP-NOTIFICATION-MIB tables.
	
2000-06-20 13:53  hardaker

	- (snmpTargetAddrEntry.c, snmpTargetAddrEntry.h,
	  snmpTargetParamsEntry.c, snmpTargetParamsEntry.h):
	- generic target session creation
	- misc other minor fixes.
	
2000-06-20 13:51  hardaker

	- (target.h, target.c, target.h): generic target session creation
	  based on entries in the SNMP-TARGET-MIB table.
	
2000-06-20 13:50  hardaker

	- (header_complex.c): remove Michael's horriblely wrong "fixes".
	
2000-06-20 13:48  hardaker

	- (agent_trap.c, agent_trap.h): add remove_trap_session().
	
2000-06-20 13:46  hardaker

	- (read_config.c): deal with 0-length persistent strings better.
	
2000-06-19 12:32  mslifcak

	Check more alloc failures.
	
2000-06-19 12:15  mslifcak

	(protocol.c) Use sizeof(oid), not 4!
	(client.c) Add _all_ of OID value for agentx_register and agentx_unregister.
	
2000-06-19 11:41  mslifcak

	 Removed sizeof(u_char) and unnecessary (unsigned) casts to malloc params.
	
2000-06-19 03:04  nba

	Prototype fixup.
	
2000-06-19 03:01  nba

	s/conifg/config/ .... Hrrrmmmpf
	
2000-06-19 02:58  nba

	- makenosysdepend.pl Makefile.in: object files are now named .lo ...
	
2000-06-16 16:01  hardaker

	- (snmpTargetAddrEntry.h): add the SNMPv2-TM mib to the default list.
	
2000-06-16 16:01  hardaker

	- (snmpTargetAddrEntry.c, snmpTargetParamsEntry.c): fix incorrect OIDs.
	
2000-06-15 06:45  marz

	fat fingers
	
2000-06-15 06:42  marz

	add defaults to daemon search path...recalc t/snmptest.cmd everytime per makefile.PL is run
	
2000-06-14 16:15  hardaker

	- (manager.pm): fix user preferences.  Columns are optionally
	  displayable again.
	
2000-06-14 16:15  hardaker

	- (snmptosql): fix history deletion.
	
2000-06-12 16:43  hardaker

	- (snmpd.conf.5.def): document trapsess.
	
2000-06-12 16:39  hardaker

	- (agent_read_config.c, agent_trap.c, agent_trap.h):
	  - new snmpd.conf token for trap sessions: "trapsess".
	    - uses snmp_parse_args so any type of trap can be sent with it
	      modified by any of the parameters that are documented in snmpcmd(1).
	    - v3 traps don't work due to the same USM problems found in the
	      recent proxy submissions (my next target).
	    - -Ci in the argument specifies informs should be used.
	
2000-06-12 16:18  hardaker

	- (master_request.c): re-enable freeing of master request.
	
2000-06-12 16:17  hardaker

	- (acconfig.h, config.h.in): save exec data to /var/ucd-snmp.
	  - could cause problems for non-root runs.  Untested.
	
2000-06-12 14:12  hardaker

	- (snmptrapd_log.c): Patch from Markku Laukkanen:
	  - remove ending commas in enum list.
	
2000-06-12 10:36  hardaker

	- (setupdb, setupuser, snmptosql): use "Table"s instead of "Entry"s.
	
2000-06-12 10:33  hardaker

	- (manager.pm): save mib descriptions for display purposes (again).
	
2000-06-12 10:29  hardaker

	- (manager.pm): remove debugging statements.
	
2000-06-12 10:27  hardaker

	- (manager.pm): properly sort displayed table columns again.
	
2000-06-07 13:23  hardaker

	- (snmp_config.5.def, read_config.c, read_config.h):
	  - the TYPE.conf parser now accepts tokens from a different .conf
	    file TYPE if a special "[TYPE]" keyword is inserted into the
	    .conf file.  See snmp_config(5) for a better description.
	
2000-06-07 13:22  hardaker

	- (acconfig.h, config.h.in, configure, configure.in):
	  - map strtoul to atoi if the function isn't found.
	
2000-06-06 14:26  hardaker

	- (INSTALL, green.gif, manager.pm, red.gif, setupauth, setupdb,
	  setupnewhost, setupuser, snmptosql, snmptosqltable, sqltohtml):
	  - management cleanup and installation instructions written.
	  - should be mostly complete (ie, barely functional) for the alpha testers.
	
2000-06-06 08:03  hardaker

	- (snmptosql): host name changes -> varchar(64)
	
2000-06-06 08:02  hardaker

	- (manager.pm): many minor fixes and changes.
	
2000-06-06 08:02  hardaker

	- (displaytable.pm): allow table title setting.
	
2000-06-02 11:41  hardaker

	- (.cvsignore): add *.made.
	
2000-06-02 11:40  hardaker

	- (Makefile.in, fixproc, ipf-mod.pl, mib2c, tkmib):
	  - make (and install) perl scripts differently, without modifying the orig.
	
2000-06-01 16:47  hardaker

	- (snmptosql): typos.
	
2000-06-01 16:44  hardaker

	- (snmptosql):
	  - debugging to STDERR.
	  - auto deletion of old historical data.
	
2000-06-01 16:44  hardaker

	- (manager.pm): beginnings of a nicer real interface.
	
2000-06-01 16:43  hardaker

	- (getValues.pm): some variables were global and hence persistent and
	  were messing things up.
	
2000-06-01 14:48  hardaker

	- (snmpd.c): store persistent data immediately after init'ing to
	  ensure we update counters and stuff that must change (eg, engineBoots).
	
2000-05-31 16:22  hardaker

	- (snmpd.1.def): describe -I.
	
2000-05-31 15:52  hardaker

	- (configure, configure.in, mib_modules.c, mib_modules.h, snmpd.c):
	  - new -I switch to snmpd to do dynamic determinaton of which mib
	    modules to initialize (and hence which mib tree sections to support).
	
2000-05-31 15:50  hardaker

	- (default_store.c, default_store.h): default store routines for void pointers.
	 - which I immediately decided to do something different for what I
	   originally implemented it for, so its not being used yet.
	
2000-05-31 05:59  daves

	- (mibII/ip.[ch]): Allow IP support without the At/ipNetToMedia module
	
2000-05-30 17:11  hardaker

	- (proxy.c, proxy.h): simple proxy support.
	  - maps one oid inside the agent to a possibly-different oid on a target.
	  - uses snmp_parse_args() so it takes standard command line config options.
	  - no set support.
	  - no kill -HUP support.
	  - no SNMPv3 support (sigh).
	
2000-05-30 15:06  nba

	file IANA-LANGUAGE-MIB.txt was initially added on branch V4-1-1-patches.
	
2000-05-30 15:06  nba

	file IANA-ADDRESS-FAMILY-NUMBERS-MIB.txt was initially added on branch V4-1-1-patches.
	
2000-05-30 15:06  nba

	file DISMAN-SCHEDULE-MIB.txt was initially added on branch V4-1-1-patches.
	
2000-05-30 15:06  nba

	file AGENTX-MIB.txt was initially added on branch V4-1-1-patches.
	
2000-05-30 07:47  mslifcak

	Fix problem identified by V. Grenet : new method snmp_oid_min_compare
	
2000-05-30 01:31  nba

	file mibfetch was initially added on branch V4-1-1-patches.
	
2000-05-30 01:31  nba

	file smistrip was initially added on branch V4-1-1-patches.
	
2000-05-30 01:31  nba

	file Makefile.mib was initially added on branch V4-1-1-patches.
	
2000-05-26 09:24  daves

	- (mibII/sysORTable.c mibII/system_mib.c):
	  - Use new time utility routines to simplify processing
	  - Update sysORLastChange when adding/removing entries
	
2000-05-26 09:23  daves

	- (util_funcs.[ch]): New time-diff utility routines
	
2000-05-26 08:46  daves

	- (snmpd.c snmp_agent.c mibII/var_route.c): Use 'mibincl.h' header
	
2000-05-26 07:48  daves

	- (agent_registry.[ch] agentx/client.[ch]
	   agentx/master_request.c agentx/subagent.c):
	   - Support for MIB region timeouts
	
2000-05-26 07:46  daves

	- (snmp.h snmp_api.c snmp_client.c): Support for per-request timeout handling
	
2000-05-26 07:45  daves

	- (agentx/protocol.c): Minor error in AgentX packet dump
	
2000-05-25 10:07  hardaker

	- (memory.c): Patch from Ragnar Kjørstad:
	  - fixed linux problem: wrong params getting returned.
	
2000-05-25 05:38  mslifcak

	Fix use of bin2asc to not always show "string"; use snmp_oid_compare, too.
	See bug #234 for details.
	
2000-05-25 03:39  daves

	- (mibII/interfaces.c): Consolidate header handling.
	
2000-05-25 03:31  daves

	- (mibII/interfaces.c): Correct confusing comment
	
2000-05-25 01:53  daves

	- (configure.in configure): Replace use of 'cut' with equivalent 'sed' calls
	
2000-05-25 01:30  daves

	- (configure.in aclocal.m4 configure):
	  - Direct certain checks to the appropriate file descriptor (see BUG#247)
	
2000-05-22 16:22  hardaker

	- (apps/.cvsignore): add more stuff to ignore.
	
2000-05-22 16:21  hardaker

	- (Makefile.in, snmp_parse_args.c, snmp_parse_args.h, snmpbulkget.c,
	  snmpbulkwalk.c, snmpdelta.c, snmpdf.c, snmpget.c, snmpgetnext.c,
	  snmpset.c, snmpstatus.c, snmptable.c, snmptest.c, snmptrap.c,
	  snmpusm.c, snmpvacm.c, snmpwalk.c, Makefile.in, snmp_parse_args.c,
	  snmp_parse_args.h):
	  - moved snmp_parse_args to the library, as I promised to do ages ago.
	    - no longer calls usage() directly, but returns -1 if you should.
	
2000-05-22 05:47  daves

	- (snmplib/tools.[ch]): Routine for comparing two markers.
	
2000-05-22 05:42  daves

	- (local/mib2c): Generate multiple tables in one code file
	
2000-05-17 10:28  hardaker

	- (vacm_vars.c, vacm_vars.h, vacm.c, vacm.h): Patch from Arne Oesleboe:
	  - writable vacm mib support.
	  - other misc vacm fixes.
	
2000-05-17 10:26  hardaker

	- (snmpusm.c): Patch from Arne Oesleboe:
	  - Don't segfault on an unknown command, instead print a warning..
	
2000-05-17 10:25  hardaker

	- (snmpvacm.c): Patch from Arne Oesleboe:
	  - added a new command: snmpvacm.
	
2000-05-17 09:25  hardaker

	- (agent_read_config.c): mention the port number on the trapsink help line.
	
2000-05-17 09:20  hardaker

	- (snmptrapd.c): use standardized buffer sizes
	
2000-05-17 09:13  hardaker

	- (Makefile.in, snmptrapd.c, snmptrapd_log.c, snmptrapd.8): Patch from
	  Jeff Cours:
	  - customized formatting of trap output.
	
2000-05-17 09:11  hardaker

	- (README): add Jeff and Arne.
	
2000-05-17 08:15  hardaker

	- (mib.c): *correctly* associate escapeQuotes with the right default_store bool.
	
2000-05-17 08:11  hardaker

	- (snmp.conf.5.def): document escapeQuotes.
	
2000-05-17 08:09  hardaker

	- (snmpcmd.1, default_store.h, mib.c): new option -OE:
	  - shell backslash escape quotations marks for cutting and pasting
	    onto another snmp command line.
	
2000-05-15 09:24  daves

	- (mibII/{ip,icmp,tcp,udp,kernel_linux}.[ch]):
	  -  Pull Linux MIB-II statistics gathering into a single routine.
	  -  Cache MIB-II statistics on all architectures.
	
2000-05-15 08:53  hardaker

	- (ucd_snmp.h, vmstat_bsdi4.c, vmstat_bsdi4.h): Patch from Bert Driehuis:
	  - vmstat support for bsdi4.
	
2000-05-15 03:06  daves

	- (snmp_agent.c): Re-remove redundant PDU clone
		(It reappeared during a recent change)
	
2000-05-15 03:00  daves

	- (agent_registry.[ch] agentx/master_admin.c): Implement missing routine 'unregister_mib_context'
	
	- (agent_registry.[ch] agent_index.[ch]): Move 'fd' registry handling back to agent_registry
	
	- (agentx/client.c): Recognise new code file for index handling
	
2000-05-12 10:15  hardaker

	- (snmp_agent.c): Um, default to port 161.  Opps.
	
2000-05-12 09:00  daves

	- (agent_registry.[ch] var_struct.h agentx/master_admin.c):
	  - Preparation for per-MIB region timeout, and context support
	
2000-05-12 08:45  daves

	- (kernel_sunos5.c): Recognise Solaris ATM LAN Emulation interfaces
		Thanks to Jay Young
	
2000-05-12 08:13  daves

	- (agent_index.[ch] agent_registry.[ch] Makefile.in agentx/master_admin.c):
	  - Split index handling out from the MIB registry.
	
2000-05-12 07:02  daves

	- (kernel_sunos5.c): Add support for recognising QuadFastEther interface
	
2000-05-12 06:57  daves

	- (apps/snmptable.c): Fix problem with missing separator (with -Ci -Cf)
		Thanks to Xavier FOURNET
	
2000-05-12 04:02  daves

	- (snmp_agent.c): Remove redundant PDU clone
		I'm sure this was put in for a reason, but I can't remember what.
		It doesn't seem to be needed now, and just leaks memory.
		Here's hoping.....
	
2000-05-12 03:11  daves

	- (agent/snmpd.c): Catch (and ignore) SIGPIPE signals.
		Disappearing subagents therefor appear as normal I/O failures
	
2000-05-12 02:24  daves

	- (agentx/protocol.c):
	  - Implement opaque-encoded float & double types
	  - Bring packet dump in line with the main library style
	  - Add packet dump capability for outgoing PDUs
	
2000-05-10 16:52  hardaker

	- (snmpd.1.def): document -p.
	
2000-05-10 16:43  hardaker

	- (snmp_agent.c): always use the default transport mapping, not the last one.
	
2000-05-10 16:25  hardaker

	- (ds_agent.h, snmp_agent.c, snmpd.c): implement multiple transport
	  mappings via -p [transport:]port[@address].
	
2000-05-10 11:08  mslifcak

	fix udpstat --> tcpstat
	
2000-05-10 07:59  daves

	- (agentx/master_request, agentx/master_admin.c):
	  - Handle subagent disappearing without warning
	
2000-05-10 07:57  daves

	- (agent/snmp_agent.c snmplib/snmp_api.h):
	  - Provide a mechanism to handle asynchronous send failures.
	
2000-05-10 06:13  daves

	- (snmp_api.h): Logical NOT? Bitwise NOT? Who'll notice the difference anyway!
	
2000-05-10 05:34  daves

	- (agentx/master_request.c): Handle non-responsive subagents
	
2000-05-10 05:33  daves

	- (agent_registry.c mibII/sysORTable.c): Don't assume subsession link is valid
	
2000-05-10 05:29  daves

	- (snmp_api.h): Definitions for session closedown handling
	
2000-05-09 14:42  mslifcak

	also clean Win32 binary objects, and core files.
	
2000-05-09 14:34  mslifcak

	touch up the "clean" rule.
	
2000-05-09 11:32  mslifcak

	until Dave's version wins, need snmp_varlist_add_variable to build Win32 agent.
	
2000-05-09 11:31  mslifcak

	fix some Win32 builds (signals? we don't need no steenking signals!)
	
2000-05-09 11:30  mslifcak

	Remove trailing CR [0x0d] from one line.
	
2000-05-09 08:50  hardaker

	- (Makefile.top, Makefile.in, Makefile.in): fix link time problems
	  with aCC (or any other unknown compiler).
	
2000-05-09 08:47  hardaker

	- (Makefile.top, Makefile.in, Makefile.in): fix link time problems
	  with aCC (or any other unknown compiler).
	
2000-05-09 07:43  daves

	- (agentx/master_request.c): Send out re-delegated requests
		(and fix a problem with specifying the end-of-range value)
	
2000-05-09 07:40  daves

	- (agentx/subagent.c): Fix handling of error response generation
		(by analogy with recent changes to snmp_agent.c)
	
2000-05-09 07:34  daves

	- (snmp_agent.c): Handle AgentX "end-of-range" indication.
		(This is not the cleanest way of doing things,
		 but works for now.  We can tidy up later).
	
2000-05-09 07:16  daves

	- (snmp_vars.c): Use MIB registry 'start' values
		(rather than the original name registered)
		This handles subsequent part of 'split' ranges properly.
	
2000-05-08 11:08  hardaker

	- (Makefile.in): I can't believe the last checkin even compiled (luck).
	
2000-05-08 11:03  hardaker

	- (Makefile.in): fix library list.
	
2000-05-05 09:56  hardaker

	- (diskio.c): Patch from Bert Driehuis:
	  - disk io support for BSD/OS.
	
2000-05-05 09:54  hardaker

	- (at.c): Patch from Bert Driehuis:
	  - fix a zero byte malloc bug (mostly noticed with -lefence).
	
2000-05-05 09:43  hardaker

	- (configure, configure.in): Patch from Albert Chin-A-Young:
	  - --with-libwrap improvements.
	
2000-05-05 09:00  daves

	- (agentx/subagent.c agentx/master_request.c):
	  - Significant improvements to AgentX processing
		(Thanks to Reiner Beninga)
	
2000-05-05 08:58  daves

	- (snmplib/snmp_api.[ch] snmplib/snmp_client.c agent/snmp_agent.[ch]):
	  - Minor changes to assist with AgentX development
		(These may not be absolutely necessary, but they get things working again!)
	
2000-05-04 16:21  hardaker

	- (configure, configure.in): minor unimportant --without-openssl fix.
	
2000-05-04 16:19  hardaker

	- (configure, configure.in): Patch from John L. Villalovos:
	  - allow --without-openssl to work.
	
2000-05-04 16:15  hardaker

	- (Makefile.in): add the DISMAN-SCRIPT-MIB.txt
	
2000-05-04 16:01  hardaker

	- (Makefile.in): Patch from Albert Chin-A-Young:
	  - install UCD-DISKIO-MIB.txt.
	
2000-05-04 15:21  hardaker

	- (displaytable.pm, manager.pm): make purdy graphs with history tables.
	
2000-05-04 08:26  daves

	- (snmplib/snmp_client.[ch]): New routine 'snmp_clone_varbind()'
			(From a suggestion by Reiner Beninga)
	
2000-05-04 08:24  daves

	- (snmplib/snmp_api.c): Various minor fixes
		(Thanks to Reiner Beninga)
	
2000-05-04 01:29  daves

	- (snmp_agent.[ch]): Handle index/status information separately from PDU.
		Also means that delegated requests have access to variable indexes
			(Based on a suggestion from Reiner Beninga)
	
2000-05-04 01:00  daves

	- (ucd-snmp/proc.c): Initialize newly malloced structure
		(Thanks to Jeff Wilson - see BUG #231)
	
2000-05-03 09:06  daves

	- (snmp_agent.[ch] agentx/master_admin.c):
	  - Clone PDU within init_agent_snmp_session.
	    New routine 'free_agent_snmp_session'
		(Thanks to Reiner Beninga)
	
2000-05-03 08:17  daves

	- (snmp_agent.c): When returning an error response,
		use a clean copy of the original request PDU.
	
2000-05-03 08:14  daves

	- (snmp_agent.[ch]): Routine to handle variables individually
		(Thanks to Reiner Beninga)
	
2000-05-03 04:37  daves

	- (snmp_agent.c): Check accessibility of exact requests before processing
		(and remove redundant 'generic' SET handling)
	
2000-05-02 09:56  hardaker

	- (manager.pm): lots of small changes.
	
2000-05-01 11:34  nba

	- mib.c: fix printing of BITS variables
	
2000-05-01 06:55  marz

	 applied patch from Steve Pheran Snodgrass to fix incompatibility with perl5.6 ref stringification
	
2000-04-29 07:46  hardaker

	- (config.h.in, configure.in, agent_registry.c): Patch from Frank Strauss:
	  - use sigaction when available.
	
2000-04-28 16:22  hardaker

	- (snmptosql): fix -m/-M the wrong way.
	
2000-04-28 16:15  hardaker

	- (snmptosql):
	 - do history saving better (different table).
	 - -m/-M mib loading options (which don't appear to be working right yet).
	
2000-04-28 07:36  hardaker

	- (agent_registry.c, snmpd.c): Patch from Frank Strauss:
	  - fix signal handling.
	
2000-04-27 14:58  hardaker

	- (Makefile.in, snmpdf.c): implement a remote df command via snmp
	  - (needs the host resources mib working on the remote system).
	
2000-04-27 10:57  hardaker

	- (Makefile.top, config.h.in, configure, configure.in): rpm is now
	  requiring yet another library: libpopt.
	
2000-04-26 15:20  hardaker

	- (Makefile.top): run libtool --finish without -n (go ahead and do the cmds)
	
2000-04-26 15:19  hardaker

	- (Makefile.top, configure, configure.in, agent/Makefile.in):
	  - more libtool fixes (.so versioning, properly install...)
	
2000-04-26 14:18  hardaker

	- (*/.cvsignore, */Makefile.in, Makefile.top, aclocal.m4, configure,
	  configure.in, ltconfig, ltmain.sh):
	  - use libtool for building.
	    - Certainly, I must have broke something in the process. (make depend, eg)
	
2000-04-26 14:15  hardaker

	- (*/.cvsignore, */Makefile.in, Makefile.top, aclocal.m4, configure,
	  configure.in, ltconfig, ltmain.sh):
	  - use libtool for building.
	    - Certainly, I must have broke something in the process. (make depend, eg)
	
2000-04-26 08:11  hardaker

	- (FAQ): new secondary slogan.
	
2000-04-26 07:22  hardaker

	- (snmp_api.c, snmpusm.c): Attempt to parse the PDU when a report is
	  being sent so that the requestid can be used in the outgoing report.
	  This should fix a problem where SNMP Research's Emante agent is
	  doing engineID discovery probes based on the request_id (which is a
	  fairly poor choice as the message_id would be a better one to match
	  on in general and is the only possible thing to use in cases where
	  the report is encrypted).
	
2000-04-25 13:08  hardaker

	- (FAQ): mention that the perl module is included with the source.
	
2000-04-25 08:24  hardaker

	- (snmp_api.c): misc -Ddump fixes.
	
2000-04-25 08:02  hardaker

	- (snmptable.c): check for end of mib view exceptions (v2c, v3).
	
2000-04-24 11:27  hardaker

	- (snmp_api.c): -D support for those "older" protocols that shouldn't
	  be used anymore (v1, v2c).
	
2000-04-24 10:36  hardaker

	- (asn1.c, default_store.h, mib.c, snmp.c, snmp_api.c, snmp_auth.c,
	  snmp_debug.c, snmp_debug.h, snmpusm.c):
	  - timestamps can be printed as a numeric number only (-Ot).
	  - more configurable packet dumping code for both send and receive.
	    - uses new -D tokens: dumph (headers), dumpx (hex), dumpv
	      (values).  dumpx_ and dumpv_ (note the _s) make it eat space
	      (and newline) before the segment in question.  Try -Ddump then
	      -Ddumph,dumpv_ to see examples.
	    - todo:
	      - better horizontally formated information (probably using "%NUMs").
	      - USM is called after pdu building (makes sense but is backwards
	        visually in the dumped packet).
	      - option to strip datatype token (ie Integer:).
	
2000-04-24 09:37  hardaker

	- (version.h bug-report sedscript.in): version tag ( 4.2.pre0 )
	
2000-04-24 09:13  hardaker

	- (version.h bug-report sedscript.in): version tag ( EXT.4.2.pre0 )
	
2000-04-21 14:13  hardaker

	- (snmpwalk.c): fix GET call for an snmpwalk. (was using a GETNEXT PDU, ack).
	
2000-04-21 10:41  hardaker

	- (snmpv3.c): more u_long -> size_t for engineID len.
	
2000-04-21 08:18  hardaker

	- (mib.c): fix fprint_description to check for null subtrees.
	
2000-04-21 08:17  hardaker

	- (snmpv3.c, snmpv3.h): use size_t for engineid lengths.
	
2000-04-19 11:02  marz

	changed mode_t typedef to agree with what ActiveState perl uses (anyone have a problem with this?)
	
2000-04-19 10:59  marz

	added Marc Lehman patch to ensure alloc/dealloc use same mechanism (perl vs. system default)
	
2000-04-19 08:26  hardaker

	- (snmp_agent.c): agent_check_and_process() always block if caller requested it.
	
2000-04-19 04:34  mslifcak

	move static decl to .c;minor casting about to support aCC
	
2000-04-18 11:11  mslifcak

	Synch devel branch with patches branch.
	
2000-04-18 11:07  mslifcak

	Define optarg for apps use; Define vacm_is_configured for agent use.
	
2000-04-18 07:57  hardaker

	- (vmstat.c, vmstat.h, UCD-SNMP-MIB.txt): Patch from Mizuki Honda:
	  - implement raw cpu usage numbers.
	
2000-04-18 03:18  daves

	- (man/snmptable.1 apps/snmptable.c):
	  - Command-specific '-C' options for snmptable
	
2000-04-18 02:01  daves

	- (apps/snmp_parse_args.c): Handle previous form of -Z option as well
	
2000-04-17 15:36  hardaker

	- (snmp_parse_args.c): fix -Z if args are wrong.
	
2000-04-17 15:32  hardaker

	- (snmp_parse_args.c, snmpcmd.1): fix -Z to use a ','.
	
2000-04-17 15:06  hardaker

	- (mta_sendmail.c, mta_sendmail.h): Patch from Christoph Mammitzsch:
	  - update on the sendmail module.
	
2000-04-17 15:00  hardaker

	- (vmstat.c): Patch from John L. Villalovos:
	  - fix ssCpuSystem, ssCpuUser, ssCpuIdle.
	
2000-04-17 14:18  hardaker

	- (Makefile.top, Makefile.in): properly use LN_S for linking snmpinform.
	
2000-04-17 13:45  hardaker

	- (snmpusm.c, snmpv3.c, snmpv3.h): engineID changes for better aCC support.
	
2000-04-17 13:44  hardaker

	- (.cvsignore): ignore snmpinform.
	
2000-04-17 09:58  hardaker

	- (snmp_agent.c): fix row creation.
	
2000-04-17 07:25  daves

	- (auto_nlist.c snmpd.c agentx/master.c): Don't exit on failure with '-r'
	
2000-04-14 15:07  hardaker

	- (snmp_parse_args.c, snmpdelta.c, snmpget.c, snmpgetnext.c,
	  snmpstatus.c, snmpcmd.1, snmpget.1, default_store.h, mib.c):
	  - move -If to -Cf and invert behaviour.
	
2000-04-14 15:06  hardaker

	- (configure, configure.in): remove debugging output (opps).
	
2000-04-14 09:03  hardaker

	- (versioinfo.c): alright.  Who made versionClearCache RONLY?
	
2000-04-13 05:49  nba

	- snmptranslate.1: decument the -w width option
	
2000-04-12 12:05  mslifcak

	hide user's hostname; prompt before sending e-mail; prompt to save as file.
	
2000-04-12 11:22  mslifcak

	fix %f(%s)
	
2000-04-12 09:29  hardaker

	- (snmpcmd.1): document -If.
	
2000-04-12 09:17  hardaker

	- (snmp_parse_args.c): put ++ back in that accidentically got checked in.
	
2000-04-12 09:16  hardaker

	- (snmpset.c): put space back in usage line.
	
2000-04-12 09:12  hardaker

	- (snmp_parse_args.c, snmpdelta.c, snmpget.c, snmpgetnext.c,
	  snmpset.c, snmpstatus.c, default_store.h, mib.c):
	  - Add a new option -If to specify fixing of PDUs.
	    - Anyone know a better place to put this option?
	  - Applications don't do this by default anymore, and you can't in snmpset.
	
2000-04-12 07:38  hardaker

	- (vacm_vars.c, vacm.c, vacm.h): fix to allow no v1/v2c requests when
	  configured for just v3.
	
2000-04-12 06:50  mslifcak

	fix MSVC build for encode_keychange, and add more symbols for release builds
	
2000-04-12 05:32  nba

	- parse.c: correct parsing of sub-types textual conventions. Allow parsing
		of MACRO invocations for standard symbols
	
2000-04-12 05:31  nba

	- parse.[ch], snmptranslate.c: allow specification of with for -Tp
	
2000-04-12 05:30  nba

	- HOST-RESOURCES-MIB.txt, HOST-RESOURCES-TYPES.txt: align with published
		RFC 2790
	
2000-04-11 15:33  hardaker

	- (configure, configure.in): make config_add_mib() actually look for
	  the mib in $srcdir/mibs/blah and install it if found.
	
2000-04-11 15:21  hardaker

	- (snmpv3.c, snmpv3.h): make macaddr engineid setup not linux
	  specific, but #defines are checked instead.
	
2000-04-11 15:20  hardaker

	- (snmp_logging.h): remove old callback typedef no longer needed.
	
2000-04-11 14:38  hardaker

	- (snmpv3.c, snmpv3.h): Patch from John L. Villalovos:
	  - enable engineID to be set from MACAddr.
	
2000-04-11 09:51  hardaker

	- (mta_sendmail.c, mta_sendmail.h): New module from Christoph Mammitzsch:
	  - implements the MTA-MIB for monitoring sendmail.
	
2000-04-11 09:50  hardaker

	- (MTA-MIB.txt, NETWORK-SERVICES-MIB.txt): new mibs for new modules.
	
2000-04-11 03:25  daves

	- (agent/snmp_agent.c): Save/restore original statP value for SET handling.
	
2000-04-11 02:35  daves

	- (agent/snmp_agent.c): Report failures from ACTION phase of SET correctly.
	
2000-04-11 01:57  daves

	- (agentx/master_request.c): Dynamically resize subagent requests
		(Thanks to Reiner Beninga)
	
2000-04-10 05:08  daves

	- (snmp_agent.c agentx/master_request.c): Fix multi-subagent requests
		(Thanks to Reiner Beninga)
	
2000-04-07 12:25  hardaker

	- (snmptrap.c, snmpusm.c):
	  - fix snmpv3 traps to be authoritative from the client side, not the
	    receiver side.  snmpv3 informs stay as is.  Unfortunately, for
	    command line apps this doesn't make a whole lot of sense but is
	    right in terms of how the protocol works and this is hence
	    somewhat of a hack.
	
2000-04-07 07:50  daves

	- (agent/snmp_agent.c): Handle v2 exception types in v1 queries
	
2000-04-07 07:16  hardaker

	- (snmptrapd.c, read_config.c, snmpv3.c):
	  - allow NULL help lines for config directives and use it to hide
	    internal directives used for persistent storage.
	
2000-04-06 15:31  hardaker

	- (snmp_api.c, snmp_api.h):
	  - turn backwards compatibility macros back into functions so
	    default_store.h dependencies go away again.
	  - create a flag to not probe for engineIDs durning sess_open().
	
2000-04-06 07:20  daves

	- (snmplib/snmp_api.c): Fix mishandled Counter64 parsing
	
2000-04-06 03:36  daves

	- (agent/snmpd.c): Fix usage message alignment.
	
2000-04-06 03:31  daves

	- (man/snmpd.1.def): Document the AgentX socket command-line option
	
2000-04-05 08:41  hardaker

	- (FAQ2HTML): it's been sitting in my personal src tree for > 2 years.
	
2000-04-05 08:38  hardaker

	- (mibincl.h, usmUser.c, snmptrapd.c, lcd_time.c, scapi.c, snmp_api.c,
	  snmpusm.c, snmpusm.h, snmpv3.c):
	  - make snmptrapd handle v3 users properly, (and shutdown properly as well).
	  - a more generic user storage routine added to snmpusm.c and used in
	    usmUser.c with a side effect of needing callback.h above snmpusm.h.
	
2000-04-05 08:27  hardaker

	- (rsnmp): -> /usr/bin/perl
	
2000-04-05 08:24  hardaker

	- (.cvsignore): misc minor additions to /
	
2000-04-04 11:03  daves

	- (agent/snmp_agent.c): Ensure unimplemented objects return 'noSuchObject'
	
2000-04-03 14:57  mslifcak

	Initialize statP.
	
2000-04-03 09:12  daves

	- (agent/snmp_agent.c): Ensure a v1 SET returns a v1 error status.
	
2000-04-03 08:32  hardaker

	- (ChangeLog): Year was "100" for 2000 (noticed by Jay Riddell):
	
2000-04-03 07:53  daves

	- (agent/snmp_agent.c): Ensure SETs fail if one varbind does.
	
2000-03-31 07:25  daves

	- (agent/snmp_vars.c): Fix to report 'noSuchObject' in certain circumstances
	
2000-03-31 07:13  daves

	- (snmplib/snmp_api.c): Don't repeat the first four bytes in a PDU dump
	
2000-03-31 07:04  daves

	- (snmplib/snmp_logging.c): Handle logging empty strings (e.g. a null indent)
	
2000-03-30 00:15  daves

	- (agent/snmp_agent.c): Initialise timeout structure properly
		(Thanks to ashipman@erggroup.com)
	
2000-03-27 10:32  mslifcak

	remove trailing newline from hrSWRunName values.
	
2000-03-24 09:09  mslifcak

	to sync with patches branch.
	
2000-03-24 05:07  nba

	- snmptrapd.c: correctly free the reponse if sending it fails
	
2000-03-24 04:22  mslifcak

	xx_synch_response: avoid freeing PDU twice.
	
2000-03-23 23:29  nba

	- snmpcmd.1, snmptrap.1, snmptrap.c, Makefile.in: Install and document
		snmpinform.
	
2000-03-23 09:58  mslifcak

	Enqueue only complete request_list entry; Reduce scoping of callback vars.
	
2000-03-23 03:02  nba

	file snmpinform.1 was initially added on branch V4-1-1-patches.
	
2000-03-22 08:13  mslifcak

	printf ?
	
2000-03-21 11:12  mslifcak

	modify F. Strauss' patch per N. Baggesen's suggestion: remove export-dynamic.
	
2000-03-21 09:14  mslifcak

	more smooth sailing with Win32 .DLL . DLLEXPORT, anyone ?
	
2000-03-21 09:07  mslifcak

	win32 build check: no sigaction, SIGCLD defined.
	
2000-03-21 08:47  daves

	- (ds_agent.h snmpd.c mibgroup/agentx/{master,subagent}.c):
	  -  Command-line option for specifying AgentX port
	     (based on patch from Frank Strauss)
	
2000-03-21 08:38  daves

	- (snmp_api.c): Support 'host:port' representation of peernames
	
2000-03-21 04:05  daves

	- (snmp_agent.c): Missing new-line on debug output
	
2000-03-21 02:52  daves

	- (mibII/{tcp,udp,ip,icmp}*) Continuing mibII code cleanup
	
2000-03-20 11:14  mslifcak

	Comment -C -- do not use this flag.
	
2000-03-17 15:32  hardaker

	- (header_complex.c): sizeof(x)*(len+1) not sizeof(x)*len+1
	
2000-03-16 00:10  nba

	- configure, hr_print.c: detect system printers (SysV/lpstat, *BSD/cgetnext,
		Linux/printcap)
	
2000-03-15 18:30  mslifcak

	Second part : all members of struct snmp_index are pointers.
	
2000-03-15 15:07  mslifcak

	Fix memory leak with unregister_index.
	
2000-03-15 15:07  mslifcak

	Fix memory leak when cleaning up trap variables.
	
2000-03-15 08:48  daves

	- (snmp_api.c snmp_client.c): Initialise varbind data hook elsewhere as well.
	
2000-03-15 07:57  daves

	- (agentx/master_request.c): Fix infinite loop problem when walking subagent.
	
2000-03-15 06:09  daves

	- (agent/snmp_agent.c): Avoid calling read routine for each SET handling pass.
		N.B:  This hasn't been tested with AgentX subagents yet
	
2000-03-15 06:07  daves

	- (snmplib/snmp_api.[ch]): Provide hook for internal varbind-related data
	
2000-03-15 05:22  daves

	- (agent/var_struct.h): Use a single magic number for MIB registry name lengths.
	
2000-03-15 01:51  daves

	- (snmplib/system.h): Don't declare gettimeofday() if the system provides it.
		(Fix provided by Ron Mevissen)
	
2000-03-14 07:57  daves

	- (agent/snmp_agent.c): Don't overwrite saved status when checking access.
	
2000-03-14 07:52  daves

	- (agent/snmp_agent.c): Return a response, even if the request failed.
	
2000-03-13 15:32  nba

	- ipfwacc.h: fix the MIB name
	
2000-03-10 12:48  hardaker

	- (configure): autoconf run
	
2000-03-10 11:09  hardaker

	- (Makefile.dlmod): Patch from Frank Strauss:
	  - dlmod build Makefile example.  Needs incorperation with main configure.
	
2000-03-10 11:02  hardaker

	- (agent_registry.c): better signal check from Michael Slifcak
	
2000-03-10 10:59  hardaker

	- (UCD-DLMOD-MIB.txt): typo found by Michael Slifcak.
	
2000-03-10 10:54  hardaker

	- (dlmod.c, dlmod.h, snmpd.conf.5.def, UCD-DLMOD-MIB.txt): Patch from
	  Frank Strauss:
	  - Reimplementation of the dlmod mib module:
	    o mibgroup/misc/dlmod + dlmods/dlmod_mib -> mibgroup/ucd-snmp/dlmod
	    o fixed registration (ucdavis.ucdExperimental.14 instead of ucdavis.14)
	    o added configure stuff for HAVE_SNPRINTF, which was used by dlmod.c
	    o removed `_dynamic_' prefixes from init/deinit functions
	    o made dlmodIndex not-accessible (only implementation, not definition)
	    o removed the asn_parse_XXX stuff
	    o made entries with state `error' able to accept state `load'
	    o made the wombat example usable as static and dynamic module
	    o added simple config_parse functionality to the wombat example
	
2000-03-10 10:52  hardaker

	- (agent_registry.c, agent_registry.h, snmpd.c): Patch from Frank Strauss:
	  - signal registry system implemented (needs to be redone allowing
	    multiple callbacks and handlers for all signals).
	  - arbitrary file descriptor/socket registration.
	    - this is not the way it should be done (use sessions instead).
	
2000-03-10 10:44  hardaker

	- (Makefile.in, Makefile.top, acconfig.h, config.h.in, configure.in,
	  Makefile.in, Makefile.in, Makefile.in, Makefile.in, Makefile.in):
	  Patch from Frank Strauss:
	  - clean up shared library usage.
	
2000-03-10 10:16  hardaker

	- (config.h.in): autoheader re-arranged some stuff.
	
2000-03-07 11:58  mslifcak

	more touchups to allow UnixWare build to complete.
	
2000-03-07 11:21  hardaker

	- (default_store.h): make MAX_SUBIDS larger and a multiple of 8.
	
2000-03-07 10:13  mslifcak

	Introduce --enable-mini-agent to configure agent (snmpv3, no mibII interfaces).
	
2000-03-07 09:03  mslifcak

	assume "snmpapp" if no arg passed to init_snmpv3.
	
2000-03-07 08:58  mslifcak

	remove init_mib() call - not appropriate here.
	
2000-03-07 08:35  mslifcak

	Let the aix4 patch work.
	
2000-03-07 07:08  mslifcak

	trim fat from recent check-ins.
	
2000-03-06 20:01  mslifcak

	cleaned up SCO UnixWare build.
	
2000-03-06 16:40  mslifcak

	start support for SCO UnixWare 5 as svr5.
	
2000-03-06 10:56  hardaker

	- (default_store.h, snmp_api.c): Patch from Robert Story:
	  - don't check ranges if not requested.
	
2000-03-06 10:55  hardaker

	- (snmp_agent.c, snmp_agent.h, snmpd.c): Patch from Robert Story:
	  - fix exit()ing behaviour in the libucdagent library.
	
2000-03-06 10:36  hardaker

	- (snmptrapd.c): Patch from Robert Story:
	  - -n prints numeric IP addrs.
	
2000-03-06 10:25  hardaker

	- (callback.h, snmp_logging.c, snmp_logging.h): Idea from ashipman@erggroup.com:
	  - callback function (using callback.h) added for external logging.
	
2000-03-05 05:25  marz

	fix to preserve trailing multi component instance id's at the end of
	symbolic mib names(e.g., foo.6.7) when doing translateObj.
	
2000-03-04 11:34  nba

	- configure.in, configure: support --without-openssl, even if OpenSSL
		is available
	
2000-03-04 11:30  nba

	- agent/(various): globalize the kvm_t *kd variable
	
2000-03-04 11:26  nba

	- mib_modules.c, hr_storage.c: pre-processor # should be in column 1
	
2000-03-04 11:17  nba

	- inet.c, inet6.c: survive -v 2c exception replies
	
2000-03-04 11:17  nba

	- snmp_api.c: remove a superfluous & in front of an array
	
2000-03-04 11:15  nba

	- ucd_snmp.h, {memory,vmstat}_netbsd1.[ch]: support for NetBSD
	
2000-03-04 11:14  nba

	- hr_disk.c: fixes for NetBSD
	
2000-03-04 11:10  nba

	- versioninfo.c: don't return the trailing newline
	
2000-03-04 11:08  nba

	- hr_swrun.c: fix process size for FreeBSD 3 and NetBSD
	
2000-03-04 11:05  nba

	- agent_trap.h: fix a wrong prototype
	
2000-03-04 11:04  nba

	- snmptable.c: fix problems printing table name and headers when using
		-OS format
	
2000-03-02 11:50  nba

	- snmp_api.c: fix address length info for tcp connect
	
2000-03-02 11:48  nba

	- loadave.c: fix for AIX 4
	
2000-03-02 08:30  daves

	- (mib2/ip.[ch] mib2/ipAddr.[ch]): First stab at tidying up mib2 support.
	
2000-03-01 13:23  hardaker

	- (snmptosql): fix dynamic table testing for creation needed.
	
2000-03-01 13:22  hardaker

	- (manager.pm, ucd-snmp.pm): Opps.  Wrong name.  ucd-snmp.pm -> manager.pm.
	
2000-03-01 13:21  hardaker

	- (ucd-snmp.pm): turned sqltohtml into an apache module. 2x speed improvement.
	
2000-03-01 08:32  mslifcak

	fix bug 180 for cygwin build with _REENTRANT; per ashipman@erggroup.com
	
2000-02-29 14:30  mslifcak

	Invoke snmp_sess_send from within snmp_read to avoid mutex deadlocks.
	
2000-02-28 14:25  nba

	- snmpd.h, smux.c: don't initialize smux master in sub agent
	
2000-02-28 14:16  nba

	- snmp_vars.c: use SUB_AGENT symbol
	
2000-02-28 14:12  nba

	- mib.c: sprint_by_type should handle ASN_BIT_STR
	
2000-02-28 14:10  nba

	- snmp_parse_args.c: correctly call the -I options input options
	
2000-02-28 10:47  mslifcak

	fix bug #176 (AIX 4 - use knlist in lieu of nlist)
	
2000-02-24 17:17  mslifcak

	apply patch to fix bug no. 177.
	
2000-02-24 13:31  hardaker

	- (default_store.h, read_config.c, snmp_api.c): new snmp.conf keyword
	  to force the parser to ignore unknown tokens.
	
2000-02-24 03:59  mslifcak

	document UNSIGNED32 and COUNTER32 ('u' and 'c') in snmpset (gratis ashipman@erggroup.com)
	
2000-02-24 03:56  mslifcak

	add support for COUNTER32 to snmp_add_var; document UNSIGNED32 and COUNTER32
	('u' and 'c') in snmptrap (gratis ashipman@erggroup.com)
	
2000-02-23 23:06  nba

	- pass.c, pass_persist.c: fix setting of octet strings.
	
2000-02-23 02:09  nba

	- mt_support.h: a bad ; in the C++ bracketing
	
2000-02-23 02:09  nba

	- system.c: remove some superfluous indirections in strcasecmp
	
2000-02-23 02:07  nba

	- vmstat_solaris.c: make sure we agree with the prototype of getpagesize!
	
2000-02-22 15:31  nba

	- pass_persist.h: declare init_pass_persist
	
2000-02-22 09:57  mslifcak

	prune two more symbols not used by auto_nlist for Solaris-built MIB modules.
	
2000-02-21 16:17  mslifcak

	Apply R. Story's patch for mkdirhier and strncasecmp on win32
	
2000-02-21 07:39  mslifcak

	fix bug 171 (thanks to Larry Parmelee).
	
2000-02-21 05:56  mslifcak

	remove free after snmp_close (don't free twice!)
	
2000-02-21 04:58  mslifcak

	Added description in SH_NAME for several man-pages (c/o ragnark)
	
2000-02-18 12:14  mslifcak

	refer the .so macro to man3; adjust Makefile.in to use the renamed file.
	
2000-02-17 05:17  mslifcak

	include pass_persist in the required list.
	
2000-02-17 02:00  daves

	- (configure* ucd-snmp/vmstat_solaris2.c):
	  - Provide missing 'getpagesize' routine for Solaris 2.4
	    (Thanks to Ragnar Kjørstad)
	
2000-02-16 20:17  mslifcak

	include mibincl.h in hr_system.c to fix bug #159.
	
2000-02-16 16:35  mslifcak

	remove auto_nlist of unused "swaplist" symbol.
	
2000-02-16 15:17  mslifcak

	patch suggested by Rick Beaman <beaman@mediaone.net>
	
2000-02-16 14:58  mslifcak

	remove unused vars
	
2000-02-16 14:57  mslifcak

	test lengths before allocating memory; use new VACMSTRINGLEN constant.
	
2000-02-16 08:18  mslifcak

	include time.h once
	
2000-02-16 08:02  mslifcak

	restore #if HAVE...IN_PCB_H
	
2000-02-15 23:47  nba

	- configure.in, ipch.[ch]: initial stabs at Linux ipv6 support. A lot is
		lacking in the kernel statistics though.
	
2000-02-15 23:40  nba

	- (many): configure check for netinet/ip6.h
	
2000-02-15 23:34  nba

	- hr_filesys.c: MNTTYPE defines for FreeBSD-3 and BSDI-4, and moving the
		return value for Ext2FS to the newly defined OID.
	
2000-02-15 23:24  nba

	- freebsd3.h: some kernel symbols not to be used for FreeBSD 3
	
2000-02-15 23:23  nba

	- snmptable.c: give a sensible output for an empty table.
	
2000-02-15 23:22  nba

	- vacm*: buffer length checking!
	
2000-02-15 23:20  nba

	- hr_storage.c: return memory size in pages.
	
2000-02-15 23:17  nba

	- ucd_snmp.h, memory_freebsd2.h: make it work for FreeBSD-3 too
	
2000-02-15 23:16  nba

	- snmp_agent.c: one more place to send a AUTHFAIL trap
	
2000-02-15 23:15  nba

	- agent_registry.c: fix a return for SNMPv1/Counter64 case
	
2000-02-15 02:12  daves

	- (apps/snmp_parse_args.c): Omit deprecated options from optarg handling.
	
2000-02-11 15:48  hardaker

	- (manager/*): /usr/local/bin/perl -> /usr/bin/perl
	
2000-02-11 15:47  hardaker

	- (makedepend.in): /usr/local/bin/perl -> /usr/bin/perl
	
2000-02-11 15:38  hardaker

	- (rsnmp): perl5 -> perl
	
2000-02-11 15:17  hardaker

	- (man/Makefile.in): install snmp_trap_api.3
	
2000-02-11 14:20  hardaker

	- (local/Makefile.in): last minute makefile touchup
	
2000-02-11 14:03  hardaker

	- (NEWS): update for 4.1.1
	
2000-02-11 13:47  hardaker

	- (ChangeLog): Update for 4.1.1
	
2000-02-11 13:29  hardaker

	- (version.h bug-report sedscript.in): version tag ( 4.1.1 )
	
2000-02-11 12:53  hardaker

	- (T016snmpv2cgetfail, T017snmpv2ctov1getfail): update for Timeout for v2c.
	
2000-02-11 12:49  hardaker

	- (local/Makefile.in): don't cp for snmpcheck
	
2000-02-11 12:44  hardaker

	- (local/Makefile.in): fix for seperate build path
	
2000-02-11 12:30  hardaker

	- (sysORTable.h): Patch from Niels Baggesen:
	  - compiler warning fix.
	
2000-02-11 12:29  hardaker

	- (snmp_agent.c): patch from Niels:
	  - don't send autherror responses for v2c.
	  - send authFailure trap.
	
2000-02-11 12:22  hardaker

	- (acconfig.h, config.h.in): change perl path to /usr/bin.
	
2000-02-11 06:58  hardaker

	- (acconfig.h, config.h.in): Dont define PROCFIXCMD and EXECFIXCMD by default.
	
2000-02-10 11:14  mslifcak

	fix for older platforms to use pass_persist; not included by default.
	
2000-02-10 10:33  mslifcak

	[no log message]
	
2000-02-10 10:32  hardaker

	- (hr_swinst.c): minor fixes pointed out by Michael.
	
2000-02-10 10:28  hardaker

	- (snmpv3.c): fix setup engineID buffer overflow found by Mike Baer.
	
2000-02-10 08:39  nba

	- man/*: set the dates on the pages to reflect the revision date
	
2000-02-10 08:13  mslifcak

	fix varargs decl/defn of snmp_log
	
2000-02-10 08:00  mslifcak

	typedef int ssize_t (one line added) for build on SunOS 4.
	
2000-02-10 07:54  hardaker

	- (FAQ): mention the tutorial.
	
2000-02-10 07:14  daves

	- (FAQ): Explicit examples of sending traps by hand
	
2000-02-10 04:41  daves

	- (snmplib/{snmp_api,snmp_client}.c apps/snmpnetstat/inet6.c):
	  -  Comment unused code more informatively as to why it is omitted.
	
2000-02-09 13:53  hardaker

	- (eval_tools.sh, T023snmpv3getMD5DES, T024snmpv3getSHA1, T025snmpv3getSHADES):
	  - skip ssl tests we can't perform.
	
2000-02-09 13:51  mslifcak

	include sys/param.h to get PATH_MAX on FreeBSD.
	
2000-02-09 13:38  hardaker

	- (Sv3SHADESconfig, T024snmpv3getSHA1, T025snmpv3getSHADES):
	  - make SHA tests actually work.
	
2000-02-09 13:32  hardaker

	- (Sv3configsha): sha config support
	
2000-02-09 13:31  hardaker

	- (T003snmpv1getfail, T016snmpv2cgetfail, T017snmpv2ctov1getfail,
	  T018snmpv1tov2cgetfail): fix for proper ACM error outputs.
	
2000-02-09 13:30  mslifcak

	Define SNMP_MAXPATH, and use it.
	
2000-02-09 13:30  hardaker

	- (T024snmpv3getSHA1 T025snmpv3getSHADES): new tests
	
2000-02-09 13:16  hardaker

	- (UCD-SNMP-MIB.txt): mention a new ucdExperimental registration (wavlan).
	
2000-02-09 13:16  hardaker

	- (agent_callbacks.h, agent_registry.c, agent_registry.h,
	  snmp_agent.c, vacm_vars.c):
	  - fix posible acm DoS problems by checking access tables early on.
	
2000-02-09 11:38  hardaker

	- (hr_swinst.c): patch from redhat for better RPM support.
	
2000-02-09 10:43  hardaker

	- (configure.in): change mode to autoconf.
	
2000-02-09 10:41  hardaker

	- (Makefile.in): fix rsnmp build.  Really.  I mean it.
	
2000-02-09 10:41  hardaker

	- (hr_filesys.c, hr_storage.c): Patch from Andy HOOD:
	  - Solaris patches.
	
2000-02-09 10:37  hardaker

	- (Makefile.in):
	  - fix rsnmp.made.
	  - use $(MAKE).
	
2000-02-09 08:41  hardaker

	- (vmstat_solaris2.c, vmstat_solaris2.h): Update from Jochen Kmietsch
	
2000-02-07 11:49  marz

	oops missing important fix for win32 build - fd_set must be same size as in winsock
	
2000-02-07 11:18  mslifcak

	Undo last change; on Sun, additional platform info was not obtained;
	the proper solution would be to remove the second token (hostname).
	
2000-02-07 10:43  mslifcak

	Keep customer's nodename out of the published 'uname' information.
	
2000-02-07 07:20  hardaker

	- (PORTING): Michael likes diff -u.
	
2000-02-06 06:11  nba

	- read_config.c: Fix one final ':' to ENV_SEPARATOR_CHAR
	
2000-02-05 17:39  hardaker

	- (snmpv3.c): correct some awful text -> engineID creation mistakes.
	
2000-02-05 08:37  hardaker

	- (snmptrapd.c): fix wrapped line continuation in usage message.
	
2000-02-05 06:56  marz

	fix version  number
	
2000-02-04 18:55  marz

	weird delay in creation of pid files
	
2000-02-04 18:21  marz

	brain-o
	
-------------------------------------------------------------------------------

Changes: V4.1 -> V4.1.1

marz  5 Feb 00 06:56:43
    fix version  number

hardaker  5 Feb 00 08:37:27
    - (snmptrapd.c): fix wrapped line continuation in usage message.

hardaker  5 Feb 00 17:39:54
    - (snmpv3.c): correct some awful text -> engineID creation mistakes.

nba  6 Feb 00 06:11:59
    - read_config.c: Fix one final ':' to ENV_SEPARATOR_CHAR

hardaker  7 Feb 00 07:20:24
    - (PORTING): Michael likes diff -u.

mslifcak  7 Feb 00 10:43:29
    Keep customer's nodename out of the published 'uname' information.

mslifcak  7 Feb 00 11:18:26
    Undo last change; on Sun, additional platform info was not obtained;
    the proper solution would be to remove the second token (hostname).

marz  7 Feb 00 11:49:01
    oops missing important fix for win32 build - fd_set must be same size as in winsock

hardaker  9 Feb 00 08:41:11
    - (vmstat_solaris2.c, vmstat_solaris2.h): Update from Jochen Kmietsch

hardaker  9 Feb 00 10:37:00
    - (Makefile.in):
      - fix rsnmp.made.
      - use $(MAKE).

hardaker  9 Feb 00 10:41:14
    - (hr_filesys.c, hr_storage.c): Patch from Andy HOOD:
      - Solaris patches.

hardaker  9 Feb 00 10:41:44
    - (Makefile.in): fix rsnmp build.  Really.  I mean it.

hardaker  9 Feb 00 10:43:05
    - (configure.in): change mode to autoconf.

hardaker  9 Feb 00 11:38:42
    - (hr_swinst.c): patch from redhat for better RPM support.

hardaker  9 Feb 00 13:16:17
    - (agent_callbacks.h, agent_registry.c, agent_registry.h,
      snmp_agent.c, vacm_vars.c):
      - fix posible acm DoS problems by checking access tables early on.

hardaker  9 Feb 00 13:16:58
    - (UCD-SNMP-MIB.txt): mention a new ucdExperimental registration (wavlan).

mslifcak  9 Feb 00 13:31:01
    Define SNMP_MAXPATH, and use it.

hardaker  9 Feb 00 13:31:24
    - (T003snmpv1getfail, T016snmpv2cgetfail, T017snmpv2ctov1getfail,
      T018snmpv1tov2cgetfail): fix for proper ACM error outputs.

mslifcak  9 Feb 00 13:51:12
    include sys/param.h to get PATH_MAX on FreeBSD.

hardaker  9 Feb 00 13:53:37
    - (eval_tools.sh, T023snmpv3getMD5DES, T024snmpv3getSHA1, T025snmpv3getSHADES):
      - skip ssl tests we can't perform.

daves 10 Feb 00 04:41:10
    - (snmplib/{snmp_api,snmp_client}.c apps/snmpnetstat/inet6.c):
      -  Comment unused code more informatively as to why it is omitted.

daves 10 Feb 00 07:14:51
    - (FAQ): Explicit examples of sending traps by hand

hardaker 10 Feb 00 07:54:46
    - (FAQ): mention the tutorial.

mslifcak 10 Feb 00 08:00:26
    typedef int ssize_t (one line added) for build on SunOS 4.

mslifcak 10 Feb 00 08:13:14
    fix varargs decl/defn of snmp_log

nba 10 Feb 00 08:40:04
    - man/*: set the dates on the pages to reflect the revision date

hardaker 10 Feb 00 10:28:21
    - (snmpv3.c): fix setup engineID buffer overflow found by Mike Baer.

hardaker 10 Feb 00 10:32:08
    - (hr_swinst.c): minor fixes pointed out by Michael.

mslifcak 10 Feb 00 10:33:47
    *** empty log message ***

mslifcak 10 Feb 00 11:14:58
    fix for older platforms to use pass_persist; not included by default.

hardaker 11 Feb 00 06:58:03
    - (acconfig.h, config.h.in): Dont define PROCFIXCMD and EXECFIXCMD by default.

hardaker 11 Feb 00 12:22:10
    - (acconfig.h, config.h.in): change perl path to /usr/bin.

hardaker 11 Feb 00 12:29:37
    - (snmp_agent.c): patch from Niels:
      - don't send autherror responses for v2c.
      - send authFailure trap.

hardaker 11 Feb 00 12:30:02
    - (sysORTable.h): Patch from Niels Baggesen:
      - compiler warning fix.

hardaker 11 Feb 00 12:44:23
    - (local/Makefile.in): fix for seperate build path

hardaker 11 Feb 00 12:49:03
    - (local/Makefile.in): don't cp for snmpcheck

hardaker 11 Feb 00 12:53:15
    - (T016snmpv2cgetfail, T017snmpv2ctov1getfail): update for Timeout for v2c.

hardaker 11 Feb 00 13:29:29
    - (version.h bug-report sedscript.in): version tag ( 4.1.1 )

	
-------------------------------------------------------------------------------

Changes: V4.0.1 -> V4.1

mslifcak 24 Aug 99 04:44:47
    Clean CRs from read_config,snmp_logging; comment define USE_ASN_SHORT_LEN.

mslifcak 24 Aug 99 05:11:13
    Remove ASN_SHORT_LEN hack - known to dump core in agent.

mslifcak 24 Aug 99 06:19:49
    Add "." to PATH for RUNTESTS; Drop optreset to build most platforms

mslifcak 24 Aug 99 10:25:53
    -(testing/eval_tools) - let some (AIX) agents settle before firing requests.

hardaker 24 Aug 99 12:48:21
    - (vacm_vars.c): correct sysORTable entry.

hardaker 24 Aug 99 13:36:35
    - (snmpusm.c): check for null response pointer.

hardaker 24 Aug 99 13:37:31
    - (snmp_parse_args.c, default_store.h, snmp_api.c, snmpv3.c):
      - provide defVersion token support in snmp.conf (sort of hackish).

hardaker 24 Aug 99 13:41:18
    - (TODO): remove snmpv3 support :-)

mslifcak 24 Aug 99 14:05:39
    -(top/Makefile.in) - remove more generated files with distclean rule.

hardaker 24 Aug 99 14:15:40
    - (all_system.h): remove.  again.

mslifcak 24 Aug 99 14:17:33
    -(host/hr_swrun;mibII/icmp,ip;ucd-snmp/disk,proc) log_perror --> snmp_log_perror

mslifcak 24 Aug 99 15:14:18
    -(smux.c) apply Nick Amato's patch: prevent SMUX close on parse or error.

hardaker 24 Aug 99 15:59:42
    - (snmp_api.c): remove version setting in snmp_api.c.  Not needed there.

hardaker 24 Aug 99 16:01:55
    - (NEWS): 4.0.1 update

mslifcak 24 Aug 99 16:05:15
    -(configure.*) move statement about ucdDemoPublic into comment field.

mslifcak 24 Aug 99 16:49:22
    -(testing/*) run tests when package is not installed, and when
    the build tree is not the same as the source tree.

hardaker 24 Aug 99 17:13:25
    - (ChangeLog): update for 4.0.1

hardaker 24 Aug 99 17:14:50
    - (version.h bug-report sedscript.in): version tag ( 4.0.1 )

mslifcak 24 Aug 99 17:39:54
    -(RUNTESTS) export PATH before use

mslifcak 24 Aug 99 17:43:04
    -(testing/Makefile.in) no need to build targets in test rule.

mslifcak 26 Aug 99 13:18:31
    -(testing/RUNTESTS) improved PATH set

mslifcak 26 Aug 99 13:40:13
    -(testing/Makefile.in) don't built targets that are no longer used

mslifcak 27 Aug 99 07:35:10
    -(configure*, sedscript*) change ...EXTENIS...  to ...EXTENSI...

mslifcak 27 Aug 99 08:03:46
    Howard Spindel suggests an API for traps with pass_persist.

hardaker 27 Aug 99 09:17:08
    - (icmp.c, interfaces.c, ip.c, route_write.c, tcp.c, udp.c, var_route.c):
      - Susanne Osted pointed out a lack of #if HAVE_SYS_PARAM_H.

hardaker 28 Aug 99 07:19:16
    - (Makefile.in): install snmp_alarm.3.

hardaker 28 Aug 99 07:29:48
    - (acconfig.h, config.h.in, configure, configure.in, read_config.c):
      - add /etc/snmp to default conf file path to make RedHat happy.

hardaker 30 Aug 99 09:33:41
    - (Makefile.in, agent_read_config.c, agent_registry.c, agent_trap.c,
      agent_trap.h, ds_agent.h, snmp_agent.c, snmp_agent.h, snmp_vars.c,
      snmpd.c, util_funcs.c, sysORTable.c, callback.c, callback.h,
      default_store.h, read_config.c, snmp_api.c):
      - restructure the agent into two pieces: a library and a application.
        - needs much more work.
        - many parameters are now controlled by new default_store settings
          to help relieve compile time bindings.
      - merge init_snmp and the custom version called inside the agent.
      - add a new place for trap specific agent code (agent_trap.[ch]).
      - probably other things I've forgotten that I did.

hardaker 30 Aug 99 09:38:18
    - (client.c, master.c, master_request.c, protocol.c, subagent.c):
      - debugging statements.
      - use new default_store settings instead of external variables.

hardaker 30 Aug 99 10:30:56
    - (master.c, master_request.c): yet more debugging.

nba 30 Aug 99 13:02:18
    - man/snmpd.conf.5.def: document smuxpeer directive

nba 30 Aug 99 13:03:40
    - apps/snmp_parse_args.c: properly handle MIB:oid construct

nba 30 Aug 99 13:05:02
    - apps/snmptrapd.c: fix argument parser

nba 31 Aug 99 00:08:45
    - agent/snmpd.c: don't try to parse a packet when there is an error in
    	recvfrom

mslifcak 31 Aug 99 08:17:24
    -(agent_trap.c) fix recent memory leak, and sizeof(objid_snmptrap) bug.

mslifcak 31 Aug 99 09:26:14
    -(agent_trap.c) always free PDU after snmp_send.

daves  2 Sep 99 06:38:16
    - (agent/mibgroup/misc/ipfwacc.h): Fix MIB location of ipfwacc module

daves  2 Sep 99 06:38:53
    - (agent/mibgroup/misc/ipfwacc.c): Fix MIB location of ipfwacc module

hardaker  2 Sep 99 07:07:04
    - (subagent.c): shutdown_subagent -> subagent_shutdown so configure
      doesn't find it.

hardaker  2 Sep 99 08:52:48
    - (subagent.c): opps.  Forgot a shutdown name change instance.

hardaker  3 Sep 99 13:15:15
    - (history.c, history.h, snmp_vars.linux.h): removed. No longer needed.

hardaker  3 Sep 99 13:15:33
    - (Makefile.in): install agent header files.

hardaker  3 Sep 99 13:27:13
    - (Makefile.in):
      - install libagent.a.
      - mkdirheir on needed new installation directories.

hardaker  3 Sep 99 13:30:36
    - (snmplib/Makefile.in): install more library headers.

hardaker  3 Sep 99 14:28:46
    - (snmp_vars.c): don't fall off the end of the search tree.

hardaker  3 Sep 99 15:01:39
    - (FAQ): more BSDI system versions listed.

nba  6 Sep 99 23:53:07
    - (man/snmp_api.3 snmplib/snmp_api.c agent/snmpd.c apps/snmptrap.c):
    	fix memory leak when agent sends traps by implementing the missing
    	free of TRAP pdu in snmp_send.

nba  6 Sep 99 23:55:38
    - if.c: correct calls of snmp_fix_pdu to use GETNEXT

mslifcak  7 Sep 99 14:47:18
    -(parse.*) fix small memory leaks; allow INDEX{INTEGER...} clauses;
               allow larger DESCRIPTION clauses [max 8192].

mslifcak  7 Sep 99 15:22:14
    snmpv3.c - silence type warning from MSVC++.

mslifcak  7 Sep 99 15:23:02
    (default_store.*) - make 3rd param to ds_set_string type of const char *.

mslifcak  7 Sep 99 15:23:51
    (win32/config.h) - set SNMPCONFPATH to succeed compile;
    (win32*libsnmp.def) - add new snmp_get_token to list.

mslifcak  7 Sep 99 15:32:00
    -(snmp_api.h) struct pdu and snmp_session agree: long type for version member.

mslifcak  7 Sep 99 15:32:59
    -(parse.c) remove unneeded strdup to File variable from init_mib_internals.

mslifcak  7 Sep 99 15:57:13
    -(parse.c) fix Unlinked OID print when object identifier has no parent.

mslifcak  7 Sep 99 20:12:57
    -(agent_trap.c,snmptrap.c,snmp_api.[3c]) - snmp_free_pdu fix Bug #54 per Niels B.
    -(snmpnetstat/if.c) - fix for GETNEXT per Niels B.

mslifcak  7 Sep 99 20:19:52
    snmptrap.c - rework fix bug #54 (missed else).

mslifcak  8 Sep 99 05:16:34
    include read_config.h

nba  8 Sep 99 07:45:54
    - (configure.in, loadave.c): Solaris 2.7 has getloadavg prototype

nba  8 Sep 99 07:46:51
    - snmp_api.h: move inclusion protection to the real beginning/end of the file

nba  8 Sep 99 07:48:03
    - var_struct.h: the Agentx code uses unsigned values for the variable type.

nba  8 Sep 99 07:50:37
    - (various): fix compiler warnings

nba  8 Sep 99 07:51:26
    - snmpd.1.def: fix a formatting problem

nba  8 Sep 99 07:52:23
    - apps/snmptrapd.c: fix argument processing (-ld and similar)

mslifcak  8 Sep 99 13:00:40
    -(testing/RUNTESTS) prefix PATH with . and .. , as the script changes dir.

mslifcak  8 Sep 99 13:04:55
    -(snmplib/snmp_client.*) add snmp_split_pdu, snmp_varbind_len methods.

mslifcak  8 Sep 99 17:02:37
    mibincl.h, mibgroup/mibII/* - fixup for CygWin32 build

mslifcak  8 Sep 99 17:49:13
    -(config*,win32/*,snmplib/*) resource locking originally from Markku Laukkanen

mslifcak  8 Sep 99 17:52:47
    -(mt_support.*) Original by Markku Laukkanen, changes by M. Slifcak

mslifcak  8 Sep 99 22:30:29
    -(smux.c) var_smux_write fixed per Mike Michaud and Nick Amato

mslifcak  8 Sep 99 22:34:37
    -(mibincl.h) comment out duplicate #include header lines.

daves  9 Sep 99 01:32:15
    - (mibs/SNMPv2-CONF.txt): Omit unnecessary import clause

mslifcak  9 Sep 99 02:21:50
    -(winstub.c) Hack to allow snmpnetstat -a to work on AIX4 (sic).

mslifcak  9 Sep 99 02:31:26
    -(*config*) turn on resource locking with --enable-reentrant.

mslifcak  9 Sep 99 13:59:26
    -(mib.c, parse.c) mib.c print_tree_node test display null type with range
                      parse.c work around core dump freeing TCs that specify ranges.

nba 12 Sep 99 21:50:23
    - var_route.c: Linux cleanup. Required for Linux/SPARC

nba 12 Sep 99 21:57:18
    - agent/*, snmplib/*: malloc fixes, some provoked by the corrected
    	snmp_send semantics.

nba 12 Sep 99 21:58:17
    - TESTCONF.sh: fix some exports to export the right variable.

nba 12 Sep 99 21:59:34
    - protocol.c: add a missing include file.

nba 12 Sep 99 22:00:33
    - snmp_impl.h: removed some unused/unneeded defines/structs

nba 13 Sep 99 04:35:18
    - var_route.c: Linux cleanup. Required for Linux/SPARC

nba 13 Sep 99 13:32:07
    - snmpd.c: fix a buffer overflow

hardaker 13 Sep 99 15:01:54
    - (agent_callbacks.h, agent_read_config.c, agent_registry.c,
      agent_registry.h, snmp_agent.c, snmp_vars.c, snmpd.c, subagent.c,
      subagent.h, sysORTable.c, vacm_vars.c, vacm_vars.h):
      - further separation of agent church and state:
        - use callbacks everywhere needed to not call mib module code directly.
        - get rid of all instances of USING_ in libagent code.

mslifcak 13 Sep 99 20:20:54
    -(snmp_api.c) re-assert Niels' patch to snmp_send to free v2/v1 Trap-PDUs

mslifcak 14 Sep 99 09:54:05
    -(FAQ, man/snmpcmd.1, snmplib/parse.*) add replace MIB capability(experimental)

marz 14 Sep 99 13:00:12
      (apps/snmp_parse_args.c, snmplib/snmp_api.[ch]): fix spurious error message when snmp_parse_oid fails

mslifcak 14 Sep 99 13:22:39
    parse.c - another fix for node: consider NULL name or NULL parent

mslifcak 15 Sep 99 06:08:32
    include mibgroup/mib_module_includes.h for benefit of mib_module_dot_conf.h

hardaker 15 Sep 99 09:45:35
    - (Makefile.in, snmp_close.3, snmp_free_pdu.3, snmp_open.3,
      snmp_read.3, snmp_select_info.3, snmp_send.3,
      snmp_sess_async_send.3, snmp_sess_close.3, snmp_sess_error.3,
      snmp_sess_init.3, snmp_sess_open.3, snmp_sess_read.3,
      snmp_sess_select_info.3, snmp_sess_send.3, snmp_sess_sess_timeout.3,
      snmp_sess_session.3, snmp_timeout.3): Patch from Mark H. Wood:
      - create some fake sourcing man pages for functions.

mslifcak 15 Sep 99 11:30:58
    fine tuning mt support

mslifcak 16 Sep 99 14:16:38
    -per agreement with Markku, no support needed for Solaris-specific threads.

hardaker 17 Sep 99 07:17:21
    - (snmp_api.3): Patch from Mark H. Wood:
      - fix comments.

mslifcak 17 Sep 99 11:19:42
    -(parse.c) - remove unneeded use of static var "last"

mslifcak 17 Sep 99 11:24:48
    -remove old-style init for replace mib feature.

mslifcak 17 Sep 99 11:42:17
    make module_map* and tokens structures static (only used in parse.c ?)

hardaker 17 Sep 99 15:37:41
    - (configure): update to 2.13.

daves 21 Sep 99 09:21:59
    - (snmplib/snmp_api.c): handle adding 'error' type variables to a PDU

daves 21 Sep 99 09:25:25
    - (agent/mibgroup/agentx/protocol.c): Handle parsing null-length variables

daves 21 Sep 99 09:32:27
    - (agent_registry.c snmpd.c): Simple run-time dump of registered MIBs

mslifcak 21 Sep 99 10:40:43
    -(mib.c) undo erroneous change to init_mib (thanks NB!)

daves 22 Sep 99 09:27:37
    - (agent/snmpd.c): stupid typo

daves 22 Sep 99 09:31:08
    - (agent/agent_registry.c): stupid typo

daves 22 Sep 99 09:33:51
    - (agent/agent_registry.[ch]): Provide method for prioritised registration

daves 22 Sep 99 09:35:09
    - (agent/mibgroup/mibII/sysORTable.c):
      - Ensure local sysORTable takes precedence over subagent versions

daves 22 Sep 99 09:54:02
    - (agent_registry.c snmp_vars.c var_struct.h):
      Change the way the MIB registry handles registered ranges.
      This should work more reliably (as well as being rather simpler, IMHO)

daves 22 Sep 99 09:58:12
    - (agent_registry.c): remove redundant routines

daves 22 Sep 99 10:00:56
    - (agent_registry.c): Ensure registry is initialised correctly on subagents

daves 22 Sep 99 10:01:45
    - (mibgroup/agentx/master_request.c): Improved AgentX response handling

mslifcak 22 Sep 99 12:51:00
    -(snmp_api.c) - Improved error status aggregation.

hardaker 27 Sep 99 16:22:20
    - (read_config.c): Opps: DS_LIB_DONT_READ_CONFIGS needed an !.

hardaker 28 Sep 99 16:52:04
    - (Makefile.in, mib_modules.c, mib_modules.h, snmp_vars.c, snmpd.c):
      - make libucdagent and libucdmibs as seperate libraries.  In theory,
        you shouldn't need libucdmibs to use libucdagent.

daves 29 Sep 99 11:14:42
    - (snmplib/snmp_api.c): protect snmp_close() against a null Sessions list

daves 29 Sep 99 11:17:01
    - (mt_support.h snmp_api.[ch]): Support for session and incoming transaction IDs

daves 29 Sep 99 11:23:40
    - (agent_registry.c): Correct value of default registration priority

daves 29 Sep 99 11:36:43
    - (agent_registry.[ch]):
      - Improve registry error handling
      - Correctly handle unregistering MIB regions

daves 29 Sep 99 11:38:22
    - (agent_registry.c):
      - 'Children' nodes now have a different status, and shouldn't be freed. Oops!

daves 29 Sep 99 11:43:00
    - (agent_registry.[ch]): Provision to unregister MIBs by session

daves 29 Sep 99 11:46:02
    - (agent/snmp_vars.c):
      - Move setting agent start time to earlier in the initialisation sequence
        (so that it can be overridden in subagents with the master's value)

daves 29 Sep 99 11:48:55
    - (agent/mibgroup/mibII/sysORTable.c): Change in MIB registration interface

daves 29 Sep 99 12:19:56
    - (agent/mibgroup/agentx/*):  Assorted improvements!

mslifcak 29 Sep 99 14:31:48
    Robust copy of information to tree, import_list, display hints.

hardaker 29 Sep 99 16:35:43
    - (config.h.in, configure, configure.in):
      - fix RANLIB testing for --enable-shared.

hardaker 29 Sep 99 16:36:07
    - (README): added Mike Michaud to the thank you list.

hardaker 29 Sep 99 16:38:34
    - (header_complex.c, header_complex.h):
      - new extraction and freeing functions.
      - bug fix, missing a malloc size by one (electric fence is very cool).

hardaker 29 Sep 99 16:38:59
    - (client.c): thats "timeval" not "timevale" Dave (hehe).

hardaker 29 Sep 99 16:39:21
    - (client.h): define DEFAULT_MIB_PRIORITY to 255.

hardaker 29 Sep 99 16:39:42
    - (master_admin.c): -Wall fixes and found a missing }.

hardaker 29 Sep 99 16:40:08
    - (pass.c): run ntohl on ip addresses stored in a long.

hardaker 29 Sep 99 16:40:30
    - (mib2c.vartypes.conf): removed extra \n.

hardaker 29 Sep 99 17:01:28
    - (agent_registry.c, agent_registry.h): fix bugs.

hardaker 29 Sep 99 17:01:50
    - (mib_modules.c): include netinet/in.h

mslifcak 29 Sep 99 23:42:49
    Remove unused file.. snmplib/hpux.c

daves 30 Sep 99 01:09:25
    - (mibgroup/host/hr_system.c):
      - protect against NULL utmp file (from Fabrice Dupre)

daves  1 Oct 99 09:48:20
    - (agent/Makefile.in): Fix incompatability in agent library names

daves  2 Oct 99 14:28:20
    - (mibgroup/agentx/master_admin.c mibgroup/agentx/subagent.c):
      - Fix a problem with re-used PDU structures being freed twice.

daves  4 Oct 99 03:58:22
    - (agent_registry.[ch] mibgroup/agentx/client.h):
      - consolidate definitions of default MIB registration priority

daves  4 Oct 99 09:53:48
    - (agent_registry.[ch] snmp_vars.h mibII/sysORTable.c
       agentx/client.[ch] agentx/master_admin.c):
       - Handle MIB range registration, and clean up wrapper interfaces

daves  4 Oct 99 09:58:26
    - (mib_modules.c mibgroup/agentx/subagent.[ch]):
      - Ensure subagent is initialised early (prior to MIB registration, etc)

daves  4 Oct 99 10:15:38
    - (snmplib/callback.h): Increase number of application callbacks supported

daves  4 Oct 99 10:17:53
    - (agent_callbacks.h  mibgroup/mibII/sysORTable.[ch]
       mibgroup/agentx/master_admin.c mibgroup/agentx/subagent.c):
       - Complete subagent handling of Agent Capabilities / sysORTable

daves  4 Oct 99 10:22:25
    - (agentx/client.[ch] agentx/master_admin.c): Trivial 'ping' implementation

nba  4 Oct 99 11:48:51
    - (snmp_api?, int64.? snmptrap.c): add some error checking for variables

nba  4 Oct 99 11:50:50
    - Makefile.in:	always use $(MAKE) for make in Makefiles

nba  4 Oct 99 11:52:25
    - configure.in:	remove -pedantic from --with-developer, and the system headers
    	are not prepared for it (at least on Linux and NetBSD)

nba  4 Oct 99 13:38:19
    - various: include additions and fixes to kill warnings

hardaker  4 Oct 99 13:51:51
    - (system_mib.c): make sysServices configurable.

nba  4 Oct 99 13:52:20
    - subagent.h, subagent.c, mib_modules.c: pre_init_subagent confuses
    	configure into believing there is a init_subagent function.
    	Rename to subagent_pre_init

hardaker  4 Oct 99 16:32:19
    - (header_complex.c, header_complex.h): added header_complex_find_entry().

daves  5 Oct 99 07:23:45
    - (agentx/master_request.c agentx/subagent.c): Working SET support

nba  5 Oct 99 21:49:22
    - snmp_debug.h: make the DEBUG* macros safe for use in compound statements

nba  5 Oct 99 22:18:46
    - snmp_parse_args.c: fixes to report invalid engineId

nba  5 Oct 99 22:22:54
    - subagent.c: include system.h for prototype for calculate_time_diff

hardaker  6 Oct 99 08:57:42
    - (fixproc): new commented version.

hardaker  6 Oct 99 16:31:53
    - (acconfig.h, config.h.in, read_config.c, snmp_api.c, snmp_client.c):
      - Save and parse older persistent storage files to make sure data is
        not lost during storage crashes.
      - Fix SNMPv3 engineID probes: PDU's are allowed to have a NULL varbindlist.

daves  7 Oct 99 07:26:20
    - (agent_trap.c agent_trap.h agent_read_config.c snmpd.h):
      -  Re-write of agent trap handling:
    	Provision for v1 traps with varbinds
    	Consolidate v1 and v2 trap sink lists
    	Preliminary INFORM support

daves  7 Oct 99 08:42:15
    - (agent_trap.[ch]): Improve accessibility for subagents

daves  7 Oct 99 09:01:25
    - (agentx/subagent.c agentx/master_admin.c): Notification support

mslifcak 12 Oct 99 05:58:28
    mib.c : quick_print is exposed for CMU_COMPATIBLE builds.
    lcd_time.c : commented unused dump_etimelist_entry under SNMP_TESTING_CODE.

mslifcak 12 Oct 99 06:07:44
    Define address length for FreeBSD platform.

mslifcak 13 Oct 99 03:54:02
    add missing proto for save_persistent.

nba 13 Oct 99 07:09:36
    - master_admin.c, system_mib.h: includes for prototypes

mslifcak 15 Oct 99 07:09:14
    -(default_store.c, callback.c) fix
    bug in array-boundary check in snmplib/callback.c
    reported by Bert Holstein 15 Oct 1999.

hardaker 20 Oct 99 17:26:59
    - (header_complex.c): parsed strings from oid's include null terminators.

hardaker 20 Oct 99 18:08:39
    - (mib.c): enable oid parser to handle simple embedded strings in oids
      and to translate them into oid segments.
      EG: .1.3.\"hello\".\'hi\' -> .1.3.5.104.101.108.108.111.104.105

hardaker 21 Oct 99 10:07:00
    - (mib.c): enable oidname."hi".'there' in get_module_node() as well.

mslifcak 21 Oct 99 10:20:15
    Note  SNMPERR_UNKNOWN_OBJID error without specifying snmp_errno _outside_ the library.

mslifcak 21 Oct 99 10:26:29
    Note  SNMPERR_UNKNOWN_OBJID error from within the library.

mslifcak 21 Oct 99 10:37:49
    mib.c - restore line stomped in my last update.
    read_config.c - drop unused variable.
    snmp_api.c - new method snmp_open_ex replaces set internal hook functions.

mslifcak 21 Oct 99 10:39:09
    Fixups for building with MSVC++. (no hpux.c, supply MAX_PERSISTENT_BACKUPS).

mslifcak 21 Oct 99 10:41:38
    reminders for snmp_sess_perror usage after open.
    snmptable.c - open/close session from main().
    netstat/main.c - use snmp_sess_perror.

mslifcak 21 Oct 99 10:42:28
    use snmp_open_ex.

mslifcak 21 Oct 99 12:09:51
    Fix BUG#78

mslifcak 21 Oct 99 12:31:28
    small patch from M. Laukkanen to fix HP aCC build.

nba 21 Oct 99 12:52:26
    - memory_solaris.c: reorder computations to avoid overflow.

nba 21 Oct 99 12:54:41
    - memory_solaris2.c: reorder computations to avoid overflow.

mslifcak 22 Oct 99 06:29:16
    In fixing bug #83 on 4.0 branch, discovered that 3.6 branch
    did not have "octet" token support.  Added.

mslifcak 22 Oct 99 06:29:52
    Fix BUG #83.

mslifcak 22 Oct 99 07:39:01
    Removed duplicated variable in a nested block. ARg!

hardaker 22 Oct 99 09:59:39
    - (mib.c): enable hex strings inside oids.

mslifcak 22 Oct 99 10:12:26
    Display _some_ octet string indices of object identifiers as quoted printable.
    Should be expanded to handle other INDEX types.

hardaker 22 Oct 99 15:28:59
    - (acconfig.h, config.h.in, configure, configure.in, keytools.c,
      keytools.h, scapi.c):
      - use openssl for md5/sha support (from Olafur Gudmundsson).

hardaker 22 Oct 99 15:29:38
    - (mib.c): print string based OIDs better.

hardaker 24 Oct 99 08:24:02
    - (configure, configure.in): SNMPCONFPATH uses sysconfdir not datadir.

hardaker 24 Oct 99 08:24:21
    - (README.snmpv3): typo.

hardaker 24 Oct 99 08:25:35
    - (mib.c): fix "mibs" and "mibdirs" .conf directives to properly
      handle multiple calls (additive) and '+'s and things.

hardaker 24 Oct 99 08:27:28
    - (read_config.c):
      - premib directives weren't getting read due to a missing negation (!).
      - more parsing debugging statements added.

mslifcak 25 Oct 99 08:06:32
    minor rework to clarify signed compares and remove unused variables.

nba 25 Oct 99 13:39:27
    - interfaces.c: fix a memory leak in the Linux part

nba 25 Oct 99 13:41:01
    - configure.in, proc.c: support for FreeBSD 2.1 where ps doesn't have c flag

nba 25 Oct 99 13:51:22
    - hr_system.c: play it safe when no utmp file exists

nba 25 Oct 99 13:53:26
    - snmptrapd.c, snmptrapd_handlers.c: support for traphandle DEFAULT

nba 25 Oct 99 13:56:26
    - RUNTESTS, TESTCONF.sh eval_onescript.sh eval_tools.sh: support non-bash
    	shells (echo -n vs echo \\c). Don't require . in PATH

nba 25 Oct 99 13:58:03
    - snmptranslate.c: let ':' in OID do "the right thing"

nba 25 Oct 99 13:59:05
    - pass.c: do an htonl when passing ip address

nba 25 Oct 99 14:07:11
    - snmpdelta.c: COUNTER64 will dereference freed pointer

nba 25 Oct 99 14:08:25
    - snmpd.conf.5.def: minor quirk

nba 25 Oct 99 14:13:57
    - *: configure support for dmalloc malloc debugger (www.dmalloc.com)

hardaker 25 Oct 99 14:35:51
    - (snmptranslate.c): enable -p printing of only a section of the mib tree.

hardaker 25 Oct 99 16:05:03
    - (snmptranslate.c, parse.c): hack to do wild card searches for a mib node.

mslifcak 26 Oct 99 10:34:40
    Allow unsigned range for counter/gauge/timeticks (fix BUG#84 per Sander Steffann).

hardaker 27 Oct 99 14:33:33
    - (Makefile.in): fix up ucd-snmp-config.h building.

hardaker 27 Oct 99 14:34:10
    - (snmp_agent.h): prototype agent_check_and_process().

hardaker 27 Oct 99 14:34:55
    - (Makefile.in, ucd-snmp-agent-includes.h): added a header file to
      wrap around the various agent include files.

hardaker 27 Oct 99 14:35:27
    - (master_admin.c): simple debugging so you can watch stuff register.

hardaker 27 Oct 99 14:36:21
    - (Makefile.in, default_store.3, default_store.3.bot,
      default_store.3.h, default_store.3.top, snmp_agent_api.3):
      - new manual pages: default_store.3, snmp_agent_api.3.

hardaker 27 Oct 99 14:36:55
    - (default_store.h):
      - mark regions to be included in the default_store.3 manual page.

hardaker 27 Oct 99 14:37:49
    - (lcd_time.h): define and comment LCD_TIME_SYNC_OPT better.

hardaker 27 Oct 99 14:38:06
    - (ucd-snmp-includes.h): add default_store.h and snmp_logging.h

hardaker 27 Oct 99 17:12:01
    - (ucd-snmp-includes.h): added more include files.

hardaker 27 Oct 99 17:12:59
    - (mib.c): bail if we can't find an index in the mib tree to use for
      breaking an oid apart.

hardaker 27 Oct 99 17:30:25
    - (vacm_vars.c): watch for null communities when printing debug statements.

mslifcak 28 Oct 99 04:55:52
    Dave's comment about pre_parse etc. was too good to lose in e-mail.

mslifcak 28 Oct 99 05:23:05
    u_int8/16/32_t types no longer needed for WIN32 builds.

mslifcak 28 Oct 99 05:25:02
    Oops! restore version r1.131.

mslifcak 28 Oct 99 06:49:03
    rephrase subtree not found code in _get_symbol.

hardaker 28 Oct 99 13:47:57
    - (snmptosql): debugging and error checking.

hardaker 29 Oct 99 08:58:17
    - (mib2c.conf, mib2c.vartypes.conf): Patch from Keith Tuson:
      - misc fixes.

hardaker 29 Oct 99 09:28:11
    - (FAQ): added reference to an above question for perl installation.

hardaker 29 Oct 99 09:28:43
    - (ucd-snmp-agent-includes.h): added var_struct.h and agent_read_config.h

hardaker 29 Oct 99 09:52:18
    - (default_store.h, mib.c): two new printing options:
      - printNumericOids
      - printNumericEnums

hardaker 29 Oct 99 10:06:03
    - (ds_agent.h, snmp_agent.c, snmpd.c, snmp_parse_args.c):
      - snmp over TCP options: -T TCP.
      - new quick print options: -qo -qe for numeric oids and enums.

hardaker 29 Oct 99 10:13:44
    - (snmpcmd.1): document -T and -q[oe]

hardaker 29 Oct 99 10:15:01
    -(default_store.3{,.h}): removed from CVS since they are built

hardaker 29 Oct 99 10:15:43
    - (.cvsignore): ignore default_store.3{,.h}

hardaker 29 Oct 99 16:58:07
    - (tkmib): make it do snmpv3.  Added many things to the options menu.

marz 29 Oct 99 19:54:10
     (apps/snmp_parse_args.c, snmplib/snmpv3.c): make engineID setup conditional on app type to prevent apps from easily ending up with the same engineID as agent on same host

hardaker  1 Nov 99 13:18:00
    - (snmp_parse_args.c, default_store.h, mib.c, snmp_alarm.c):
      - don't break oids into pieces if quick_print is turned on.
      - ditto if the new default_store option is turned on.
      - made a default_store option to not use sigalrm for snmp_alarms.

hardaker  2 Nov 99 09:57:31
    - (Makefile.in): install other header files needed by SNMP.pm.

mslifcak  2 Nov 99 15:37:05
    Use HAVE_STDARG_H when deciding to use varargs vs ANSI-C prototypes.

mslifcak  2 Nov 99 15:46:08
    Install snmp_agent_api.3

mslifcak  3 Nov 99 06:11:03
    declare find_best_tree_node for MSVC build.

mslifcak  3 Nov 99 06:49:30
    Near line 663 : close(fd) before invoking wait_on_exec

mslifcak  3 Nov 99 13:18:59
    Following call to fdopen (near get_exec_output), do not close(fd).

mslifcak  3 Nov 99 13:20:16
    Fix build problem on Linux RedHat 6.0 : key off GNU_LIBRARY value.

mslifcak  4 Nov 99 02:42:15
    Patch to build BSD/OS 4.0.1; from Bert Driehuis -- driehuis@playbeing.org

mslifcak  4 Nov 99 04:14:28
    More STDC_HEADERS cleanup: use HAVE_STRING_H, HAVE_STDLIB_H instead.

mslifcak  4 Nov 99 04:33:32
    Change example away from STDC_HEADERS.

mslifcak  4 Nov 99 05:08:31
    Every #define is given a value; set to 1 if no value was specified.

mslifcak  4 Nov 99 05:13:05
    First pass support for FreeBSD 4.0 [problems with proc table lookups].

mslifcak  4 Nov 99 06:11:48
    Use sysctl(CTL_VM..) to get virtual memory stats.

hardaker  4 Nov 99 10:03:47
    - (Makefile.in, acconfig.h, config.h.in, configure, configure.in, mib.c):
      - define IN_UCD_SNMP_SOURCE in config.h but not in ucd-snmp-config.h.
      - move ucd-snmp-config.h up in the build order before subdirs.
      - Make default MIBDIRS search path include $HOME/.snmp/mibs.
      - Make MIBDIRS parsing handle $HOME variables in it.

hardaker  4 Nov 99 10:04:42
    - (mib2c.conf): include headers for compilation for both internal and
      external to the ucd-snmp source.

mslifcak  4 Nov 99 10:19:35
    Redo FreeBSD 4.0: define freebsd3 in s/freebsd4.h; reduce "define" thrashing.

hardaker  4 Nov 99 10:28:44
    - (snmp_parse_args.c, snmpcmd.1): move -q flags to -O.

mslifcak  4 Nov 99 13:43:40
    Speed up sprint_variable: halve the number of calls to get_symbol.

mslifcak  5 Nov 99 06:22:52
    Say goodbye to SNMP_MALLOC, malloc_zero, xcalloc, xmalloc, and xstrdup.
    Respectively replaced with calloc, calloc, calloc, malloc, and strdup.

nba  9 Nov 99 01:50:09
    - mib.c,parse.c: make error reporting in parser work according to spec (-Pe)
    	show defining modules in snmptranslate -d
    	use ds_toggle_boolean

nba  9 Nov 99 12:59:52
    - snmptrapd.c,snmptrapd_handlers.c: make it compile with VC++ 5.0
    	(but no handlers (yet))

hardaker  9 Nov 99 13:02:17
    - (snmpd.c): fix -H.

hardaker  9 Nov 99 13:02:41
    - (ucd_snmp.h): require the DEMO-MIB (just for tutorial purposes).

hardaker  9 Nov 99 13:09:21
    - (vacm_vars.c, vacm_vars.h): simple new .conf tokens: rocommunity, rwcommity.

hardaker  9 Nov 99 13:09:40
    - (Makefile.in): install the DEMO-MIB.

nba  9 Nov 99 15:16:03
    - various: adapt tools to use getopt (and put one in for Win32)

nba  9 Nov 99 22:20:52
    . snmp_parse_args.c: a glitch in the conversion to getopt (thanks to
    	driehuis@playbeing.org)

nba  9 Nov 99 23:30:03
    - getopt.h: arguments to getopt did not match those in getopt.c

nba 10 Nov 99 08:30:13
    - win32/*: fixes to the VC++ build projects

nba 10 Nov 99 08:32:00
    - win32/*: VC++ project updates

daves 10 Nov 99 08:57:00
    - (agent/agent_read_config.c): Only set up trap sinks on the master agent

daves 10 Nov 99 08:58:38
    - (agent/agent_trap.[ch]): minor re-structure to allow subagent trap "sinks"

daves 10 Nov 99 08:59:45
    - (agentx/subagent.c): Fix AgentX notify support

nba 10 Nov 99 12:20:47
    - win32/*.dsp: yet another round of making this crap work

nba 10 Nov 99 15:29:18
    - apps/*: changes for getopt usage, and reworking of snmp_parse_args

nba 10 Nov 99 22:12:08
    - win32/*: clean up repository files, and add proper .cvsignore files

daves 11 Nov 99 03:37:59
    - (agentx/client.c): Silly typo in start time synchronisation

nba 11 Nov 99 22:14:27
    - snmpcmd.1: update man page to correspond to the new getopt situation
    	Note: even though some options have been removed from this
    	page, they still work!

nba 11 Nov 99 22:50:00
    - snmp_parse_args.c, mib.c: alignment of option code.
    	Some enhancements to the snmptranslate -d output.

daves 12 Nov 99 08:46:33
    - (snmplib/snmp_api.c): Provide a unique ID for all incoming PDUs

marz 12 Nov 99 13:01:08
     (lcd_time.[ch], snmpusm.c): fix enginetime update algorithm to conform to spec rfc2574 3.2.7.b.1

nba 14 Nov 99 01:48:51
    - snmptable, snmp_parse_args: allow the application specific options to

nba 14 Nov 99 01:51:57
    - snmptable: add in the application specific snmptable options between
    	the normal options.

nba 14 Nov 99 01:53:16
    - snmpbulkget: new tool to issue a single GETBULK request

nba 14 Nov 99 01:54:17
    - snmp_parse_args: changes to support multi-valued options

nba 14 Nov 99 01:59:20
    - mibs/*, vacm_vars.h: update the mib files to rfc 2571-2575. Also add
    	SNMP_COMMUNITY_MIB from the coex draft.

nba 14 Nov 99 02:00:00
    - vacm_vars.c: kill a warning

nba 14 Nov 99 02:01:37
    - pass.c, snmpd.conf.5.def: add an UNSIGNED return type

nba 14 Nov 99 02:04:46
    - mib.c, snmptranslate.c: move the MIB:id handling inside read_objid for
    	consistency. Also fixes a buffer overrun in mib.c

nba 14 Nov 99 02:42:38
    - SNMPv2-CONF.txt: comment out the IMPORT clause

nba 14 Nov 99 06:12:03
    - snmptrapd.c: add the new common -O option set

nba 14 Nov 99 06:15:01
    - snmptrapd.8: add the new common -O option set

nba 14 Nov 99 06:32:25
    - ipc6: Add the IPv6 code from the Kame project. I have only massaged
    	it so much as to still compile on non-IPv6 systems, and detect
    	Linux, INRIA, Solaris IPv6. No code for them yet. Original
    	author: itojun@iijlab.net

daves 15 Nov 99 07:56:06
    - (agent/snmp_vars.c): Fix handling of failed GET/SET requests

mslifcak 15 Nov 99 08:29:06
    Fix description of read_objid return value.

nba 15 Nov 99 14:00:20
    - snmp_parse_args.c: further error checking, courtesy mslifcak
      snmpbulkget.c: needs #include <getopt.h> (Thanks to Robert Story)

nba 15 Nov 99 14:03:36
    - mibs/: replace RFC1271-MIN.txt with RMON-MIB.txt (RFC 1757 version)

nba 15 Nov 99 14:05:57
    - parse.c: fix a spelling error in the MIB replacement table.

nba 15 Nov 99 14:09:29
    - .cvsignore: updates to keep cvs silent about generated files.

hardaker 15 Nov 99 15:18:46
    - (FAQ, README): new mirror in Australia.

hardaker 15 Nov 99 15:19:22
    - (mib_modules.c, snmp_vars.c): move subagent_pre_init() to init_agent().

hardaker 15 Nov 99 15:19:47
    - (TODO): memory int -> uint.

hardaker 15 Nov 99 15:20:10
    - (header_complex.c): set to '\0' instead of NULL for -Wall.

hardaker 15 Nov 99 15:21:07
    - (mib2c, tkmib): remove -w.

hardaker 15 Nov 99 15:21:28
    - (snmp_agent_api.3): don't call subagent_pre_init().

hardaker 15 Nov 99 15:21:57
    - (mib2c.storage.conf): debugging statements inserted.

hardaker 15 Nov 99 15:22:24
    - (asn1.c, asn1.h): new function: asn_check_packet().

hardaker 15 Nov 99 15:36:26
    - (snmpdelta.c, snmptable.c, snmptest.c, snmptranslate.c, snmptrapd.c):
      - add default_store.h

hardaker 15 Nov 99 15:38:25
    - (default_store.h, mib.c): move more options to the ds_* routines.

hardaker 15 Nov 99 15:41:38
    - (snmp_api.c, snmp_api.h):
      - move more options to the ds_* routines.
      - implement support for TCP broken SNMP packets by storing buffers
        and dealing with pieces of incoming data till we have a full packet.

mslifcak 15 Nov 99 16:43:25
    Don't add NULL varbind when ENDOFMIBVIEW is reached.

hardaker 15 Nov 99 17:41:10
    - (snmp_agent.c, master.c, protocol.c, protocol.h, subagent.c,
      snmp_api.c, snmp_api.h):
      - make TCP support better for agentx.  Still has a problem (I broke agentx).

mslifcak 15 Nov 99 21:57:36
    Fix bug#75: build --without-opaque-types

mslifcak 16 Nov 99 03:36:09
    Fix spelling misteak.

nba 16 Nov 99 06:21:25
    - snmp_parse_args.c, snmptranslate.c, mib.c: redo the snmptranslate options
    	to follow the common option set. Issue warnings when someone
    	uses the old form, advising about the new.

mslifcak 16 Nov 99 08:48:31
    Embrace all HP-9000/6xx,7xx, 8xx series platforms, without regrets.

daves 16 Nov 99 09:13:59
    - (snmplib/asn1.c): Fix encoding of root OIDs.

hardaker 16 Nov 99 10:24:59
    - (protocol.c): add the header length to the packet length estimate.

hardaker 16 Nov 99 10:26:02
    - (snmp_parse_args.c): add the T: flag for -T to getopt

mslifcak 16 Nov 99 14:41:50
    MSVC touchups:
    Added snmptrapd project .DSP file; All .DS[PW] files CR-LF line terminated;
    Fix warnings in asn1.c and snmp_api.c; Remove unused var in snmptranslate.c.

mslifcak 16 Nov 99 14:56:59
    Build with getopt.

mslifcak 17 Nov 99 05:59:15
    Replace u_int16_t with more universally supported u_short.

mslifcak 17 Nov 99 07:35:03
    Project file for building snmpbulkget using MSVC++ gratis Robert Story.

mslifcak 17 Nov 99 07:36:58
    Add snmpbulkget to list of apps to build.

hardaker 17 Nov 99 11:55:41
    - (ds_agent.h, kernel.c, snmpd.c, snmpd.1.def):
      - run time rootless running support for snmpd, by reqest of Joe. (-r)

hardaker 17 Nov 99 12:21:26
    - (snmptosql):
      - move to Net::SMTP.
      - Make new authgroup and authhost tables to contain SNMP::Session defaults.

hardaker 17 Nov 99 13:05:00
    - (configure.in): update the so LD for linux to $(CC).

hardaker 17 Nov 99 13:08:17
    - (configure): update.

hardaker 17 Nov 99 13:09:14
    - (mib2c.storage.conf): update.  Deals with RowStatus objects better.

nba 17 Nov 99 21:51:19
    - default_store.c: ds_toggle_boolean missed a mask

mslifcak 18 Nov 99 17:58:47
    Check-in agent changes to support Win32 agent built with MSVC++.
    Thanks to Robert Story.

mslifcak 18 Nov 99 18:14:58
    More touchup per MSVC++ Win32 agent work.

mslifcak 18 Nov 99 18:20:45
    More MSVC++ Win32 agent files, gratis Robert Story.

daves 19 Nov 99 11:06:26
    - (agent/agent_registry.h): Provide missing index allocation defines.

hardaker 19 Nov 99 13:47:01
    - (mib2c.storage.conf): fix mib2c.storage.conf.

hardaker 19 Nov 99 14:20:25
    - (snmp_vars.c, snmpd.c, snmp_alarm.h, snmp_api.c):
      - make snmp_select_info possibly handle alarm timers.
      - make snmpd use them and call snmp_run_alarms().

hardaker 19 Nov 99 15:24:15
    - (acconfig.h, config.h.in, configure, configure.in, sedscript.in,
      disk.c, disk.h, UCD-SNMP-MIB.txt): Patch from Andy HOOD:
      - monitor disk inode percentages.

nba 22 Nov 99 05:27:15
    - configure.in: configure test for netinet/ip.h

nba 22 Nov 99 05:28:09
     snmp_logging.c: only timestamp efter a newline

nba 22 Nov 99 05:28:45
    - snmpd.c: reinstate snmpd -a functionality

nba 22 Nov 99 05:29:37
    - pass.c: remove a const casting warning

nba 22 Nov 99 05:32:05
    - IPV6-TCP-MIB, IPV6-UDP-MIB, ipv6.c, tcp.c: move the IPv6 tcp and udp
    	tables to their proper position in the tree, according to the RFC.

nba 22 Nov 99 06:59:46
    - ipv6.c: upgrade to the current Kame patch

nba 22 Nov 99 07:16:59
    - ipv6.c: some more ANSI prototypes

daves 22 Nov 99 07:30:06
    - (agent_registry.[ch] agentx/client.[ch] agentx/master_admin.c):
      Index de-allocation, and AgentX index support.

mslifcak 22 Nov 99 08:20:29
    Retry add MSVC++ project file.

mslifcak 22 Nov 99 08:21:58
    Add CVS ignore list for win32/libagent.

hardaker 22 Nov 99 08:29:33
    - (snmptable.c): Patch from Robert Story:
      - Added ability to use MIB to query tables with non-sequential column OIDs.
      - Added code to handle sparse tables.

hardaker 22 Nov 99 09:00:45
    - (usmUser.c): fix oid -> char conversions pointed out by Michael Slifcak.

hardaker 22 Nov 99 09:07:34
    - (README): added more people to the thanks list.

hardaker 22 Nov 99 09:18:15
    - (configure, configure.in, host_res.h, hr_filesys.c, hr_storage.c,
      hr_swrun.c, hr_system.c, bsdi4.h): Patch from Bert Driehuis:
      - bsdi support for the host resources mib.

hardaker 22 Nov 99 09:24:51
    - (T016snmpv2cgetfail, T017snmpv2ctov1getfail): update tests for new
      error messages.

hardaker 22 Nov 99 12:30:05
    - (vmstat.c, vmstat_freebsd2.c): use header_generic not header_simple_table

hardaker 22 Nov 99 12:49:21
    - (vacm_vars.c, pass.c): fix oid -> char conversions.

nba 22 Nov 99 12:54:08
    - *: change the first argument of the config parser functions to a
    	const string

hardaker 22 Nov 99 13:05:05
    - (acconfig.h, config.h.in, configure, configure.in, tcp.c): Patch
      from Garrett Wollman:
      - FreeBSD 4.x fixes.

hardaker 22 Nov 99 16:48:54
    - (snmp_vars.c): remove creation of initial and template* users.

hardaker 22 Nov 99 16:50:25
    - (vacm_vars.c, usmUser.c): new config tokens allowing easy user and
      vacm/user configuration and setup.

hardaker 22 Nov 99 17:02:11
    - (scapi.c): fix length check of key space.

hardaker 22 Nov 99 17:52:36
    - (README.snmpv3): update to reflect new and easier .conf mechanisms.

nba 23 Nov 99 01:23:16
    - ipv6.h: remove an __P that had sneaked in

nba 23 Nov 99 01:24:37
    - IPSEC-MIB.txt: change some underlines into dashes, and repair the
    	::= (maybe I should have looked at this file before adding it :-))

nba 23 Nov 99 01:26:26
    - pass_persist.c: fix some arguments (int => size_t). Thanks to
    	Anthony Shipman <ashipman@erggroup.com>

daves 23 Nov 99 01:37:29
    - (host/hr_swrun.c): Fix linux process memory usage figures.
    	(Reported by Mitch Shields)

daves 23 Nov 99 02:11:43
    - (host/hr_storage.c host/hr_swrun.c): Guard against calculation overflow

nba 23 Nov 99 02:20:13
    - snmp_agent.c: #include <unistd.h> for select prototype

daves 23 Nov 99 05:21:58
    - (snmp_agent.c agentx/subagent.c):
       Make main session structure visible throughout the agent,
       and use this for AgentX subagent as well.

daves 23 Nov 99 05:40:09
    - (agent_registry.[ch]):
      - Make index registration API more immediately convenient
      - Associate such registrations with the main session
      - new routine to unregister all indexes for a given session
      - differentiate between ANY index and NEW index
      - clean up assorted compiler warnings

hardaker 23 Nov 99 17:51:44
    - (snmptosql): fix from address line, other misc fixes.

daves 24 Nov 99 09:03:00
    - (agentx/master_admin.c): Release allocated indexes on subagent shutdown.

hardaker 24 Nov 99 09:09:08
    - (acconfig.h, config.h.in, configure, configure.in, usmUser.c,
      keytools.c, keytools.h, lcd_time.c, scapi.h, tools.c,
      keymanagetest.c, scapitest.c, config.h):
      - force --enable-developer for CVS checkouts.
      - remove all references to KMT.

hardaker 24 Nov 99 09:16:02
    - (INSTALL): change editing of config.h note.

hardaker 24 Nov 99 10:43:08
    - (vacm_vars.c): Patch from Frank Strauss:
      - allow seperation of mask with both . and :.

mslifcak 24 Nov 99 11:07:05
    Fix BUG#57 using modified patch supplied by zany@triq.net.

mslifcak 24 Nov 99 11:07:49
    Fix BUG#57 using 2/3 of patch supplied by zany@triq.net.

nba 25 Nov 99 14:32:47
    - snmp_api.c, agent_trap.c, snmp_agent.c, snmp_mib.h, snmp_mib.c:
    	fix misalignment of statistics counters

nba 25 Nov 99 14:33:15
    - snmp_mib.h: fix misalignment of statistics counters

nba 25 Nov 99 14:52:57
    - usmUser.c: new user is not added unless both auth and priv is specified
    	on createUser directive

nba 25 Nov 99 14:56:12
    - defaults_store.h, snmp_api.c, snmp_parse_args.c: add defCommunity
    	directive
    - snmp_api.h, snmp_api.c: add errorcode for malloc failure

nba 25 Nov 99 14:57:57
    - mib.c: kill yet another silly warning from gcc

nba 26 Nov 99 11:18:23
    - default_store.c: although read_config is case insensitive, ds_handle_config
    	was not. At the same time it failed to report the problem that
    	it was called but didn't know what to do.

marz 27 Nov 99 06:31:11
     (agent/kernel.c, testing/eval_tools.sh): fix -r switch to supress error messages about failed kernel and add -r to default testing code so 'make test can be run by user

hardaker 27 Nov 99 09:18:15
    - (vacm_vars.c): redo rwuser/rouser to allow specification of auth type.

mslifcak 29 Nov 99 05:50:27
    More HP-UX aCC fixes supplied by Markku Laukkanen.

mslifcak 29 Nov 99 10:30:51
    Use ntohs macro to carefully obtain the default service port.

mslifcak 29 Nov 99 10:33:45
    Fix reference to snmplib.

mslifcak 29 Nov 99 10:36:43
    Remove last vestiges of DEBUG_MALLOC_INC fragments.

mslifcak 29 Nov 99 11:58:37
    Free STREAM packet buffer when session is closed;
    Test for close in progress for read, write, select, and timeout functions.

mslifcak 29 Nov 99 12:43:34
    Use size_t for name_len member.

hardaker 29 Nov 99 14:02:08
    - (system.c, system.h): implement strcasestr (from Michael Slifcak).

hardaker 29 Nov 99 14:02:50
    - (parse.c): make best matching (-b) use regex when available.

hardaker 29 Nov 99 14:03:49
    - (config.h.in, configure, configure.in):
      - check for regex.h, regcomp, strcasestr.

hardaker 29 Nov 99 14:04:09
    - (README): another name.

nba 30 Nov 99 03:01:34
    - snmp_api.h, snmp_mib.[ch]: A couple additional SNMP statistics points

daves 30 Nov 99 07:07:01
    - (agentx/master.c): Remove redundent routine.

daves 30 Nov 99 07:08:43
    - (agentx/master_request.c): Fix handling of multi-variable requests to subagents.

mslifcak 30 Nov 99 13:10:40
    Fix -Td usage description; use switch when current_name is NULL.

mslifcak 30 Nov 99 13:11:14
    Include ctype.h

hardaker 30 Nov 99 14:30:32
    - (snmp_parse_args.c, mib.c, mib.h, parse.c): implement regex matching
      everywhere.

mslifcak 30 Nov 99 14:47:36
    Use Wes' cool new get_wild_node match method.

mslifcak 30 Nov 99 16:50:41
    Add multiple match capability to find_best_tree_node, and use it in
    snmptranslate (new -B option).

mslifcak  1 Dec 99 06:40:07
    Error check and free resources during regex processing.

mslifcak  1 Dec 99 10:38:18
    Prevent overflow of object ID in get_module_node.
    In find_best_tree_node, treat result from recursed call same for match = 0.

mslifcak  1 Dec 99 15:55:56
    Fix bug #112 and finish patch supplied by Anthony Shipman.

mslifcak  1 Dec 99 16:32:14
    Use SNMP_MAXBUF when defining large static buffer storage.

nba  2 Dec 99 04:41:55
    - mib.c: accessing and freeeing env_var misplaces around NULL test

nba  2 Dec 99 04:42:57
    - snmptrapd.c: fix snmp_clone_pdu2 by using the snmplib version

nba  2 Dec 99 05:06:55
    - usmUser.c snmpv3.[ch]: move usm_parse_create_usmUser from the agent
     	to the library, so that snmptrapd can use it.

mslifcak  2 Dec 99 09:21:45
    Fix bug #81 - continue install after error creating persistent directory.

hardaker  2 Dec 99 16:59:55
    - (parse.c): turn on REGEX_EXTENDED.

nba  3 Dec 99 15:03:48
    - snmptrapd.c: correct handling of SIGHUP tp reconfigure.

nba  3 Dec 99 15:04:16
    - snmptrapd_handlers.c: a little nicer error message

nba  3 Dec 99 15:05:13
    - parse.c: remember to NULL a freed pointer

hardaker  3 Dec 99 16:51:43
    - (configure, configure.in): switch to PIC from pic.

hardaker  3 Dec 99 16:52:16
    - (Makefile.in): use $(MAKE) instead of make.

hardaker  3 Dec 99 16:52:51
    - (vmstat.c): remove duplicate limits.h include.

nba  5 Dec 99 21:49:50
    - pass.c, pass_persist.c: ensure proper byte ordering when pass'ing
    	ipaddress.

mslifcak  6 Dec 99 09:19:08
    Show all non-printable subids in dump_oid_to_string.
    Recurse clear_tree_flags only if necessary.

hardaker  6 Dec 99 13:47:41
    - (snmp_parse_args.c): default specifications for auth/priv types.

hardaker  6 Dec 99 13:51:34
    - (snmp_parse_args.c): print error strings returned by generate_Ku().

nba  6 Dec 99 14:32:22
    - .cvsignore: Make CVS silent about installation files

hardaker  6 Dec 99 14:48:08
    - (snmpusm.c):
      - make snmpusm usable again, changing arguments slightly.
      - make it also use defaults for passphrases, user, etc.

hardaker  6 Dec 99 14:56:21
    - (Sv3config, T030snmpv3usercreation): make v3 testing work again.

hardaker  6 Dec 99 14:58:28
    - (snmpusm.c): fix usage for new args.

mslifcak  6 Dec 99 15:09:53
    Convert USM_ERR* to SNMPERR_USM*.

nba  6 Dec 99 15:13:21
    - system.c, config.h, win32.dsw, *.dsp, libsnmp.def: cleaning up for VC builds

mslifcak  6 Dec 99 16:31:26
    More fun updating MS VC build of apps and library.

mslifcak  7 Dec 99 08:03:06
    Use argv[0] since the app wont be snmpgetnext, probably.

daves  7 Dec 99 08:29:55
    - (agent/agent_read_config.[ch] agent/snmp_vars.[ch] agent/snmpd.[ch]
       snmplib/read_config.[ch] snmplib/snmp_api.c):
       -  Use the saved application name for registering config handlers
    	(N.B: This change will need to be applied to MIB modules as well)

hardaker  7 Dec 99 09:14:30
    - (hr_other.c): shorten cpu description length.

hardaker  7 Dec 99 09:17:41
    - (sysORTable.c): make sysOrIndex not-accessible, as it should be.

hardaker  7 Dec 99 09:32:02
    - (UCD-SNMP-MIB.txt): Patch from Juergen Schoenwaelder:
      - convert to SMIv2 and cleanup.

hardaker  7 Dec 99 13:45:59
    - (snmpwalk.c):
      - New ability to peform a get on the requested OID when either no
        results are returned or when the user requests an inclusive option.
      - New ability to print number of variables found at the end.

hardaker  7 Dec 99 13:54:11
    - (snmpwalk.1): document -Ci and -Cp (badly).

mslifcak  7 Dec 99 15:23:44
    Eliminate multiplying by sizeof(char) or sizeof(unsigned char);
    agentx/client.c - snmp_free_varbind replaces free in four places;
    snmpv3/usmUser.c - usm_free_user replaces free in one place.

hardaker  8 Dec 99 09:19:08
    - (mib.c): register a config token for suffix printing.

hardaker  8 Dec 99 14:08:20
    - (UCD-SNMP-MIB.txt): make mrIndex IMPLIED since it is in the code.

hardaker  8 Dec 99 14:41:53
    - (mib.c): fix -Os and index based oid printing to work again.

mslifcak  8 Dec 99 15:01:20
    Include getopt.h to define optarg.

mslifcak  8 Dec 99 15:04:54
    Add missing dskPercentNode to DskEntry (thanks to
             Michael Kirkham <support@iwl.com>).

hardaker  8 Dec 99 15:23:07
    - (mib.c, parse.c, parse.h):
      - remembered IMPLIED indexes.
      - properly print OIDs with length prefixes on parsed OIDs so
        cutting/pasting of them works.
      - properly print strings and oids that are IMPLIED.
      - print strings in either ' or " quotes depending on if their IMPLIED.

hardaker  8 Dec 99 15:26:51
    - (README): add Juergen.

hardaker  8 Dec 99 15:28:54
    - (*..Makefile.in): make depend.

hardaker  8 Dec 99 15:29:52
    - (snmpd.c): move sys/param out of ifdef FD_SET.

hardaker  8 Dec 99 15:47:02
    - (*..Makefile.in): A real make depend with no ssl dependancies, etc.

hardaker  8 Dec 99 15:49:32
    - (makefileindepend.pl, makenosysdepend.pl, remove-files):
      - move the make depend perl scripts to the top level where they only
        need to be edited once.

hardaker  8 Dec 99 17:13:17
    - (acconfig.h, config.h.in, master.c, read_config.c, system.c, system.h):
      - implement mkdirhier() and use it for persistent storage and agentx
        socket file creation.

daves  9 Dec 99 07:34:03
    - (man/snmp_trap_api.3): Initial documentation for agent trap generation.

nba  9 Dec 99 07:34:08
    - mib.c: implement MIB::label

nba  9 Dec 99 07:49:34
    - snmpcmd.1: support MIB::label

mslifcak  9 Dec 99 08:14:59
    Patches supplied by Juergen Schoenwaelder.

hardaker  9 Dec 99 10:08:26
    - (Makefile.top, config.h.in, configure, configure.in,
      agent/Makefile.in, snmplib/Makefile.in):
      - fixed --enable-shared (at least on linux).

hardaker  9 Dec 99 15:26:23
    - (keytools.c): Patch from Leonard Gomelsky:
      - generate_Ku() speed improvements.

hardaker  9 Dec 99 16:16:40
    - (UCD-SNMP-MIB.txt): changed all instances of kb to kB.

hardaker  9 Dec 99 16:53:14
    - (snmpnetstat/Makefile.in): fix for --enable-shared

hardaker  9 Dec 99 17:09:23
    - (agent/*Makefile.in): fix for --enable-shared on hpux

nba 10 Dec 99 03:06:18
    - master.c: add a missing #include <netinet/in.h> (at least for Solaris).

nba 10 Dec 99 03:07:06
    - pass.c: fix some buf/buf2 confusion

nba 10 Dec 99 03:09:33
    - pass_persist.c: fix some buf/buf2 confusion

nba 10 Dec 99 03:10:30
    - read_config.c: add some missing const specifiers

nba 10 Dec 99 03:20:10
    - (various): changes to compile snmpd with VC++ 5.0 (Release mode)

mslifcak 10 Dec 99 07:28:33
    Fix to build executable agent on HP-UX.

mslifcak 10 Dec 99 10:23:36
    Apply Dave's patch to fix max varbinds testing on GETBULK.

marz 10 Dec 99 10:44:29
     (snmlib/snmp_api.c): fix bug in _sess_copy where pointers that were not owned by newly created session could get mistakenly freed if errors were encountered during session copy - also eliminate some redundant copying of security{Auth|Priv}Key data

mslifcak 10 Dec 99 13:03:58
    Fix HP-UX problem with ipDefaultTTL.

daves 13 Dec 99 03:17:41
    - (agent_registry.c): Handle delegated MIB regions properly when split.

daves 13 Dec 99 03:18:38
    - (agent_trap.c): allow specification of enterprise OID when sending traps

daves 13 Dec 99 04:43:14
    - (agent/snmpd.c agent/mibgroup/smux/smux.[ch]):
      - Patch to get SMUX support working with the new agent architecture.
        This is probably not The Right Way To Do Things Now, but it works.
        Thanks to Nick Amato and Mike Michaud.

mslifcak 13 Dec 99 09:49:28
    Added patch from M.Michaud to use send_enterprise_trap_vars.

hardaker 13 Dec 99 09:57:37
    - (DLMOD-MIB.txt, UCD-DLMOD-MIB.inc, UCD-DLMOD-MIB.txt):
      - Juergens patch to move DLMOD-MIB -> UCD-DLMOD-MIB and -> SMIv2.
      - moved to the experimental tree.

mslifcak 13 Dec 99 12:04:15
    Clean also removes generated default_store.3.h .

mslifcak 13 Dec 99 13:54:27
    Sanity checks added to _get_symbol.

hardaker 13 Dec 99 14:20:10
    - (config.h.in, configure, configure.in): --with-efence implemented.
      - (forced checking for --enable-developer and CVS checkouts)

mslifcak 13 Dec 99 14:54:31
    Fix problem printing IMPLIED indices of OBJECTID type.

mslifcak 13 Dec 99 15:12:01
    Finish symbol conversion with numeric when subtree is leaf node.

mslifcak 13 Dec 99 16:03:00
    Allow sprint_variable to work even if no MIB files were read.

hardaker 14 Dec 99 08:08:00
    - (snmp_parse_args.c, snmptranslate.c, snmptrapd.c, default_store.h,
      mib.c, mib.h):
      - argument shuffling...
        -I for input args created, and -OR moved there.
        -Ib created.
        -TB created for snmptranslate (was -B).

hardaker 14 Dec 99 08:41:41
    - (IANAifType-MIB.txt, UCD-SNMP-MIB.txt): Patch from Juergen Schoenwaelder:
      - updates.

hardaker 14 Dec 99 14:54:09
    - (keytools.c): reverse generate_Ku optimizations, as they don't work.

hardaker 14 Dec 99 15:19:35
    - (Makefile.in): DLMOD -> UCD-DLMOD

hardaker 14 Dec 99 16:05:08
    - (configure, configure.in): move -lefence check up to front (last in link).

hardaker 14 Dec 99 16:05:37
    - (header_complex.c): get next in link list before deleting root.

mslifcak 15 Dec 99 04:21:27
    Isolate and retouch deprecated command line options.

mslifcak 15 Dec 99 05:51:00
    Share kstat fd iff ucd-snmp/memory_solaris2 is also configured.

hardaker 15 Dec 99 09:17:03
    - (EtherLike-MIB.txt, IPFILTER.txt, UCD-IPFILTER-MIB.inc,
      UCD-IPFILTER-MIB.txt): Patch from Juergen Schoenwaelder:
      - Even more updates.

hardaker 15 Dec 99 09:19:14
    - (SNMPv2-PARTY-MIB.txt SNMPv2-M2M-MIB.txt ): removed.

mslifcak 15 Dec 99 09:42:44
    Remove snmp_log_syslog, snmp_log_filelog, snmp_log_stderrlog;
    Simplify snmp_log_string.

mslifcak 15 Dec 99 09:56:24
    Add time marker create, set, and delta time check methods.

mslifcak 15 Dec 99 11:08:19
    Replace kc from memory_solaris2.c with kstat_fd, defined in kernel_sunos5.c.

nba 16 Dec 99 23:05:47
    - kernel.c: output error string, not number

nba 16 Dec 99 23:06:58
    - snmpd.c: \n terminate some log messages

nba 16 Dec 99 23:08:02
    - smux.[ch]: fix some prototypes and includes.

nba 16 Dec 99 23:08:54
    - snmptranslate.c: be explicit in the -t warning

nba 16 Dec 99 23:09:42
    - mib.c: fix a tail recursion elimination problem printing oids

nba 16 Dec 99 23:10:31
    - snmpv3.c: a more spevific help message for defVersion

nba 17 Dec 99 02:08:17
    - mib.c: kill that tail recursion elimination, it just adds too many
    	conditionals. Properly output an empty string index.

nba 17 Dec 99 02:09:18
    - snmp_parse_args.c: remove some superfluous usage() calls.

nba 17 Dec 99 02:14:18
    - snmptable.c: cleanup of the "new" mib walk to determine fields. Make it
    	default (don't even document the -C compatibility option). Ignore
    	not-accessible fields in the walk.

nba 17 Dec 99 02:18:30
    - snmptrapd.c: make the oids given to trapd handlers properly .0 terminated.
    	Add a SNMP-COMMUNITY-MIB::snmpTrapAddress.0
    	Add syslog of v2 traps and informs

nba 17 Dec 99 03:22:39
    - libsnmp.def: add some function names

hardaker 17 Dec 99 07:03:09
    - (snmpcmd.1): document -I and -O flags.

hardaker 17 Dec 99 07:05:08
    - (snmpcmd.1): mention that -IR and -Ib are actually used by default.

hardaker 17 Dec 99 07:13:03
    - (snmp.conf.5.def): document a bunch of new configuration options.

hardaker 17 Dec 99 07:26:05
    - (snmpd.conf.5.def): document rocommunity, rwcommunity, rouser, rwuser.

hardaker 17 Dec 99 07:28:34
    - (snmpd.conf.5.def): document the file directive.

hardaker 17 Dec 99 07:40:43
    - (snmpd.conf.5.def): document createUser.

hardaker 17 Dec 99 10:10:42
    - (NEWS): first pass at changes.

hardaker 17 Dec 99 10:11:02
    - (sedscript.in): PERSISTENT_DIRECTORY token added.

hardaker 17 Dec 99 10:11:34
    - (snmpd.c): reorder init() routines for -H to prevent segfaulting.

hardaker 17 Dec 99 10:16:32
    - (Makefile.in): put snmpd.o into the object list, and remove it from
      direct compilation in the CC link line.

hardaker 17 Dec 99 10:17:05
    - (usmUser.c): changed help line of createUser to seperate DES token
      from the passphrase.

hardaker 17 Dec 99 10:17:28
    - (snmp_parse_args.c): removed -R from the -h output.

hardaker 17 Dec 99 10:18:24
    - (NEWS): second pass.

hardaker 17 Dec 99 10:18:42
    - (snmp_agent_api.3): re-structure based on recent changes.

mslifcak 17 Dec 99 14:23:25
    Fixed a few spelilng errors.

mslifcak 17 Dec 99 15:21:39
    Add Bill Fumerola's patch for FreeBSD 4.x to use swapinfo.
    Include FreeBSD 4.x specific memory and vmstat when building that agent.

mslifcak 17 Dec 99 15:41:14
    No dummy values for FreeBSD, please.

hardaker 17 Dec 99 15:46:08
    - (snmp_alarm.c): missing ! operater on signal test.

hardaker 17 Dec 99 15:55:48
    - (NEWS): mention -I.

hardaker 17 Dec 99 15:56:27
    - (agent_read_config.c, agent_registry.c, snmp_vars.c):
      - include "snmp_alarm.h" for mib modules that need the callback def.

hardaker 17 Dec 99 15:57:10
    - (header_complex.c, header_complex.h): completely restructured.
      - drasticly reduces memory usage for large data sets (1/3).

daves 20 Dec 99 03:01:49
    - (agentx/README.agentx): Updated to describe current status.

daves 20 Dec 99 04:15:55
    - (agent_trap.c snmp_vars.c mibII.[ch] mibII/*.c mibII/sysORTable.h):
      - Use SNMP_OID prefix definitions in OID specifications.
      - Register the various MIB-2 modules separately in sysORTable.

hardaker 20 Dec 99 06:43:40
    - (snmp_parse_args.c): Force set to 1 for -D so multiple switches can
      be given (ie, don't toggle the value).

hardaker 20 Dec 99 06:48:24
    - (Makefile.in): moved kernel.o into the libucdagent library.

hardaker 20 Dec 99 13:23:25
    - (IPSEC-MIB.txt): removed

hardaker 20 Dec 99 13:25:15
    - (IPFWACC-MIB.txt): moved to UCD-IPFWACC-MIB.txt

hardaker 20 Dec 99 13:26:09
    - (UCD-IPFWACC-MIB.txt): moved and updated from IPFWACC-MIB.txt

hardaker 20 Dec 99 13:30:06
    - (UCD-IPFWACC-MIB.txt): moved table to one level deeper under mib node.

hardaker 20 Dec 99 13:30:36
    - (ipfwacc.c): moved table to one level deeper under mib node.

hardaker 20 Dec 99 15:38:34
    - (Makefile.in): IPFWACC-MIB.txt -> UCD-IPFWACC-MIB.txt

hardaker 20 Dec 99 17:19:18
    - (agent_trap.c): make uptime a long for 64bit architectures.

hardaker 20 Dec 99 17:20:15
    - (agentx/protocol.c): make a things size_t instead of u_int (for 64bit code).

hardaker 20 Dec 99 17:20:55
    - (snmp_api.c): Digital Unix hack for bad recvfrom implementation.

hardaker 20 Dec 99 17:31:45
    - (EXAMPLE.conf.def): minor note.

hardaker 20 Dec 99 17:32:23
    - (NEWS): mention SMIv2 updates.

hardaker 20 Dec 99 17:32:37
    - (mibincl.h): add agent_trap.h

hardaker 20 Dec 99 17:34:31
    - (version.h bug-report sedscript.in): version tag ( 4.1.pre1 )

nba 21 Dec 99 02:37:19
    - snmpd.c, smux.c, snmp_api.c: take away some unused variables.

nba 22 Dec 99 02:41:42
    - memory_freebsd2.c: make it work (again) for FreeBSD-2 :-)

nba 22 Dec 99 02:43:15
    - hr_storage.c: kill a dummy value

nba 22 Dec 99 05:46:21
    - system.c: naughty, naughty Niels, just reindenting ...

nba 22 Dec 99 05:47:11
    - system_mib.c: use some #defines i place of numbers

nba 22 Dec 99 05:58:18
    - vacm routines: alignment with RFC mibs, preparing for trap generation
    	and a better integration with variable tree walking

hardaker 22 Dec 99 15:12:26
    - (master.c): use snmp_sess_open for the second try at opening the
      master port.

hardaker 22 Dec 99 15:13:05
    - (master_request.c): increase max vars to 64 (was 16).  I have a
      table with more than that number in columns, which breaks snmptable.

hardaker 22 Dec 99 16:30:01
    - (vmstat_solaris2.c, vmstat_solaris2.h): Patch from Jochen Kmietsch:
      - first pass at vmstat support for solaris.

hardaker 23 Dec 99 08:21:37
    - (vmstat_solaris2.c): Patch from Jochen Kmietsch:
      - non 80-column wrapped version.

hardaker 28 Dec 99 15:42:08
    - (master_request.c): remove the ! in front of in_a_view, which changed.

hardaker 30 Dec 99 07:51:36
    - (snmpd.c): usage line order messed up, as pointed out by Robert Story.

mslifcak 30 Dec 99 12:00:58
    Fix compile errors.

mslifcak 31 Dec 99 09:31:12
    Fix bug # 122

mslifcak 31 Dec 99 09:32:58
    Apply patch provided by Serg Trushnikov <sat@zmail.ru> for AIX 4.2.1 knlist

mslifcak 31 Dec 99 10:11:12
    Fix bug #125 - insert underscore into struct snmp_ipaddr member names.

mslifcak 31 Dec 99 10:33:16
    Autoconf patch c/o Albert Chin-A-Young <china@thewrittenword.com>

mslifcak 31 Dec 99 10:36:46
    Fix warnings of uninitialized variables.

mslifcak 31 Dec 99 12:43:50
    Fix bug #48 : no strcasecmp/strncasecmp for Sinix

mslifcak 31 Dec 99 13:27:44
    Apply some NetBSD 1.3.x, 1.4 patches c/o Grea A. Woods <woods@planix.com>

nba  3 Jan 00 15:23:21
    - EXAMPLE.conf.def: adapt to changes in valid vacm syntax

nba  3 Jan 00 15:26:07
    - snmp_vars.c: include agent_registry.h only once

nba  3 Jan 00 15:26:51
    - snmpd.c: add a missing const specifier

nba  3 Jan 00 15:27:29
    - mibII.h: add prototype for init_mibII

nba  3 Jan 00 15:28:24
    - wombat.[ch]: correct prototype for wombat_parse_config

nba  3 Jan 00 15:30:26
    - system.h: add prototype for strcasecmp

nba  3 Jan 00 15:32:59
    - parse.c: fix File variable being left pointing into the stack.
    	Ignore .index file on WIN32 platform

nba  3 Jan 00 15:34:22
    - mib.c: also note TEXTUAL CONVENTION in -Td output

nba  3 Jan 00 15:39:40
    - snmpcmd.1: add snmpbulkget to list of applications
    - snmptranslate.1: explain -T outputs
    - snmptrapd.conf.5.def: defalt traphandler is implemented

hardaker  4 Jan 00 08:58:24
    - (README, FAQ): Japan mirror location change.

hardaker  4 Jan 00 10:33:54
    - (Makefile.in): install struct.h

hardaker  4 Jan 00 10:35:06
    - (snmp_agent.c): deal with blocking better in snmp_agent_check_and_process().

hardaker  4 Jan 00 16:27:45
    - (config.h.in, configure, configure.in): Patch from Sander Steffann:
      - Add -I/usr/include/rpm because of badly written rpm header files.

nba  4 Jan 00 22:12:10
    - EXAMPLE.conf.def, FAQ, snmpd.conf.5.def: remove all traces of security
    	model "any" in "group" configuration directives

nba  4 Jan 00 23:50:27
    - parse.c: #ifdef some variables not used under win32

nba  4 Jan 00 23:51:11
    - snmptrapd.c: implement trand handlers for win32

daves  6 Jan 00 01:58:56
    - (mibgroup/mibII.c): Remove redundant file

hardaker  6 Jan 00 08:57:31
    - (util_funcs.h): properly wrap struct.h include directive for
      non-source-directory include.

marz  6 Jan 00 12:56:50
    update syntax (exact)

marz  6 Jan 00 13:07:03
    we should not print to stderr if stderr logging is diabled - this thows off the alignment of test output for 'make test' in both ucd-snmp and Perl/SNMP

marz  6 Jan 00 13:14:10
    update config access syntax (exact)

hardaker  6 Jan 00 15:08:28
    - (COPYING): y2k bug.

hardaker  6 Jan 00 15:08:48
    - (mib2c): removed a debugging statement.

hardaker  6 Jan 00 15:09:20
    - (mib2c.conf): unquoted quotes quoted.

hardaker  7 Jan 00 09:29:06
    - (snmp_agent.c): better handling of write failures.

hardaker  7 Jan 00 10:38:48
    - (snmpTargetAddrEntry.c, snmpTargetParamsEntry.c): update to v4 API set code.

hardaker  7 Jan 00 11:22:40
    - (snmptranslate.c): Patch from Robert Story:
      - handle multiple translated OIDs.

hardaker  7 Jan 00 16:21:50
    - (vacm_vars.c): properly group rw/rousers into usm not v1/v2c.

nba  7 Jan 00 23:43:10
    - configure.in: some missing "x" in tests for --with-openssl and
    	--disable-developer

nba  8 Jan 00 00:56:30
    - configure.in: bugfix for a bugfix bug

mslifcak  8 Jan 00 11:44:58
    Fix build for Linux RedHat 6.1 (cant link libwrap without libnsl).

mslifcak  8 Jan 00 12:07:44
    Use knlist iff aix4 and HAVE_KNLIST [not complete w/o configure mods]

daves 10 Jan 00 01:37:32
    - (agent/mibgroup/mibII.h): Re-remove redundant prototype.

daves 10 Jan 00 02:31:39
    - (snmplib/snmp_api.c): Differentiate max-repetition and non-repeater errors.

daves 10 Jan 00 03:06:42
    - (agent/snmp_agent.c): Count numbers of variables requested/set

daves 10 Jan 00 06:12:40
    - (snmplib/system.c): Re-structure get_uptime() to cache boot time.

mslifcak 10 Jan 00 13:14:03
    Allow MSVC++ 5.x users to build using this workspace.

mslifcak 10 Jan 00 13:21:30
    Qualify use of withval to define library and include search paths.

marz 10 Jan 00 14:21:14
    Checking in SNMP-3.1.0b1

marz 10 Jan 00 14:34:50
    *** empty log message ***

marz 10 Jan 00 14:40:04
    add mibload

hardaker 10 Jan 00 15:36:18
    - (mibincl.h): include stdlib.h and malloc.h.

hardaker 10 Jan 00 15:36:40
    - (Sv3config): remove the trailing space.

hardaker 10 Jan 00 15:38:44
    - (config.h.in, configure, configure.in):
      - make --without-efence work.
      - check for -lnsl more explicitly.

mslifcak 10 Jan 00 16:30:51
    ucdDemoPublic.c - remove uninitialized variables from write method.
    snmp_vars.c     - proper oid compare; no copy from save if oids exact match
    snmpd.c         - terminate statement.

mslifcak 10 Jan 00 16:31:16
    snmptranslate.1   - remove junk line.

mslifcak 10 Jan 00 16:31:38
    snmptranslate.c  - simple default case.

mslifcak 10 Jan 00 16:32:08
    snmp_api.c    - better comment for snmp_oid_compare.
    read_config.c - remove sizeof(u_char) from malloc size calc.
    scapi.h       - spell check.

mslifcak 11 Jan 00 01:33:45
    Trolling for malloc errors; more graceful degradation.

mslifcak 11 Jan 00 01:53:08
    Glean refs to mibII.o from this makefile.

mslifcak 11 Jan 00 07:44:50
    Add IN_UCD_SNMP_SOURCE to not break Win32 builds.

mslifcak 11 Jan 00 07:59:23
    Keep win32 release build from breaking.

mslifcak 11 Jan 00 08:10:10
    Init file count at zero, not by incrementing random value.

mslifcak 11 Jan 00 09:13:38
    Restore memdup usage to its former luster.

marz 11 Jan 00 10:37:21
    remove bad session test - session.t has it already - note the call to gethostbyname can hang for some time if DNS is not setup correctly - anyone know a way arround this?

mslifcak 11 Jan 00 15:05:09
    Use CFLAGS when linking (could have profile switch, etc).

hardaker 12 Jan 00 11:16:27
    - (snmpv3.c): cast malloc returns.

mslifcak 12 Jan 00 21:09:47
    Use DEBUGMSGOID liberally, replacing sprint_objid; small speedup.

daves 13 Jan 00 02:46:47
    - (agent/snmp_vars.c): Remove extraneous bracket.

mslifcak 13 Jan 00 05:36:21
    No get_boottime support for cygwin (yet). Hopefully a temporary condition.

daves 13 Jan 00 06:31:44
    - (snmplib/parse.[ch]): Unload MIB module
    	(N.B: Somewhat simplistic with regard to multiply-loaded nodes)

daves 13 Jan 00 06:33:40
    - (snmplib/parse.c): More complete handling of unloading MIB modules.

mslifcak 14 Jan 00 09:33:39
    Small compile fix and debug message restoration.

hardaker 14 Jan 00 11:34:25
    - (bug-report): grep for configure flags

hardaker 14 Jan 00 16:09:09
    - (scapi.c): implement DES encryption.

hardaker 14 Jan 00 16:10:29
    - (NEWS): remove export control note about DES.

daves 17 Jan 00 06:13:39
    - (man/snmptrapd.8): Describe default logging behaviour.

daves 17 Jan 00 09:02:32
    - (agent/snmp_vars.c): Discard "too-late" responses from overlapped regions.

marz 17 Jan 00 12:47:58
    added v2 trap

marz 18 Jan 00 07:00:26
    modified for v2-trap.

marz 18 Jan 00 07:54:12
    fix error messages and return vals for trap funcs, clean up pdu

mslifcak 18 Jan 00 08:14:42
    Prevent array bounds error when creating specific trap oid.

mslifcak 18 Jan 00 14:23:44
    Latest vmstat_solaris2 from the author Jochen Kmietsch.

mslifcak 18 Jan 00 21:22:06
    Cleanup around ip6_vars.h include (no #if 0)

mslifcak 18 Jan 00 21:25:53
    Remove commented out objects that are MAX-ACCESS not-accessible.

mslifcak 18 Jan 00 21:29:01
    1.Make snmp_get_do_logging visible from DLL
    2.Apply Win32 patch from R.Story to activate mib stats module (snmp_mib).

mslifcak 18 Jan 00 21:37:02
    Consistent getpagesize (first divide by 1024).

daves 20 Jan 00 04:25:05
    - (snmplib/snmp_api.c): Support selective binding of server addresses.

mslifcak 21 Jan 00 01:46:04
    Remove party crud; spell check.

mslifcak 21 Jan 00 01:46:41
    Add const to cleanup a few signatures.

mslifcak 21 Jan 00 01:49:35
    Minimize data handling and use register variabies in
    snmp_oid_compare and compare_tree.

marz 21 Jan 00 07:27:13
    added v3 inform

marz 21 Jan 00 08:00:27
    inform.

marz 21 Jan 00 08:13:25
    inform

marz 21 Jan 00 10:47:24
    *** empty log message ***

mslifcak 21 Jan 00 11:19:09
    config_arch_require solaris2 version of vmstat.

nba 23 Jan 00 08:51:39
    - parse.c: add some more error checking to getoid

nba 23 Jan 00 12:42:11
    - parse.c: fix merging of anonymous nodes when they are named

nba 23 Jan 00 12:43:54
    - parse.c: errenous => erroneous

marz 23 Jan 00 16:41:06
    handle adding OPAQUE vars for setting and traps etc.

daves 24 Jan 00 07:21:34
    - (examples/{example,wombat}.[ch]):
      - Consolidated example modules into one, including config and SET support.

marz 24 Jan 00 08:59:32
    *** empty log message ***

mslifcak 24 Jan 00 09:44:45
    Make sure kstat_fd is initialized before being used.

mslifcak 24 Jan 00 09:55:32
    Fix Bug #144 items 1,3,4 : case insensitive check for "all" keyword.

mslifcak 24 Jan 00 10:05:12
    Itojun's netbsd ELF patch + remove wombat [Dave's example fix]

mslifcak 24 Jan 00 10:14:56
    Fix printing IMPLIED index (from associate of J. Kmietsch) modified and applied.

marz 24 Jan 00 10:36:43
    *** empty log message ***

marz 25 Jan 00 06:49:43
    syntax for win32 build

marz 25 Jan 00 11:47:12
    add missing synbols for perl/SNMP module

marz 25 Jan 00 12:05:59
    additional win32 install notes

nba 25 Jan 00 13:52:42
    - parse.c: fix a missing initialization of tc_index

hardaker 25 Jan 00 13:55:33
    - (vestinternett/diskio.[ch]): Ragnar Kjrstad's diskio mib.

hardaker 25 Jan 00 13:56:02
    - (VEST-INTERNETT-MIB.txt): Ragnar Kjrstad's diskio mib.

nba 25 Jan 00 14:12:58
    - HOST-RESOURCES-MIB.txt, HOST-RESOURCES-TYPES.txt, Makefile.in:
    	Update to the current draft HOST-RESOURCES (draft-ops-hostmib-01)

hardaker 25 Jan 00 14:47:59
    - (configure): help update

hardaker 25 Jan 00 14:50:56
    - (snmp_alarm.3, snmp_alarm.c): Patch from Frank Strauss:
      - fix registration function to do what it says it should do.

mslifcak 25 Jan 00 19:30:51
    Larger buffer for print_module_name; Fix possible null deref in get_tc.

mslifcak 25 Jan 00 21:46:14
    mib.c:print_tree_node - show module name once in -- FROM;
    parse.c: show "Cannot find module" once per missing module.

mslifcak 26 Jan 00 07:14:50
    fix compile error when --without-root-access is used (strauss@ibr.cs.tu-bs.de)

mslifcak 26 Jan 00 07:26:22
    Acknowledge more contributors.

hardaker 26 Jan 00 10:24:21
    - (getValues.pm) getValues.pm was noted missing

hardaker 26 Jan 00 15:29:54
    - (UCD-DISKIO-MIB.inc, UCD-DISKIO-MIB.txt, VEST-INTERNETT-MIB.txt):
      Patch from Juergen Schoenwaelder:
      - fix the diskio mib, convert to SMIv2, and move to ucdExperimental.

hardaker 26 Jan 00 15:30:42
    - (UCD-DLMOD-MIB.txt): Patch from Juergen Schoenwaelder:
      - prefix oid with "ucd".

hardaker 26 Jan 00 15:31:00
    - (UCD-IPFILTER-MIB.txt): Patch from Juergen Schoenwaelder:
      - prefix oids with "ucd".

hardaker 26 Jan 00 15:32:25
    - (UCD-SNMP-MIB.txt): Patch from Juergen Schoenwaelder:
      - clean up and reformat sub-registration comments.

hardaker 26 Jan 00 15:34:20
    - (UCD-DEMO-MIB.txt, UCD-DISKIO-MIB.txt, UCD-DLMOD-MIB.txt,
      UCD-IPFILTER-MIB.txt, UCD-IPFWACC-MIB.txt, UCD-SNMP-MIB.txt):
      - correct ucd-snmp-coders email address to replace "ece" with "ucd-snmp".

hardaker 26 Jan 00 16:06:31
    - (agent_trap.c, agent_trap.h, snmpd.conf.5.def): Patch from Frank Strauss:
      - add ability to allow sending traps to ports other than 162.

hardaker 26 Jan 00 16:28:22
    - (Makefile.in, Makefile.in, Makefile.in, Makefile.in):
      - make depend.

hardaker 26 Jan 00 16:53:41
    - (snmpv3.c): fix priv key length extrapolation.  Should be done differently?.

hardaker 26 Jan 00 16:54:43
    - (Sv3DESconfig, T023snmpv3getMD5DES): fix DES test so it works.

hardaker 26 Jan 00 17:15:07
    - (snmpcmd.1, snmptrapd.conf.5.def, snmpusm.1):
     - badly done updates.

hardaker 26 Jan 00 17:18:17
    - (version.h bug-report sedscript.in): version tag ( 4.1.pre2 )

hardaker 26 Jan 00 17:32:41
    - (configure, configure.in): allow ',' seperated --with-*-modules flag values.

hardaker 26 Jan 00 19:22:53
    - (configure, configure.in): comma, comma, comma, comma, comma-chameleon.

hardaker 27 Jan 00 08:33:43
    - (default_store.c): make config parser handle "" (null) parsed strings.

marz 27 Jan 00 11:14:09
    remove no-op snmp_synch_setup

mslifcak 27 Jan 00 14:51:39
     1. Fix memory leak when anonymously named nodes are used.
     2. Hack around smicng's "SMI " statements to prevent other memory leaks.

mslifcak 27 Jan 00 16:13:58
    Remove hack around "SMI" token; keep the good part of the previous patch.

mslifcak 28 Jan 00 07:18:09
    Some variable renaming for consistency, error checking
    improved, missing string.h included.  Patch supplied by author.

mslifcak 28 Jan 00 12:30:20
    Fix spell LITTLE_ENDIAN. Thanks to talman@hitt.nl.

mslifcak 28 Jan 00 12:38:22
    Change agentx_{build,parse}_short . Thanks to Gerard Talman@hitt.nl.

mslifcak 28 Jan 00 12:52:25
    This with previous two changes completes a patch for items 2,3,4
    for bug #149.

nba 30 Jan 00 03:01:52
    - host.h: config_require_mib(HOST-RESOURCES-TYPES)

nba 30 Jan 00 03:04:22
    - hr_disk.c: convert to 1k blocks

nba 30 Jan 00 03:09:38
    - hr_storage.c: convert from pages to 1k blocks

nba 30 Jan 00 03:11:28
    - if.c: defensive test for missing objects (it might fail to show
    	down status properly)

marz 30 Jan 00 08:19:34
    create V3 user entry, cleanup

marz 30 Jan 00 10:42:36
    clean up before release - update version, release notes
    
    Note: KNOWN BUGS
    the new quoted OCTETSTR instance identifiers returned by get_symbol
    are not compatible with the perl/SNMP module (__get_label_iid)

marz 30 Jan 00 10:44:37
    clean up before release - update version, release notes
    
    Note: KNOWN BUGS
    the new quoted OCTETSTR instance identifiers returned by get_symbol
    are not compatible with the perl/SNMP module (__get_label_iid)
    
    not sure that this ever worked - will have to look at old OCTETSTR
    behaviour and see how to recreate it

marz 30 Jan 00 10:58:02
    clean up before release - update version, release notes etc.

daves 31 Jan 00 01:05:16
    - (agent/agent_registry.h): Log failed MIB registrations.

daves 31 Jan 00 01:45:15
    - (agent/agent_trap.c): Include instance subidentifier in snmpTrapOID and
    	snmpTrapEnterprise OID definitions.  (Thanks to Gerard Talman)

daves 31 Jan 00 02:40:02
    - (snmplib/snmp_api.[ch]): Restore traditional socket field names.

daves 31 Jan 00 03:00:16
    - (snmplib/snmp_api.h): Alternative approach to Irix socket handling.

daves 31 Jan 00 03:03:15
    - (acconfig.h config.h.in configure.in configure):
      - Attempt to detect non-traditional socket address structure (on Irix 6.x).

daves 31 Jan 00 03:14:50
    - (snmplib/snmp_api.c): Initialize addrlen in _sess_read().  (Frank Strauss)

daves 31 Jan 00 03:41:08
    - (AGENT.txt): Revised and updated version.

daves 31 Jan 00 07:49:50
    - (acconfig.h config.h.in configure.in configure):
      - Improved checking for Irix-style socket address structure.

daves 31 Jan 00 07:51:54
    - (snmplib/snmp_api.h): Attempt to mimic Irix-style socket address structure.

daves 31 Jan 00 07:53:52
    - (snmplib/asn1.c snmplib/snmp.c snmplib/snmp_api.c snmplib/snmpusm.c):
      - Don't assume size_t is signed (Pekka Kytolaakso)

daves 31 Jan 00 07:55:06
    - (snmplib/snmpv3.[ch]): Don't assume size_t is signed (Pekka Kytolaakso)
      - N.B: This changes the interface of snmpv3_generate_engineID() slightly.

daves 31 Jan 00 07:56:38
    - (apps/snmptest.c): Don't assume size_t is signed (Pekka Kytolaakso)

daves 31 Jan 00 07:57:56
    - (mibgroup/examples/example.[ch]):
      - Provide an example for how to trigger a trap.

marz 31 Jan 00 10:41:16
    set DS_LIB_DONT_BREAKDOWN_OIDS to get previoulsy released behaviour of get_symbol wrt octet based instance ids (i.e., no double-quoting)

daves  1 Feb 00 01:49:55
    - (acconfig.h config.h.in configure.in configure snmplib/snmp_api.h):
      - Fix broken setting of socket address structure choice.

daves  1 Feb 00 03:37:25
    - (agentx/master_request.c): Fix session ID handling when delegating requests.

daves  1 Feb 00 04:19:16
    - (configure.in configure): Catch common invalid configure options.

daves  1 Feb 00 05:27:03
    - (FAQ): Expand the description of generating traps from the agent slightly.

hardaker  1 Feb 00 08:32:03
    - (diskio.*): moved to the ucd-snmp directory

hardaker  1 Feb 00 08:34:09
    - (diskio.h): load the mib.

hardaker  1 Feb 00 08:34:24
    - (diskio.c): move to ucdExperimental.15.

hardaker  1 Feb 00 08:43:03
    - (NEWS): update (again).

hardaker  1 Feb 00 08:45:41
    - (snmpcmd.1): .PP -> .IP for -Ob.

hardaker  1 Feb 00 08:46:07
    - (snmpusm.1): changed context string in examples to "".

mslifcak  1 Feb 00 11:26:36
    Fixup more signed/unsigned comparisons.

daves  2 Feb 00 01:12:37
    - (host/hr_disk.c): Fix solaris initialisation, plus extra debugging info.

mslifcak  2 Feb 00 04:44:23
    Remove dependencies on (moved) vestinternett/diskio

nba  2 Feb 00 06:44:31
    - solaris2.8.h: Solaris 8 seems close to Solaris 7

nba  2 Feb 00 06:45:25
    - hr_disk.c: add NetBSD support

hardaker  2 Feb 00 07:17:28
    - (configure, configure.in): updated --help

daves  2 Feb 00 08:02:46
    - (agent/snmp_vars.c): Correctly handle individually excluded instances

mslifcak  2 Feb 00 08:42:17
    Allow -Co to affect the outcome.

mslifcak  2 Feb 00 08:52:43
    fix the fat-fingering patch I just made. feh.

hardaker  2 Feb 00 10:52:33
    - (smux.c): Patch from Robert Miles:
      - various fixes:
        1) The first registration request could be lost.
        2) Registration delete requests never received a response.
        3) Registration delete requests were not finding the registration when the
           delete's priority was set to -1.
        4) Non-zero values were not being encoded properly in registration
           responses.

marz  2 Feb 00 14:18:09
    add instructions for building w/ OpenSSL on VC++

mslifcak  2 Feb 00 14:18:22
    Let hrProcessorLoad out of the genie's bottle.

mslifcak  2 Feb 00 16:24:15
    Touchup for building more MIB modules in Win32 (MSVC).

mslifcak  2 Feb 00 16:36:21
    Touchup to build more MIB modules on Win32.

daves  3 Feb 00 01:35:12
    - (FAQ): Document changes to access control stuff.

mslifcak  3 Feb 00 04:12:57
    Undo uninformed change : load average != average time that CPU is idle.

mslifcak  3 Feb 00 06:43:10
    include mib_module_config.h to make the USING_ constants visible.

marz  3 Feb 00 09:44:37
    update my email

mslifcak  3 Feb 00 09:56:48
    Include mib_module_config.h from mibincl.h, not top level config.h.

marz  3 Feb 00 10:48:37
    add -u PIDFILE to snmptrapd, now we need -c -C :), btw is the value of optarg reliable after getopt has been called again...it seems to work

mslifcak  3 Feb 00 12:57:20
    Remove DOS-style line termination (CR-LF --> LF).
    libsnmp.def - remove unneeded comment about obsolete v2party.

mslifcak  3 Feb 00 12:58:27
    Note the wombat is replaced by example in more places.

mslifcak  3 Feb 00 13:28:31
    Follow condition HAVE_GETPID for pid_file object.

hardaker  3 Feb 00 14:29:19
    - (dummy/*): removed, use example instead.

hardaker  3 Feb 00 14:44:33
    - (subagent.c): include mib_module_config.h.

hardaker  3 Feb 00 14:46:10
    - (subagent.c): protect sysORTable callbacks with #ifdefs.

hardaker  3 Feb 00 14:51:40
    - (README): remove dummy reference.

nba  3 Feb 00 23:57:49
    - agent/registry.c, agent_trap.c, client.c: change some type casts from
    	(char *) to (u_char *) top silence some warnings.

nba  3 Feb 00 23:59:57
    - mt_support.h: another way of doing nothing, not giving a "null effect"
    	warning from gcc.

nba  4 Feb 00 00:16:01
    - read_config.c, mib.c: fix some PATH separators from constant : to
    	ENV_SEPARATOR{_CHAR}

nba  4 Feb 00 00:17:48
    - hr_disk.c: A little cleanup of the disk device definitions, also adding
    	SCSI to FreeBSD 3

nba  4 Feb 00 01:20:55
    - vacm_vars.c: slight rewording of warning message

nba  4 Feb 00 04:00:27
    - hr_disk.c: really do that FreBSD scsi thing

marz  4 Feb 00 06:44:24
     have mib loading api return result codes

marz  4 Feb 00 08:55:42
    add defaults for v2 trap params

hardaker  4 Feb 00 12:01:32
    - (configure, configure.in, Makefile.in): find, locate, and use perl if found.

hardaker  4 Feb 00 12:47:26
    - (snmp_api.c, snmp_api.h, snmpv3.c): provide v3 defaults.

hardaker  4 Feb 00 13:12:18
    - (read_config.c): don't print failed access errors (EACCES).

hardaker  4 Feb 00 13:15:51
    - (Makefile.in, Makefile.in, Makefile.in, Makefile.in, Makefile.in,
      Makefile.in): final make depend.

hardaker  4 Feb 00 13:50:15
    - (agent_read_config.c): don't read the opt config file or call
      post_config callbacks, since the library takes care of that now.

marz  4 Feb 00 13:52:08
    updates for perl/SNMP build

hardaker  4 Feb 00 13:56:19
    - (snmptrapd.c):
      - implement -c and -C flags for Joe.
      - redid the init structure to make it look more like the current agent.

hardaker  4 Feb 00 14:01:30
    - (snmptrapd.8): document -c and -C.

marz  4 Feb 00 15:21:41
    build fixes and test enhancements

marz  4 Feb 00 15:44:44
    updates for perl/SNMP build

-------------------------------------------------------------------------------

Changes: V4.0 -> V4.0.1

hardaker 23 Aug 99 16:44:27
    - (Makefile.in): install the snmpusm.1 manual page.

mslifcak 24 Aug 99 04:44:47
    Clean CRs from read_config,snmp_logging; comment define USE_ASN_SHORT_LEN.

mslifcak 24 Aug 99 05:11:13
    Remove ASN_SHORT_LEN hack - known to dump core in agent.

mslifcak 24 Aug 99 06:19:49
    Add "." to PATH for RUNTESTS; Drop optreset to build most platforms

mslifcak 24 Aug 99 10:25:53
    -(testing/eval_tools) - let some (AIX) agents settle before firing requests.

hardaker 24 Aug 99 12:48:21
    - (vacm_vars.c): correct sysORTable entry.

hardaker 24 Aug 99 13:36:35
    - (snmpusm.c): check for null response pointer.

hardaker 24 Aug 99 13:37:31
    - (snmp_parse_args.c, default_store.h, snmp_api.c, snmpv3.c):
      - provide defVersion token support in snmp.conf (sort of hackish).

hardaker 24 Aug 99 13:41:18
    - (TODO): remove snmpv3 support :-)

mslifcak 24 Aug 99 14:05:39
    -(top/Makefile.in) - remove more generated files with distclean rule.

hardaker 24 Aug 99 14:15:40
    - (all_system.h): remove.  again.

mslifcak 24 Aug 99 14:17:33
    -(host/hr_swrun;mibII/icmp,ip;ucd-snmp/disk,proc) log_perror --> snmp_log_perror

mslifcak 24 Aug 99 15:14:18
    -(smux.c) apply Nick Amato's patch: prevent SMUX close on parse or error.

hardaker 24 Aug 99 15:59:42
    - (snmp_api.c): remove version setting in snmp_api.c.  Not needed there.

hardaker 24 Aug 99 16:01:55
    - (NEWS): 4.0.1 update

mslifcak 24 Aug 99 16:05:15
    -(configure.*) move statement about ucdDemoPublic into comment field.

mslifcak 24 Aug 99 16:49:22
    -(testing/*) run tests when package is not installed, and when
    the build tree is not the same as the source tree.

-------------------------------------------------------------------------------

Changes: V3.6.2 -> V4.0

hardaker 14 Sep 98 09:11:57
    - (acconfig.h, config.h.in, configure, configure.in):
      - change the PERSISTENTFILE define to PERSISTENTDIR.

hardaker 14 Sep 98 09:17:45
    - (agent_read_config.c, snmpd.c, snmpd.h, system.c):
      - move persistent cache capability into the library from the
        agent. (snmptrapd, and others will need this as well).
      - implement some new functions: init_snmpv3(), snmpv3_shutdown(),
        snmpv3_get_engine_boots(), etc.
      - agentBoots -> engineBoots.

hardaker 14 Sep 98 09:21:05
    - (Makefile.in, read_config.c, snmp_api.c, snmp_api.h, snmpv3.c, snmpv3.h):
      - move persistent cache capability into the library from the
        agent. (snmptrapd, and others will need this as well).
      - implement some new functions: init_snmpv3(), snmpv3_shutdown(),
        snmpv3_get_engine_boots(), etc.
      - agentBoots -> engineBoots.

hardaker 14 Sep 98 09:23:09
    - (snmp_parse_args.c, snmp_parse_args.h, snmpbulkwalk.c, snmpdelta.c,
      snmpget.c, snmpgetnext.c, snmpset.c, snmpstatus.c, snmptable.c,
      snmptest.c, snmptrap.c, snmpwalk.c):
      - pass app name to snmp_parse_args, so it can pass it to
